@echo off

::	This tool helps to set the DNS server used by the Network Tracer.

::	Dump WINIPCFG data to a textfile

winipcfg /all /batch $out.txt


::	Sometimes the output file can't be accessed for a few seconds.
::	Introduce a delay, and meantime inform the user what's up.

choice /c:., /n /t:.,05 Looking for your current primary DNS server...


::	Look for the primary DNS server (if others are listed, this
::	won't find them).
::	Feed the resulting text to a temp file.

find "DNS Servers"<$out.txt>$tmpnsip


::	Delete the WINIPCFG output file

del $out.txt>nul


::	If the Network Tracer is installed, the BFR text-replacement
::	utility will be on hand.  Use it to create a batch command.

bfr :\20 \0d\0aset\20nsip= $tmpnsip -b>nul


::	Single out the command and place it in a .bat file.

find "set nsip="<$tmpnsip>nsip.bat


::	Delete the temp file.

del $tmpnsip>nul


::	Run the command.

call nsip.bat


::	Delete the batch file.

del nsip.bat>nul


::	Check for results.

if "%nsip%"=="" goto nodns


::	If the variable contains data, go use it.

goto got_ip


::	If there's no data, say so and quit.

:nodns
echo.
echo IP Configuration lists no DNS server.
echo.
goto end


::	If there's data, use it.  Our job here is done.

:got_ip
choice /c:., /n /t:.,02 Attempting to set the Tracer's name server to %nsip%
trace setnameserver %nsip%
:end