@echo off
cls

::  PCHelp's --*#   Network Tracer   #*-- Copyright 1999, 2000 by pchelp
::  Free for any use.     Help pchelp!       http://www.pc-help.org/suit

::          No warranty expressed or implied.  Use at own risk.
::          This batch process alone is incapable of causing
::          damage, however it relies on other tools over which
::          I have no control.  Those tools must be present and
::          correctly functional.

::          For your information, they are:

::          MS-DOS 7.0+ with long filenames enabled (Win9x)
::          NBTSTAT.EXE (Win 9x/NT)
::          TRACERT.EXE (Win 9x/NT)
::          CHOICE.COM (Win9x/NT)
::          FIND.EXE (Win9x/NT)
::          NSLOOKUP.EXE (freeware: BINDNT version 4.9.7)
::          WHOIS.EXE (freeware: http://www.kiraly.com/software/utilities/whois)
::          BFR.EXE (freeware: http://vinfo.com/downlod.htm)
::          NC.EXE  (Netcat) (freeware, see netcat.txt)

::          If you received TRACE.BAT from pchelp as a file named
::          TRACE.ZIP, the freeware exe's above were included.
::          Other similar tools might work and they might not.
::          Later Windows versions might or might not work.
::          TRACE.BAT doesn't yet work on any version of NT.


::          Are we running NT?
ver|find "NT">nul
if errorlevel==1 goto notNT
echo You appear to be running an NT operating system.
echo.
echo TRACE.BAT is not currently adapted to the peculiarities of NT.
echo Some details about NT compatibility can be found at:
echo www.pc-help.org/trace/trace.htm
echo.
echo An NT version is planned but not yet underway.  Please contact
echo pchelp@pc-help.org if you need further information, or if you
echo have information that will help.
goto stop

:notNT
::	Check for a common command-line error

echo "%1%2%3%4%5%6%7%8%9"|find "[">nul
if errorlevel==1 goto nobracket
echo You must omit brackets [] from the command!
goto endendend
:nobracket


::          Make sure the DOS environment space is large enough.

if "%!%"=="!" goto envset
set !=!
%comspec% /e:2048 /c %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
set !=
goto stop
:envset

::          Fix the order of switches and name/address parameter

if "%1"=="-d" goto runshift 
if "%1"=="-s" goto runshift 
if "%1"=="-t" goto runshift 
if "%1"=="-n" goto runshift
if "%1"=="-x" goto runshift
if "%1"=="-a" goto runshift
if "%1"=="-A" goto runshift 
if "%1"=="-D" goto runshift 
if "%1"=="-S" goto runshift 
if "%1"=="-T" goto runshift 
if "%1"=="-N" goto runshift
if "%1"=="-X" goto runshift


::          This can cause a loop, so count iterations and break away
::          if there are too many.

goto skipshift
:runshift
if "%shift%"=="111111" goto help
set shift=%shift%1
trace.bat %2 %3 %4 %5 %6 %7 %1
:skipshift
set shift=


::	See if the address is non-routable.  If so, user needs to know.

echo #%1|find "#10.">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#127">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#169.254.">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#172.16.">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#192.168">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#224">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#225">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#226">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#227">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#228">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#229">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#230">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#231">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#232">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#233">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#234">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#235">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#236">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#237">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#238">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#239">nul
if not errorlevel==1 goto nonroutable
echo #%1|find "#255">nul
if not errorlevel==1 goto nonroutable
goto routable

:nonroutable
echo.
echo The address %1 is non-routable, for use on a private
echo intranet or reserved for a special purpose.  Unless you're on a private
echo TCP/IP network and wish to trace an internal address, this trace will
echo get no useful results.
echo.
choice Do you wish to continue?
if errorlevel==2 goto end
cls
:routable


::          Change switches to lower case if necessary

if "%2"=="-D" trace.bat %1 -d %3 %4 %5 %6
if "%3"=="-D" trace.bat %1 %2 -d %4 %5 %6
if "%4"=="-D" trace.bat %1 %2 %3 -d %5 %6
if "%5"=="-D" trace.bat %1 %2 %3 %4 -d %6

if "%2"=="-S" trace.bat %1 -s %3 %4 %5 %6
if "%3"=="-S" trace.bat %1 %2 -s %4 %5 %6
if "%4"=="-S" trace.bat %1 %2 %3 -s %5 %6
if "%5"=="-S" trace.bat %1 %2 %3 %4 -s %6

if "%2"=="-T" trace.bat %1 -t %3 %4 %5 %6
if "%3"=="-T" trace.bat %1 %2 -t %4 %5 %6
if "%4"=="-T" trace.bat %1 %2 %3 -t %5 %6
if "%5"=="-T" trace.bat %1 %2 %3 %4 -t %6

if "%2"=="-N" trace.bat %1 -n %3 %4 %5 %6
if "%3"=="-N" trace.bat %1 %2 -n %4 %5 %6
if "%4"=="-N" trace.bat %1 %2 %3 -n %5 %6
if "%5"=="-N" trace.bat %1 %2 %3 %4 -n %6

if "%2"=="-X" trace.bat %1 -x %3 %4 %5 %6
if "%3"=="-X" trace.bat %1 %2 -x %4 %5 %6
if "%4"=="-X" trace.bat %1 %2 %3 -x %5 %6
if "%5"=="-X" trace.bat %1 %2 %3 %4 -x %6

if "%2"=="-A" trace.bat %1 -a %3 %4 %5 %6
if "%3"=="-A" trace.bat %1 %2 -a %4 %5 %6
if "%4"=="-A" trace.bat %1 %2 %3 -a %5 %6
if "%5"=="-A" trace.bat %1 %2 %3 %4 -a %6

if not "%1"=="setnameserver" if not "%1"=="checkns" goto getstarted
if not "%1"=="checkns" goto setnotcheck


::	The user has elected to check the Tracer's name server.
::	Go to the Tracer's folder.

cd %windir%

::	Place the current name server IP in a temp batchfile.
::	Make it into a command to set the name server to that IP.

find "::NSLNameServer="<trace.bat>$tmp$.bat
bfr find\20\22\3a\3aNSLNameServer\3d\22\3ctrace.bat\3e$tmp$.bat "" $tmp$.bat -b>nul
bfr \3a\3aNSLNameServer\3d trace\20setnameserver\20 $tmp$.bat -b>nul
bfr ### "" $tmp$.bat -b>nul
move /y $tmp$.bat c:\misc\trace>nul
c:
cd\misc\trace
$tmp$.bat


:setnotcheck
::          The user has elected to change name servers.
echo You have elected to set a new Name Server for the Network Tracer.
if "%2"=="" echo But you specified no server!
if "%2"=="" goto endendend

echo Checking address...
ping -n 1 %2|find "Pinging %2">nul
if not errorlevel==1 goto srv1seemsok
echo The provided server address appears NOT to be valid.
goto endendend

:srv1seemsok
echo %2 appears to be a valid address... Still checking...
ping -n 1 %2|find "Pinging %2 [">$tmp$.bat
if errorlevel==1 goto srv2seemsok

echo Acquiring IP address for the hostname you provided...

::          Get the IP addy onto a line by itself with
::           a set [variable]= command.

bfr [ \0d\0aset\20nsip= $tmp$.bat -b>nul
bfr ] \0d\0a $tmp$.bat -b>nul

::          Discard extra lines.

type $tmp$.bat|find "set nsip">$tmp$.bat
call $tmp$.bat
if not "%nsip%"=="" goto srv4seemsok
echo Error obtaining that IP address.
echo Try entering the IP address in place of the hostname.
goto endendend

:srv4seemsok
echo.
echo IP address %nsip% was found for hostname %2
echo The %1 process will restart using %nsip%.
echo.
pause
trace.bat %1 %nsip%

:srv2seemsok
if exist $tmp$.bat del $tmp$.bat>nul

::          Try a lookup using the name server.  If it's not a name
::          server, it won't work.

nslookup pc-help.org %2|find "Name:    pc-help.org">nul
if not errorlevel==1 goto srv3seemsok
echo Sorry, there seems to be no name server at that address.  Try another?
goto endendend

:srv3seemsok
echo There is a working name server at that address.  Updating TRACE.BAT...

cd %windir%


::          Keep a series of backups.

if exist trace.bat.ba3 move /y trace.bat.ba3 trace.bat.ba4>nul
if exist trace.bat.ba2 move /y trace.bat.ba2 trace.bat.ba3>nul
if exist trace.bat.ba1 move /y trace.bat.ba1 trace.bat.ba2>nul
if exist trace.bat.bak move /y trace.bat.bak trace.bat.ba1>nul
copy /y trace.bat trace.bat.bak>nul

::          Get the line containing the current name server addy and
::          make a BFR string-replace command out of it.

find "::NSLNameServer="<trace.bat>$tmp$.bat
bfr find\20\22\3a\3aNSLNameServer\3d\22\3ctrace.bat\3e$tmp$.bat "" $tmp$.bat -b>nul
type $tmp$.bat|find /v "trace.bat">$tmp$.bat
bfr \3a\3a\4eSLNameServer\3d bfr\20 $tmp$.bat -b>nul
bfr ### \20%2\20trace.bat\20-b\3enul $tmp$.bat -b>nul

::          That command will replace the former server's address with
::          the new server's address everyplace it appears in TRACE.BAT.

call $tmp$.bat
del $tmp$.bat>nul
echo The Network Tracer's Name Server is now set to %2
goto endendend


:getstarted

::	(Momentarily run a check for DNS server,
::	and if there's none set, set it.)

find "NSLNameServer" %0|find /v "find"|find "6.191.158.22">nul
if not errorlevel==1 %comspec% /c getdns.bat


::NSLNameServer=206.191.158.22###
::          The line above keeps track of the name server IP address
::          which is used for all NSLookups in this batch process.


::          Bail if the -x param is set and the trace already happened.

if "%2"=="-x" if exist c:\misc\trace\%1.txt goto donttrace
if "%3"=="-x" if exist c:\misc\trace\%1.txt goto donttrace
if "%4"=="-x" if exist c:\misc\trace\%1.txt goto donttrace
if "%5"=="-x" if exist c:\misc\trace\%1.txt goto donttrace
if "%6"=="-x" if exist c:\misc\trace\%1.txt goto donttrace
goto skipx
:donttrace
echo This address was traced before!  Trace aborted.
goto end
:skipx
::          Display my shameless self-promotion.
cls
echo PCHelp's  --*#   Network Tracer   #*--  Copyright 1999, 2000 pchelp
echo Free for any use.     Help pchelp!     http://www.pc-help.org/suit/

::          Does the user need or want help?

if "%1"=="" goto help
if "%1"=="/?" goto help
if "%1"=="?" goto help
if "%1"=="-?" goto help
if "%1"=="help" goto help

::          A copy of this batchfile needs to live in the
::          Windows directory.
::          I'm taking the liberty of placing one there.

if not exist %windir%\trace.bat if exist %0.bat copy %0.bat %windir%\trace.bat>nul
if not exist %windir%\trace.bat if exist trace.bat copy trace.bat %windir%>nul
if not exist %windir%\trace.bat echo Place a copy of trace.bat in %windir% for best results.


::          Quietly set up and go to a 'misc/trace' directory.
::          This prevents clutter in random dirs and provides
::          a place to keep the captures.

c:
if not exist c:\misc\nul md c:\misc>nul
if not exist c:\misc\trace\nul md c:\misc\trace>nul
cd\misc\trace


::          This diabolically clever little routine sets
::          the variable "ctime" to the current system time.

ver|time|find "Current">$temp$.bat
echo set ctime=%%3>current.bat
call $temp$.bat
del current.bat>nul

::          This is to create a one-in-a-hundred string for use in
::          temporary filenames, so clashes are minimized if multiple
::          traces are run simultaneously.

echo set f=%%2>$temp$.bat
echo call $temp$ %ctime%>>setf.bat
bfr \2e \20 setf.bat -b>nul
call setf
del setf.bat>nul
del $temp$.bat>nul
if "%f%"=="01p" del $*.*>nul
if "%f%"=="01a" del $*.*>nul


::          Same routine with the date.

ver|date|find "Current">$t%f%$.bat
echo set cdate=%%4>current.bat
call $t%f%$.bat
del current.bat>nul
del $t%f%$.bat>nul

::          Clear some stuff which if lingering is potential trouble.

set ip=
if exist $t%f%$.txt del $t%f%$.txt


::          If the user has specified an email address or URL, find out
::          and parse accordingly.

echo %1>$%f%$.tmp
find "http://"<$%f%$.tmp>nul
if not errorlevel==1 goto itsaURL
find "https://"<$%f%$.tmp>nul
if not errorlevel==1 goto itsaURL
find "ftp://"<$%f%$.tmp>nul
if not errorlevel==1 goto itsaURL
find "/"<$%f%$.tmp>nul
if not errorlevel==1 goto itsaURL
bfr \25 # $%f%$.tmp -b>nul
find "#40"<$%f%$.tmp>nul
if not errorlevel==1 goto itsaURL2
find "@"<$%f%$.tmp>nul
if not errorlevel==1 goto its_email
goto not_URL

:its_email
echo This looks like either a URL or an email address!  Parsing...
bfr @ \0d\0aset\20ip= $%f%$.tmp -b>nul
find "set ip="<$%f%$.tmp>$%f%$.bat
del $%f%$.tmp>nul
call $%f%$.bat
del $%f%$.bat>nul
if not "%ip%"=="" trace %ip% %2 %3 %4 %5 %6 %7 %8 %9
echo No valid hostname or IP address.  Sorry, can't trace that!
goto help

:itsaURL
echo This looks like a URL!  Parsing...
find "@"<$%f%$.tmp>nul
if not errorlevel==1 goto has_at
bfr http:// \0d\0aset\20ip= $%f%$.tmp -b>nul
bfr https:// \0d\0aset\20ip= $%f%$.tmp -b>nul
bfr ftp:// \0d\0aset\20ip= $%f%$.tmp -b>nul
goto do_slash
:has_at
bfr @ \0d\0aset\20ip= $%f%$.tmp -b>nul
:do_slash
bfr / \0d\0a $%f%$.tmp -b>nul
bfr ? \0d\0a $%f%$.tmp -b>nul
bfr : \0d\0a $%f%$.tmp -b>nul
find "set ip="<$%f%$.tmp>$%f%$.bat
del $%f%$.tmp>nul
call $%f%$.bat
del $%f%$.bat>nul
if not "%ip%"=="" trace %ip% %2 %3 %4 %5 %6 %7 %8 %9
echo No valid hostname or IP address.  Sorry, can't trace that!
goto help

:itsaURL2
echo This looks like a hex-encoded URL!  Parsing...
bfr #40 \0d\0aset\20ip= $%f%$.tmp -b>nul
bfr / \0d\0a $%f%$.tmp -b>nul
find "set ip="<$%f%$.tmp>$%f%$.bat
del $%f%$.tmp>nul
call $%f%$.bat
del $%f%$.bat>nul
if not "%ip%"=="" trace %ip% %2 %3 %4 %5 %6 %7 %8 %9
echo No valid hostname or IP address.  Sorry, can't trace that!
goto help

:not_URL
if exist $%f%$.tmp del $%f%$.tmp>nul


::          If this is a domain lookup only, skip to intro.

if "%2"=="-d" goto intro
if "%3"=="-d" goto intro
if "%4"=="-d" goto intro


::          If we know the address is already verified, proceed.

if not "%name%"=="" goto ip_ok

::          PING is used to check the address for validity.

echo Pinging %1...
ping -n 1 %1>$png%f%$.txt
find "Pinging"<$png%f%$.txt>$pip%f%$.bat
if errorlevel==1 del $pip%f%$.bat>nul
if errorlevel==1 goto not_ip1
find "["<$pip%f%$.bat>nul
if errorlevel==1 goto ipformat
find "Pinging %1"<$pip%f%$.bat>nul
if errorlevel==1 del $pip%f%$.bat>nul
if errorlevel==1 goto not_ip1
bfr Pinging\20%1 set\20ip= $pip%f%$.bat -b>nul
bfr \20[ \20 $pip%f%$.bat -b>nul
bfr ] \0d\0a $pip%f%$.bat -b>nul
type $pip%f%$.bat|find "set ip=">$pip%f%$.bat
if errorlevel==1 goto ipformat
call $pip%f%$.bat
if exist $pip%f%$.bat del $pip%f%$.bat>nul
if "%1"=="%ip%" goto ip_ok
goto resolved


:ipformat
::          The IP address was valid; check for non-dotted-decimal format.

echo %1 is a valid IP address.
bfr Pinging\20 set\20ip= $pip%f%$.bat -b>nul
bfr \20with\20 \0d\0a $pip%f%$.bat -b>nul
type $pip%f%$.bat|find "set ip=">$pip%f%$.bat
call $pip%f%$.bat
del $pip%f%$.bat>nul
if "%1"=="%ip%" goto ip_ok
echo %1 equates to %ip%
if not "%1"=="%ip%" set fmt=1
if exist $png%f%$.txt del $png%f%$.txt>nul
goto resolved


:not_ip1
if exist $png%f%$.txt del $png%f%$.txt>nul


::          Not much chance NSLOOKUP will work if PING failed to find an
::          IP address.  But try anyway.

echo Attempting to resolve IP address for %1

::          Try to resolve name to IP address...
::          Dump an "any" type query to a text file
::          and select out the address line. 

nslookup -type=any %1 66.45.212.21|find "%1">$t%f%$.bat
if errorlevel==1 goto noaddress

::          This will make a usable batchfile of the text dump

bfr %1 $ip2v%f% $t%f%$.bat -b>nul


::          Sometimes a name lookup will include
::          information that needs to be culled


type $t%f%$.bat|find /v "CPU =">$t%f%$.bat
type $t%f%$.bat|find /v "text =">$t%f%$.bat
type $t%f%$.bat|find /v "preference =">$t%f%$.bat
type $t%f%$.bat|find /v "exchanger =">$t%f%$.bat
type $t%f%$.bat|find /v "nameserver">$t%f%$.bat
type $t%f%$.bat|find /v ".$ip2v%f%">$t%f%$.bat


::          Sometimes there is no name-to-address equation in an "any"
::          type query, only pointers to the nameserver.  Check for the
::          string "$ip2v%f%" which will be missing if this is the case.


find "$ip2v%f%"<$t%f%$.bat>nul
if not errorlevel==1 goto dosetip


::          Having arrived here, there was a valid response to the "any"
::          query, but no IP address.  The "a" type query (default) will
::          probably yield an address.

nslookup %1 66.45.212.21>$t%f%$.bat
find "Addresses:"<$t%f%$.bat>nul
if errorlevel==1 goto one1address

echo There are two or more IP addresses for this name.  Using the first one.
type $t%f%$.bat|find "Addresses:">$t%f%$.bat
type $t%f%$.bat|find /v "27.0.0.1">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Addresses:"<$t%f%$.bat>nul
if errorlevel==1 goto noaddress
bfr \2c \20 $t%f%$.bat -b>nul
bfr Addresses\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul
goto dosetip


:one1address
type $t%f%$.bat|find "Address:">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Address:"<$t%f%$.bat>nul
if errorlevel==1 goto noaddress
bfr Address\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul



::          A temporary batchfile sets variable "ip"

:dosetip
echo set ip=%%3>$ip2v%f%.bat
call $t%f%$.bat
if not "%ip%"=="" goto canon

::          If there's nothing in %ip% it's possible the lookup points
::          to another name.  If so, this should tease it out:


find "name"<$t%f%$.bat>nul
if errorlevel==1 goto noaddress
echo set ip=%%2>$ip2v%f%.bat
call $t%f%$.bat


::          If there's nothing in %ip% just bail.

if "%ip%"=="" goto noaddress

echo %1 is apparently an alias for %ip%.  Resolving...
goto canon2

::          Is this an alias?  Check for canonical name.

:canon
nslookup -type=any %1 66.45.212.21|find "%1"|find "canonical"
if errorlevel==1 goto lastcheck


::          Canonical name found.  The name is an alias.

echo %1 is apparently an alias for %ip%.  Resolving...

::          Go thru the process again, this time using the
::          canonical name.

:canon2
nslookup -type=any %ip% 66.45.212.21|find "%ip%">$t%f%$.bat
if errorlevel==1 goto noaddress


::          Sometimes a name lookup will include
::          nameserver information that needs to be culled

type $t%f%$.bat|find /v "CPU =">$t%f%$.bat
type $t%f%$.bat|find /v "text =">$t%f%$.bat
type $t%f%$.bat|find /v "preference =">$t%f%$.bat
type $t%f%$.bat|find /v "exchanger =">$t%f%$.bat
type $t%f%$.bat|find /v "nameserver">$t%f%$.bat
type $t%f%$.bat|find /v "ns1.%1">$t%f%$.bat
type $t%f%$.bat|find /v "ns2.%1">$t%f%$.bat
type $t%f%$.bat|find /v "ns3.%1">$t%f%$.bat
type $t%f%$.bat|find /v ".$ip2v%f%">$t%f%$.bat


::          Sometimes there is no name-to-address equation in an "any"
::          type query, only pointers to the nameserver.  Check for the
::          string "$ip2v%f%" which will be missing if this is the case.


find "$ip2v%f%"<$t%f%$.bat>nul
if not errorlevel==1 goto dosetip2


::          Having arrived here, there was a valid response to the "any"
::          query, but no IP address.  The "a" type query (default) will
::          probably yield an address.

nslookup %ip% 66.45.212.21>$t%f%$.bat
find "Addresses:"<$t%f%$.bat>nul
if errorlevel==1 goto one2address

echo There are two or more IP addresses for this name.  Using the first one.
type $t%f%$.bat|find "Addresses:">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Addresses:"<$t%f%$.bat>nul
if errorlevel==1 goto noaddress
bfr \2c \20 $t%f%$.bat -b>nul
bfr Addresses\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul
goto dosetip2

:one2address
type $t%f%$.bat|find "Address:">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Address:"<$t%f%$.bat>nul
if errorlevel==1 goto noaddress
bfr Address\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul


:dosetip2
bfr %ip% $ip2v%f% $t%f%$.bat -b>nul
echo set ip=%%3>$ip2v%f%.bat
call $t%f%$.bat


::          If there's nothing in %ip% just bail.

if "%ip%"=="" goto noaddress


:lastcheck
::          Formerly, a check was done of the address at this point.
::          It turned out to be redundant and unnecessary.

::          Give notice of success.

:resolved
echo Address resolved!
echo the IP address for %1 is %ip%


::          Set environment variable to hold the name; but if input was
::          a non-dotted-decimal IP address, don't.

if not "%fmt%"=="1" set name=%1
echo Restarting...
:restart

::          Delay so user can read output.

choice /n /t:y,3


::          Clean up, then restart TRACE.BAT using the IP address.

if exist $t%f%$.bat del $t%f%$.bat>nul
if exist $t%f%$.txt del $t%f%$.txt>nul
if exist $ip2v%f%.bat del $ip2v%f%.bat>nul
if exist $png%f%$.txt del $png%f%$.txt
%0 %ip% %2 %3 %4 %5 %6 %7 %8 %9



:noaddress

::          The name doesn't resolve.  Clean up, do some
::          appropriate output and go try a domain lookup.

if exist $t%f%$.bat del $t%f%$.bat>nul
if exist $t%f%$.txt del $t%f%$.txt>nul
if exist $ip2v%f%.bat del $ip2v%f%.bat>nul
if "%2"=="-x" if exist %1.txt goto stop
if "%3"=="-x" if exist %1.txt goto stop
if "%4"=="-x" if exist %1.txt goto stop
if "%5"=="-x" if exist %1.txt goto stop
if "%6"=="-x" if exist %1.txt goto stop
if "%2"=="-s" if goto skipnpad
if "%3"=="-s" if goto skipnpad
if "%4"=="-s" if goto skipnpad
if "%5"=="-s" if goto skipnpad
if "%6"=="-s" if goto skipnpad
if exist %1.txt start %1.txt
:skipnpad
echo Unable to resolve the name %1 to an IP address.
echo Attempting domain lookup only.
echo Tracing:   %name% %1
echo PCHelp's  --*#   Network Tracer   #*--  Copyright 1999, 2000 pchelp>>%1.txt
echo Free for any use.     Help pchelp!     http://www.pc-help.org/suit/>>%1.txt
echo.>>%1.txt
echo Tracing:   %name% %1>>%1.txt
echo Date:       %cdate%>>%1.txt
echo Start Time: %ctime%>>%1.txt
goto domain


:ip_ok
if "%2"=="-s" goto silent1
if "%3"=="-s" goto silent1
if "%4"=="-s" goto silent1
if "%5"=="-s" goto silent1
if "%6"=="-s" goto silent1
if exist %1.txt start %1.txt
:silent1
if "%2"=="-x" if exist %1.txt goto stop
if "%3"=="-x" if exist %1.txt goto stop
if "%4"=="-x" if exist %1.txt goto stop
if "%5"=="-x" if exist %1.txt goto stop
if "%6"=="-x" if exist %1.txt goto stop
if "%ip%"=="" set ip=%1

::          Tell the user if the capture file already exists.

if "%name%"=="" if exist %1.txt echo %1 has been traced before.  Record will contain multiple traces.
if not "%name%"=="" if exist %name%.txt copy /y %name%.txt %1.txt>nul
if not "%name%"=="" if exist %name%.txt echo %name% has been traced before.
if not "%name%"=="" if exist %name%.txt echo Record will contain multiple traces.



::          Place optional header.

if exist %1.txt if exist %1.ftl copy %1.txt+%1.ftl>nul
if not exist %1.txt if exist %1.ftl ren %1.ftl *.txt>nul
if exist %1.ftl del %1.ftl>nul

:intro
::          The shameless intro goes in the capture file.
cls
echo PCHelp's  --*#   Network Tracer   #*--  Copyright 1999, 2000 pchelp>>%1.txt
echo Free for any use.     Help pchelp!     http://www.pc-help.org/suit/>>%1.txt
echo.>>%1.txt
echo Tracing:   %name% %1>>%1.txt

::          Now place the time and date in the capture file.

echo Date:       %cdate%>>%1.txt
echo Start Time: %ctime%>>%1.txt


::          If this is a domain lookup only, skip to that department.

if "%2"=="-d" goto domain
if "%3"=="-d" goto domain
if "%4"=="-d" goto domain


::          Document the PING response.

if exist $png%f%$.txt goto waspinged
echo Pinging %1 ...
ping -n 1 -i 1 %1>$png%f%$.txt
:waspinged
find "Received = 1"<$png%f%$.txt>nul
if not errorlevel==1 echo There's a live host at %1
echo.>>%1.txt
echo -- PING RESPONSE -->>%1.txt
copy %1.txt+$png%f%$.txt %1.txt>nul
del $png%f%$.txt>nul
echo.>>%1.txt

::          Tell the user what he's doing.

echo Tracing:   %name% %1


::          If user specified it, no NetBIOS check.

if "%2"=="-n" goto nslkup
if "%3"=="-n" goto nslkup
if "%4"=="-n" goto nslkup
if "%5"=="-n" goto nslkup

::          Clear some commonly used variables, so there's a
::          better chance of success storing variables.

set temp=
set tmp=
set winbootdir=
set blaster=
set trace=

::          Make sure there's approximately enough environment space.
::          Say so if there isn't.

set testvar=rumplestiltskinpeterpiperantidisestablishmentarianismjabberwockysupercalifragilistic
if "%testvar%"=="" echo Environment space limited; some functions may not work.
set testvar=


::          Each step gets a header in the capture file.
::          This header announces the NBTSTAT check.

echo.>>%1.txt
echo -- NetBIOS QUERY RESULTS -- >>%1.txt


::          Tell the user what's going on.

echo Checking for NetBIOS host...


::          Perform the check using nbtstat.

if exist $t%f%$.txt goto wasdone
nbtstat -A %1>$t%f%$.txt
:wasdone

::          Check for success and report to console
::          so the user has immediate data.

find "Name Table"<$t%f%$.txt>nul
if not errorlevel==1 goto yeshost
echo *** No NetBIOS response from remote machine
goto noshares
:yeshost
type $t%f%$.txt
echo.

::          If NetBIOS query worked, we have a MAC address
::          which will yield some data.  Extract the vendor
::          code into a variable.

echo.>>$t%f%$.txt
find "MAC Address"<$t%f%$.txt>$t%f%$.bat
bfr \2d \20 $t%f%$.bat -b>nul
echo set vc=%%2%%3%%4>mac.bat
call $t%f%$.bat
del mac.bat>nul

if "%vc%"=="" goto no_env
goto vencode

:no_env
echo Insufficient environment space to store vendor code.
echo Cannot attempt to identify vendor code.
echo Insufficient environment space.  Hardware vendor code not identified.>>$t%f%$.txt
goto nohost

::          Start vendor code routine

:vencode

::          Use the vendor code as a GOTO if it's a label.

::          This may seem wildly unnecessary, but Windows
::          does a weird thing.  If a batchfile is run from
::          a command line, the %0 variable will be simply
::          the text the user typed (trace or trace.bat).
::          But if it is run from the Run dialog in Windows,
::          the %0 variable will contain the full path and
::          filename.


if "%0"=="%windir%\TRACE.BAT" type %0|find "%vc%">nul
if not errorlevel==1 goto %vc%
if exist %windir%\%0.bat type %windir%\%0.bat|find "%vc%">nul
if not errorlevel==1 goto %vc%
if exist %windir%\%0 type %windir%\%0|find "%vc%">nul
if not errorlevel==1 goto %vc%


::          Thus, if trace.bat isn't in the Win dir, no vendor
::          code "scan" is done.
::          The reason is that we cannot attempt to goto a label
::          that may not exist.  The batch process will halt on
::          the spot.  So the vendor code (goto label) has to be
::          looked-for in the batchfile beforehand.  If the
::          batchfile isn't in an identifiable location, there's
::          no way to check.

::          Again, note that the %0 variable will be different
::          depending how this process was initiated.


if "%0"=="%windir%\TRACE.BAT" goto nocode
if exist %windir%\%0.bat goto nocode
if exist %windir%\%0 goto nocode

echo Cannot scan for a known vendor code!
echo You need to place a copy of trace.bat in %windir%
goto nohost


::          If hardware vendor code unknown announce it.

:nocode

echo Unknown hardware vendor code %vc%
echo Unknown hardware vendor code %vc%>>$t%f%$.txt
goto nohost


::          This huge list of vendor codes was derived from the
::          fine work of Michael A. Patton which can be found at
::          http://map-ne.com/Ethernet/Ethernet.txt

::          $Revision: 2.83 $
::          $Date: 1999/03/09 11:36:19 $
::          $Author: map $
::          $Id: Ethernet.txt,v 2.83 1999/03/09 11:36:19 map Exp $

::          Numerous additional codes have been added by pchelp,
::          most of them from the IEEE's own data available at:
::          http://standards.ieee.org/regauth/oui/oui.txt


:000001
echo Hardware vendor code:  SuperLAN-2U>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000002
echo Hardware vendor code:  BBN (was internal usage only, no longer used)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000009
echo Hardware vendor code:  powerpipes?>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00000C
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00000E
echo Hardware vendor code:  Fujitsu>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00000F
echo Hardware vendor code:  NeXT>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000010
echo Hardware vendor code:  Hughes LAN Systems (formerly Sytek)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000011
echo Hardware vendor code:  Tektronix>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000015
echo Hardware vendor code:  Datapoint Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000018
echo Hardware vendor code:  Webster Computer Corporation Appletalk/Ethernet Gateway>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00001A
echo Hardware vendor code:  AMD (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00001B
echo Hardware vendor code:  Novell (now Eagle Technology)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00001C
echo Hardware vendor code:  JDR Microdevices generic, NE2000 drivers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00001D
echo Hardware vendor code:  Cabletron>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00001F
echo Hardware vendor code:  Cryptall Communications Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000020
echo Hardware vendor code:  DIAB (Data Intdustrier AB)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000021
echo Hardware vendor code:  SC&C (PAM Soft&Hardware also reported)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000022
echo Hardware vendor code:  Visual Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000023
echo Hardware vendor code:  ABB Automation AB, Dept. Q>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000024
echo Hardware vendor code:  Olicom>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000029
echo Hardware vendor code:  IMC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00002A
echo Hardware vendor code:  TRW>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00002C
echo Hardware vendor code:  NRC - Network Resources Corporation - MultiGate Hub1+, Hub2, etc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000032
echo Hardware vendor code:  GPT Limited (reassigned from GEC Computers Ltd)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000037
echo Hardware vendor code:  Oxford Metrics Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00003B
echo Hardware vendor code:  Hyundai/Axil  Sun clones>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00003C
echo Hardware vendor code:  Auspex>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00003D
echo Hardware vendor code:  AT&T>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00003F
echo Hardware vendor code:  Syntrex Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000044
echo Hardware vendor code:  Castelle>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000046
echo Hardware vendor code:  ISC-Bunker Ramo, An Olivetti Company>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000048
echo Hardware vendor code:  Epson>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000049
echo Hardware vendor code:  Apricot Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00004B
echo Hardware vendor code:  APT  (possibly ICL)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00004C
echo Hardware vendor code:  NEC Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00004F
echo Hardware vendor code:  Logicraft 386-Ware P.C. Emulator>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000051
echo Hardware vendor code:  Hob Electronic Gmbh & Co. KG>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000052
echo Hardware vendor code:  Optical Data Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000055
echo Hardware vendor code:  AT&T>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000058
echo Hardware vendor code:  Racore Computer Products Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00005A
echo Hardware vendor code:  SK (Schneider & Koch in Europe and Syskonnect outside of Europe)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00005A
echo Hardware vendor code:  Xerox 806 (unregistered)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00005B
echo Hardware vendor code:  Eltec>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00005D
echo Hardware vendor code:  RCE>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00005E
echo Hardware vendor code:  U.S. Department of Defense (IANA)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00005F
echo Hardware vendor code:  Sumitomo>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000061
echo Hardware vendor code:  Gateway Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000062
echo Hardware vendor code:  Honeywell>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000063
echo Hardware vendor code:  Hewlett-Packard LanProbe>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000064
echo Hardware vendor code:  Yokogawa Digital Computer Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000065
echo Hardware vendor code:  Network General>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000066
echo Hardware vendor code:  Talaris>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000068
echo Hardware vendor code:  Rosemount Controls>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000069
echo Hardware vendor code:  Concord Communications, Inc (although someone said Silicon Graphics)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00006B
echo Hardware vendor code:  MIPS>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00006D
echo Hardware vendor code:  Case>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00006E
echo Hardware vendor code:  Artisoft, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00006F
echo Hardware vendor code:  Madge Networks Ltd. Token-ring adapters>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000073
echo Hardware vendor code:  DuPont>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000075
echo Hardware vendor code:  Bell Northern Research (BNR)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000077
echo Hardware vendor code:  Interphase [Used in other systems, e.g. MIPS, Motorola]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000078
echo Hardware vendor code:  Labtam Australia>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000079
echo Hardware vendor code:  Networth Incorporated [bought by Compaq, used in Netelligent series]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00007A
echo Hardware vendor code:  Ardent>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00007B
echo Hardware vendor code:  Research Machines>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00007D
echo Hardware vendor code:  Cray Research Superservers,Inc [Also Harris (3M) (old)]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00007E
echo Hardware vendor code:  NetFRAME multiprocessor network servers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00007F
echo Hardware vendor code:  Linotype-Hell AG Linotronic typesetters>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000080
echo Hardware vendor code:  Cray Communications (formerly Dowty Network Services) [Also shows as "Harris (3M) (new)" and/or "Imagen(?)"]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000081
echo Hardware vendor code:  Synoptics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000083
echo Hardware vendor code:  Tadpole Technology  [had Optical Data Systems which is wrong according to both]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000084
echo Hardware vendor code:  Aquila (?), ADI Systems Inc.(?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000086
echo Hardware vendor code:  Gateway Communications Inc. (then Megahertz & now 3com)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000087
echo Hardware vendor code:  Hitachi>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000089
echo Hardware vendor code:  Cayman Systems Gatorbox>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00008A
echo Hardware vendor code:  Datahouse Information Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00008E
echo Hardware vendor code:  Solbourne(?), Jupiter(?) (I've had confirming mail on Solbourne)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000092
echo Hardware vendor code:  Unisys, Cogent (both reported)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000093
echo Hardware vendor code:  Proteon>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000094
echo Hardware vendor code:  Asante  MAC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000095
echo Hardware vendor code:  Sony/Tektronix>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000097
echo Hardware vendor code:  Epoch>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000098
echo Hardware vendor code:  Cross Com>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000099
echo Hardware vendor code:  Memorex Telex Corporations>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00009F
echo Hardware vendor code:  Ameristar Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A0
echo Hardware vendor code:  Sanyo Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A2
echo Hardware vendor code:  Wellfleet>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A3
echo Hardware vendor code:  Network Application Technology (NAT)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A4
echo Hardware vendor code:  Acorn>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A5
echo Hardware vendor code:  Compatible Systems Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A6
echo Hardware vendor code:  Network General (internal assignment, not for products)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A7
echo Hardware vendor code:  Network Computing Devices (NCD)  X-terminals>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A8
echo Hardware vendor code:  Stratus Computer, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000A9
echo Hardware vendor code:  Network Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000AA
echo Hardware vendor code:  Xerox    Xerox machines>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000AC
echo Hardware vendor code:  Conware Netzpartner>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000AE
echo Hardware vendor code:  Dassault Automatismes et Telecommunications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000AF
echo Hardware vendor code:  Nuclear Data   Acquisition Interface Modules (AIM)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B0
echo Hardware vendor code:  RND (RAD Network Devices)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B1
echo Hardware vendor code:  Alpha Microsystems Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B3
echo Hardware vendor code:  CIMLinc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B4
echo Hardware vendor code:  Edimax>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B5
echo Hardware vendor code:  Datability  Terminal Servers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B6
echo Hardware vendor code:  Micro-matic Research>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000B7
echo Hardware vendor code:  Dove   Fastnet>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000BB
echo Hardware vendor code:  TRI-DATA Systems Inc.  Netway products, 3274 emulators>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000BC
echo Hardware vendor code:  Allen-Bradley>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000C0
echo Hardware vendor code:  Western Digital now SMC (Std. Microsystems Corp.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000C1
echo Hardware vendor code:  Olicom A/S>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000C5
echo Hardware vendor code:  Farallon Computing Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000C6
echo Hardware vendor code:  HP Intelligent Networks Operation (formerly Eon Systems)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000C8
echo Hardware vendor code:  Altos>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000C9
echo Hardware vendor code:  Emulex  Terminal Servers, Print Servers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000CA
echo Hardware vendor code:  LANcity Cable Modems (now owned by BayNetworks)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000CC
echo Hardware vendor code:  Densan Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000CD
echo Hardware vendor code:  Industrial Research Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D0
echo Hardware vendor code:  Develcon Electronics, Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D1
echo Hardware vendor code:  Adaptec, Inc.  "Nodem" product>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D2
echo Hardware vendor code:  SBE Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D3
echo Hardware vendor code:  Wang Labs>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D4
echo Hardware vendor code:  PureData>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D7
echo Hardware vendor code:  Dartmouth College (NED Router)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000D8
echo Hardware vendor code:  old Novell NE1000's (before about 1987?) (also 3Com)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000DD
echo Hardware vendor code:  Gould>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000DE
echo Hardware vendor code:  Unigraph>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E1
echo Hardware vendor code:  Hitachi (laptop built-in)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E2
echo Hardware vendor code:  Acer Counterpoint>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E3
echo Hardware vendor code:  Integrated Micro Products Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E4
echo Hardware vendor code:  mips?>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E6
echo Hardware vendor code:  Aptor Produits De Comm Indust>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E8
echo Hardware vendor code:  Accton Technology Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000E9
echo Hardware vendor code:  ISICAD, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000ED
echo Hardware vendor code:  April>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000EE
echo Hardware vendor code:  Network Designers Limited [also KNX Ltd, a former division]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000EF
echo Hardware vendor code:  Alantec  (now owned by ForeSystems)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000F0
echo Hardware vendor code:  Samsung>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000F2
echo Hardware vendor code:  Spider Communications  (Montreal)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000F3
echo Hardware vendor code:  Gandalf Data Ltd. - Canada>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000F4
echo Hardware vendor code:  Allied Telesis, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000F6
echo Hardware vendor code:  A.M.C. (Applied Microsystems Corp.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000F8
echo Hardware vendor code:  DEC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000FB
echo Hardware vendor code:  Rechner zur Kommunikation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000FD
echo Hardware vendor code:  High Level Hardware (Orion, UK)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0000FF
echo Hardware vendor code:  Camtec Electronics (UK) Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000102
echo Hardware vendor code:  BBN (Bolt Beranek and Newman, Inc.) internal usage>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000143
echo Hardware vendor code:  IEEE 802>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000150
echo Hardware vendor code:  Megahertz (now 3com) modem>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000163
echo Hardware vendor code:  NDC (National Datacomm Corporation)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000168
echo Hardware vendor code:  W&G (Wandel & Goltermann)?>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0001C8
echo Hardware vendor code:  Thomas Conrad Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0001FA
echo Hardware vendor code:  Compaq (PageMarq printers)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000204
echo Hardware vendor code:  Novell NE3200>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000205
echo Hardware vendor code:  Hamilton (Sparc Clones)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000216
echo Hardware vendor code:  ESI (Extended Systems, Inc) print servers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000288
echo Hardware vendor code:  Global Village (PCcard in Mac portable)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0003C6
echo Hardware vendor code:  Morning Star Technologies Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000400
echo Hardware vendor code:  Lexmark (Print Server)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0004AC
echo Hardware vendor code:  IBM PCMCIA Ethernet adapter.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000502
echo Hardware vendor code:  Apple (PCI bus Macs)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00059A
echo Hardware vendor code:  PowerComputing (Mac clone)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0005A8
echo Hardware vendor code:  PowerComputing (Mac clone)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00060D
echo Hardware vendor code:  Hewlett-Packard JetDirect token-ring interface>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000629
echo Hardware vendor code:  IBM RISC6000 system>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00067C
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0006C1
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000701
echo Hardware vendor code:  Racal-Datacom>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00070D
echo Hardware vendor code:  Cisco 2511 Token Ring>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000852
echo Hardware vendor code:  Technically Elite Concepts>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:000855
echo Hardware vendor code:  Fermilab>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0008C7
echo Hardware vendor code:  Compaq>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001007
echo Hardware vendor code:  Cisco Systems Catalyst 1900>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00100B
echo Hardware vendor code:  Cisco Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00100D
echo Hardware vendor code:  Cisco Systems Catalyst 2924-XL>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001011
echo Hardware vendor code:  Cisco Systems   Cisco 75xx>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00101F
echo Hardware vendor code:  Cisco Systems Catalyst 2901>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001029
echo Hardware vendor code:  Cisco Systems Catalyst 5000>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00102F
echo Hardware vendor code:  Cisco Systems Cisco 5000>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00104B
echo Hardware vendor code:  3Com 3C905-TX PCI>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00105A
echo Hardware vendor code:  3Com Fast Etherlink XL>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001060
echo Hardware vendor code:  Billington  Novell NE200 Compatible>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001079
echo Hardware vendor code:  Cisco 5500 Router>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00107A
echo Hardware vendor code:  Ambicom (was Tandy?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00107B
echo Hardware vendor code:  Cisco Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001083
echo Hardware vendor code:  HP-UX E 9000/889>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0010A4
echo Hardware vendor code:  Xircom RealPort 10/100 PC Card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0010A6
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0010D7
echo Hardware vendor code:  Argosy EN 220 Fast Ethernet PCMCIA>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0010F6
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:001700
echo Hardware vendor code:  Kabel>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002000
echo Hardware vendor code:  Lexmark (Print Server)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002005
echo Hardware vendor code:  simpletech>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002008
echo Hardware vendor code:  Cable & Computer Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00200C
echo Hardware vendor code:  Adastra Systems Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002011
echo Hardware vendor code:  Canopus Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002017
echo Hardware vendor code:  Orbotech>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002018
echo Hardware vendor code:  Realtek>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00201A
echo Hardware vendor code:  Nbase>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002025
echo Hardware vendor code:  Control Technology Inc (Industrial Controls and Network Interfaces)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002028
echo Hardware vendor code:  Bloomberg>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002029
echo Hardware vendor code:  TeleProcessing CSU/DSU (now owned by ADC/Kentrox)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00202B
echo Hardware vendor code:  ATML (Advanced Telecommunications Modules, Ltd.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002035
echo Hardware vendor code:  IBM (International Business Machines) mainframe, Etherjet printer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002036
echo Hardware vendor code:  BMC Software>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002042
echo Hardware vendor code:  Datametrics Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002045
echo Hardware vendor code:  SolCom Systems Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002048
echo Hardware vendor code:  Fore Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00204B
echo Hardware vendor code:  Autocomputer Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00204C
echo Hardware vendor code:  Mitron Computer Pte Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002056
echo Hardware vendor code:  Neoproducts>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002061
echo Hardware vendor code:  Dynatech Communications Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002063
echo Hardware vendor code:  Wipro Infotech Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002066
echo Hardware vendor code:  General Magic Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002067
echo Hardware vendor code:  Node Runner Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00206B
echo Hardware vendor code:  Minolta Co., Ltd Network printer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002078
echo Hardware vendor code:  Runtop Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002085
echo Hardware vendor code:  3COM SuperStack II UPS management module>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00208A
echo Hardware vendor code:  Sonix Communications Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00208B
echo Hardware vendor code:  Focus Enhancements>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00208C
echo Hardware vendor code:  Galaxy Networks Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:002094
echo Hardware vendor code:  Cubix Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020A5
echo Hardware vendor code:  Newer Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020A6
echo Hardware vendor code:  Proxim Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020A7
echo Hardware vendor code:  Pairgain Technologies, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020AF
echo Hardware vendor code:  3COM Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020B2
echo Hardware vendor code:  CSP (Printline Multiconnectivity converter)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020B6
echo Hardware vendor code:  Agile Networks Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020B9
echo Hardware vendor code:  Metricom, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020C5
echo Hardware vendor code:  Eagle NE2000>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020C6
echo Hardware vendor code:  NECTEC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020D0
echo Hardware vendor code:  Versalynx Corp. "The One Port" terminal server>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020D2
echo Hardware vendor code:  RAD Data Communications Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020D3
echo Hardware vendor code:  OST (Ouet Standard Telematique)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020D8
echo Hardware vendor code:  NetWave>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020DA
echo Hardware vendor code:  Xylan>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020DC
echo Hardware vendor code:  Densitron Taiwan Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020E0
echo Hardware vendor code:  PreMax PE-200 (PCMCIA NE2000-clone card, sold by InfoExpress)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020E5
echo Hardware vendor code:  Apex Data>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020EE
echo Hardware vendor code:  Gtech Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020F6
echo Hardware vendor code:  Net Tek & Karlnet Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020F8
echo Hardware vendor code:  Carrera Computers Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0020FC
echo Hardware vendor code:  Matrox>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004001
echo Hardware vendor code:  Zero One Technology Co Ltd (ZyXEL?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004005
echo Hardware vendor code:  TRENDware International Inc.; Linksys; Simple Net; all three reported>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004009
echo Hardware vendor code:  Tachibana Tectron Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00400B
echo Hardware vendor code:  Crescendo (now owned by Cisco)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00400C
echo Hardware vendor code:  General Micro Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00400D
echo Hardware vendor code:  LANNET Data Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004010
echo Hardware vendor code:  Sonic  Mac Ethernet interface>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004011
echo Hardware vendor code:  Facilities Andover Environmental Controllers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004013
echo Hardware vendor code:  NTT Data Communication Systems Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004014
echo Hardware vendor code:  Comsoft Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004015
echo Hardware vendor code:  Ascom>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004017
echo Hardware vendor code:  XCd XJet - HP printer server card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00401C
echo Hardware vendor code:  AST Pentium/90 PC (emulating AMD EISA card)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00401F
echo Hardware vendor code:  Colorgraph Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004020
echo Hardware vendor code:  Pilkington Communication>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004023
echo Hardware vendor code:  Logic Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004025
echo Hardware vendor code:  Molecular Dynamics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004026
echo Hardware vendor code:  Melco Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004027
echo Hardware vendor code:  SMC Massachusetts (Sigma?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004028
echo Hardware vendor code:  Netcomm>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00402A
echo Hardware vendor code:  Canoga-Perkins>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00402B
echo Hardware vendor code:  TriGem>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00402F
echo Hardware vendor code:  Xlnt Designs Inc (XDI)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004030
echo Hardware vendor code:  GK Computer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004032
echo Hardware vendor code:  Digital Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004033
echo Hardware vendor code:  Addtron Technology Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004036
echo Hardware vendor code:  TribeStar>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004039
echo Hardware vendor code:  Optec Daiichi Denko Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00403C
echo Hardware vendor code:  Forks, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004041
echo Hardware vendor code:  Fujikura Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004043
echo Hardware vendor code:  Nokia Data Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004048
echo Hardware vendor code:  SMD Informatica S.A.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00404C
echo Hardware vendor code:  Hypertec Pty Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00404D
echo Hardware vendor code:  Telecomm Techniques>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00404F
echo Hardware vendor code:  Space & Naval Warfare Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004050
echo Hardware vendor code:  Ironics, Incorporated>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004052
echo Hardware vendor code:  Star Technologies Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004053
echo Hardware vendor code:  Datum [Bancomm Division] TymServe 2000>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004054
echo Hardware vendor code:  Thinking Machines Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004057
echo Hardware vendor code:  Lockheed-Sanders>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004059
echo Hardware vendor code:  Yoshida Kogyo K.K.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00405B
echo Hardware vendor code:  Funasset Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00405D
echo Hardware vendor code:  Star-Tek Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004066
echo Hardware vendor code:  Hitachi Cable, Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004067
echo Hardware vendor code:  Omnibyte Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004068
echo Hardware vendor code:  Extended Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004069
echo Hardware vendor code:  Lemcom Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00406A
echo Hardware vendor code:  Kentek Information Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00406E
echo Hardware vendor code:  Corollary, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00406F
echo Hardware vendor code:  Sync Research Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004072
echo Hardware vendor code:  Applied Innovation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004074
echo Hardware vendor code:  Cable and Wireless>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004076
echo Hardware vendor code:  AMP Incorporated>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004078
echo Hardware vendor code:  Wearnes Automation Pte Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00407F
echo Hardware vendor code:  Agema Infrared Systems AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004082
echo Hardware vendor code:  Laboratory Equipment Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004085
echo Hardware vendor code:  SAAB Instruments AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004086
echo Hardware vendor code:  Michels & Kleberhoff Computer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004087
echo Hardware vendor code:  Ubitrex Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004088
echo Hardware vendor code:  Mobuis NuBus (Mac) combination video/EtherTalk>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00408A
echo Hardware vendor code:  TPS Teleprocessing Sys. Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00408C
echo Hardware vendor code:  Axis Communications AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00408E
echo Hardware vendor code:  CXR/Digilog>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00408F
echo Hardware vendor code:  WM-Data Minfo AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004090
echo Hardware vendor code:  Ansel Communications PC NE2000 compatible twisted-pair ethernet card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004091
echo Hardware vendor code:  Procomp Industria Eletronica>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004092
echo Hardware vendor code:  ASP Computer Products, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004094
echo Hardware vendor code:  Shographics Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004095
echo Hardware vendor code:  Eagle Technologies [UMC also reported]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004096
echo Hardware vendor code:  Telesystems SLW Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00409A
echo Hardware vendor code:  Network Express Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00409C
echo Hardware vendor code:  Transware>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00409D
echo Hardware vendor code:  DigiBoard Ethernet-ISDN bridges>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00409E
echo Hardware vendor code:  Concurrent Technologies Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00409F
echo Hardware vendor code:  Lancast/Casat Technology Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040A4
echo Hardware vendor code:  Rose Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040A6
echo Hardware vendor code:  Cray Research Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040AA
echo Hardware vendor code:  Valmet Automation Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040AD
echo Hardware vendor code:  SMA Regelsysteme Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040AE
echo Hardware vendor code:  Delta Controls, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040AF
echo Hardware vendor code:  Digital Products, Inc. (DPI).>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040B4
echo Hardware vendor code:  3COM K.K.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040B5
echo Hardware vendor code:  Video Technology Computers Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040B6
echo Hardware vendor code:  Computerm Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040B9
echo Hardware vendor code:  MACQ Electronique SA>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040BD
echo Hardware vendor code:  Starlight Networks Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C1
echo Hardware vendor code:  Bizerba-Werke Wilheim Kraut>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C2
echo Hardware vendor code:  Applied Computing Devices>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C3
echo Hardware vendor code:  Fischer and Porter Co.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C5
echo Hardware vendor code:  Micom Communications Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C6
echo Hardware vendor code:  Fibernet Research, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C7
echo Hardware vendor code:  Danpex Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040C8
echo Hardware vendor code:  Milan Technology Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040CC
echo Hardware vendor code:  Silcom Manufacturing Technology Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040CF
echo Hardware vendor code:  Strawberry Tree Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040D0
echo Hardware vendor code:  DEC/Compaq>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040D2
echo Hardware vendor code:  Pagine Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040D4
echo Hardware vendor code:  Gage Talker Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040D7
echo Hardware vendor code:  Studio Gen Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040D8
echo Hardware vendor code:  Ocean Office Automation Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040DC
echo Hardware vendor code:  Tritec Electronic Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040DF
echo Hardware vendor code:  Digalog Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040E1
echo Hardware vendor code:  Marner International Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040E2
echo Hardware vendor code:  Mesa Ridge Technologies Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040E3
echo Hardware vendor code:  Quin Systems Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040E5
echo Hardware vendor code:  Sybus Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040E7
echo Hardware vendor code:  Arnos Instruments & Computer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040E9
echo Hardware vendor code:  Accord Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040EA
echo Hardware vendor code:  PlainTree Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040ED
echo Hardware vendor code:  Network Controls International Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040F0
echo Hardware vendor code:  Micro Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040F1
echo Hardware vendor code:  Chuo Electronics Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040F4
echo Hardware vendor code:  Cameo Communications, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040F5
echo Hardware vendor code:  OEM Engines>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040F6
echo Hardware vendor code:  Katron Computers Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040F9
echo Hardware vendor code:  Combinet>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040FA
echo Hardware vendor code:  Microboards Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040FB
echo Hardware vendor code:  Cascade Communications Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040FD
echo Hardware vendor code:  LXE>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0040FF
echo Hardware vendor code:  Telebit Corporation Personal NetBlazer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004854
echo Hardware vendor code:  Digital SemiConductor 21143/2 based 10/100>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004F49
echo Hardware vendor code:  Realtek>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:004F4B
echo Hardware vendor code:  Pine Technology Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:005004
echo Hardware vendor code:  3com  3C90X>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00500F
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00504D
echo Hardware vendor code:  Repotec Group>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00504E
echo Hardware vendor code:  UMC UM9008 NE2000-compatible ISA Card for PC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:005050
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:005069
echo Hardware vendor code:  PixStream Incorporated>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0050BD
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0050DA
echo Hardware vendor code:  Alcatel "Speed Touch" ADSL Modem>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0050E2
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:005500
echo Hardware vendor code:  Xerox>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006008
echo Hardware vendor code:  3Com   3Com PCI form factor 3C905 TX board>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006009
echo Hardware vendor code:  Cisco Catalyst 5000 Ethernet switch>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006025
echo Hardware vendor code:  Active Imaging Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00602F
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006030
echo Hardware vendor code:  VillageTronic (used on Amiga)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00603E
echo Hardware vendor code:  Cisco 100Mbps interface>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006047
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00604E
echo Hardware vendor code:  Cycle Computer (Sun MotherBoard Replacements)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006052
echo Hardware vendor code:  Realtek (RTL 8029 == PCI NE2000)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00605C
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006067
echo Hardware vendor code:  Acer Lan>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006070
echo Hardware vendor code:  Cisco routers (2524 and 4500)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006083
echo Hardware vendor code:  Cisco Systems, Inc. 3620/3640 routers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00608C
echo Hardware vendor code:  3Com (1990 onwards)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006094
echo Hardware vendor code:  AMD PCNET PCI>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:006097
echo Hardware vendor code:  3Com>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0060B0
echo Hardware vendor code:  Hewlett-Packard>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0060F5
echo Hardware vendor code:  Phobos FastEthernet for Unix WS>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008000
echo Hardware vendor code:  Multitech Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008001
echo Hardware vendor code:  Periphonics Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008004
echo Hardware vendor code:  Antlow Computers, Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008005
echo Hardware vendor code:  Cactus Computer Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008006
echo Hardware vendor code:  Compuadd Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008007
echo Hardware vendor code:  Dlog NC-Systeme>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008009
echo Hardware vendor code:  Jupiter Systems (older MX-600 series machines)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00800D
echo Hardware vendor code:  Vosswinkel FU>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00800F
echo Hardware vendor code:  SMC (Standard Microsystem Corp.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008010
echo Hardware vendor code:  Commodore>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008012
echo Hardware vendor code:  IMS Corp.  IMS failure analysis tester>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008013
echo Hardware vendor code:  Thomas Conrad Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008015
echo Hardware vendor code:  Seiko Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008016
echo Hardware vendor code:  Wandel & Goltermann>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008017
echo Hardware vendor code:  PFU>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008019
echo Hardware vendor code:  Dayna Communications "Etherprint" product>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00801A
echo Hardware vendor code:  Bell Atlantic>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00801B
echo Hardware vendor code:  Kodiak Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00801C
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008021
echo Hardware vendor code:  Newbridge Networks Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008023
echo Hardware vendor code:  Integrated Business Networks>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008024
echo Hardware vendor code:  Kalpana>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008026
echo Hardware vendor code:  Network Products Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008029
echo Hardware vendor code:  Microdyne Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00802A
echo Hardware vendor code:  Test Systems & Simulations Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00802C
echo Hardware vendor code:  The Sage Group PLC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00802D
echo Hardware vendor code:  Xylogics, Inc. Annex terminal servers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00802E
echo Hardware vendor code:  Plexcom, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008033
echo Hardware vendor code:  Formation (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008034
echo Hardware vendor code:  SMT-Goupil>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008035
echo Hardware vendor code:  Technology Works>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008037
echo Hardware vendor code:  Ericsson Business Comm.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008038
echo Hardware vendor code:  Data Research & Applications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00803B
echo Hardware vendor code:  APT Communications, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00803D
echo Hardware vendor code:  Surigiken Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00803E
echo Hardware vendor code:  Synernetics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00803F
echo Hardware vendor code:  Hyundai Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008042
echo Hardware vendor code:  Force Computers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008043
echo Hardware vendor code:  Networld Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008045
echo Hardware vendor code:  Matsushita Electric Ind Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008046
echo Hardware vendor code:  University of Toronto>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008048
echo Hardware vendor code:  Compex, used by Commodore and DEC at least>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008049
echo Hardware vendor code:  Nissin Electric Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00804C
echo Hardware vendor code:  Contec Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00804D
echo Hardware vendor code:  Cyclone Microsystems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008051
echo Hardware vendor code:  ADC Fibermux>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008052
echo Hardware vendor code:  Network Professor>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008057
echo Hardware vendor code:  Adsoft Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00805A
echo Hardware vendor code:  Tulip Computers International BV>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00805B
echo Hardware vendor code:  Condor Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00805C
echo Hardware vendor code:  Agilis(?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00805F
echo Hardware vendor code:  Compaq Computer Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008060
echo Hardware vendor code:  Network Interface Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008062
echo Hardware vendor code:  Interface Co.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008063
echo Hardware vendor code:  Richard Hirschmann Gmbh & Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008064
echo Hardware vendor code:  Wyse>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008067
echo Hardware vendor code:  Square D Company>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008069
echo Hardware vendor code:  Computone Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00806A
echo Hardware vendor code:  ERI (Empac Research Inc.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00806B
echo Hardware vendor code:  Schmid Telecommunication>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00806C
echo Hardware vendor code:  Cegelec Projects Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00806D
echo Hardware vendor code:  Century Systems Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00806E
echo Hardware vendor code:  Nippon Steel Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00806F
echo Hardware vendor code:  Onelan Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008071
echo Hardware vendor code:  SAI Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008072
echo Hardware vendor code:  Microplex Systems Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008074
echo Hardware vendor code:  Fisher Controls>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008079
echo Hardware vendor code:  Microbus Designs Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00807B
echo Hardware vendor code:  Artel Communications Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00807C
echo Hardware vendor code:  FiberCom>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00807D
echo Hardware vendor code:  Equinox Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008082
echo Hardware vendor code:  PEP Modular Computers Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008086
echo Hardware vendor code:  Computer Generation Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008087
echo Hardware vendor code:  Okidata>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00808A
echo Hardware vendor code:  Summit (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00808B
echo Hardware vendor code:  Dacoll Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00808C
echo Hardware vendor code:  Netscout Systems (formerly Frontier Software Development)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00808D
echo Hardware vendor code:  Westcove Technology BV>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00808E
echo Hardware vendor code:  Radstone Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008090
echo Hardware vendor code:  Microtek International Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008092
echo Hardware vendor code:  Japan Computer Industry, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008093
echo Hardware vendor code:  Xyron Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008094
echo Hardware vendor code:  Sattcontrol AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008096
echo Hardware vendor code:  HDS (Human Designed Systems) X terminal>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:008098
echo Hardware vendor code:  TDK Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00809A
echo Hardware vendor code:  Novus Networks Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00809B
echo Hardware vendor code:  Justsystem Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00809D
echo Hardware vendor code:  Datacraft Manufactur'g Pty Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00809F
echo Hardware vendor code:  Alcatel Business Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080A1
echo Hardware vendor code:  Microtest>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080A3
echo Hardware vendor code:  Lantronix>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080A6
echo Hardware vendor code:  Republic Technology Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080A7
echo Hardware vendor code:  Measurex Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080AD
echo Hardware vendor code:  CNet Technology   Telebit (among others)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080AE
echo Hardware vendor code:  Hughes Network Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080AF
echo Hardware vendor code:  Allumer Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080B1
echo Hardware vendor code:  Softcom A/S>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080B2
echo Hardware vendor code:  NET (Network Equipment Technologies)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080B6
echo Hardware vendor code:  Themis corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080BA
echo Hardware vendor code:  Specialix (Asia) Pte Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080C0
echo Hardware vendor code:  Penril Datability Networks>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080C2
echo Hardware vendor code:  IEEE 802.1 Committee>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080C6
echo Hardware vendor code:  Soho>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080C7
echo Hardware vendor code:  Xircom, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080C8
echo Hardware vendor code:  D-Link  (or Solectek Pocket Adapters, or LinkSys PCMCIA)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080C9
echo Hardware vendor code:  Alberta Microelectronic Centre>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080CE
echo Hardware vendor code:  Broadcast Television Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080D0
echo Hardware vendor code:  Computer Products International>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080D3
echo Hardware vendor code:  Shiva Appletalk-Ethernet interface>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080D4
echo Hardware vendor code:  Chase Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080D6
echo Hardware vendor code:  Apple Mac Portable(?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080D7
echo Hardware vendor code:  Fantum Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080D8
echo Hardware vendor code:  Network Peripherals>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080DA
echo Hardware vendor code:  Bruel & Kjaer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080E0
echo Hardware vendor code:  XTP Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080E3
echo Hardware vendor code:  Coral (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080E7
echo Hardware vendor code:  Lynwood Scientific Dev Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080EA
echo Hardware vendor code:  The Fiber Company>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080F0
echo Hardware vendor code:  Kyushu Matsushita Electric Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080F1
echo Hardware vendor code:  Opus>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080F3
echo Hardware vendor code:  Sun Electronics Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080F4
echo Hardware vendor code:  Telemechanique Electrique>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080F5
echo Hardware vendor code:  Quantel Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080F7
echo Hardware vendor code:  Zenith Communications Products>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080FB
echo Hardware vendor code:  BVM Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0080FE
echo Hardware vendor code:  Azure Technologies Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:009004
echo Hardware vendor code:  3Com>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:009027
echo Hardware vendor code:  Intel>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0090B1
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00902B
echo Hardware vendor code:  Cisco Ethernet Switches and Light Streams>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:009086
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:009092
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0090AB
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0090B1
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:0090F2
echo Hardware vendor code:  Cisco Ethernet Switches and Light Streams>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A000
echo Hardware vendor code:  Bay Networks Ethernet switch>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A00C
echo Hardware vendor code:  Kingmax Technology Inc. PCMCIA card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A024
echo Hardware vendor code:  3com>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A040
echo Hardware vendor code:  Apple (PCI Mac)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A04B
echo Hardware vendor code:  Sonic Systems Inc. EtherFE 10/100 PCI for Mac or PC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A073
echo Hardware vendor code:  Com21>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A083
echo Hardware vendor code:  Intel>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A092
echo Hardware vendor code:  Intermate International [LAN printer interface]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A0AE
echo Hardware vendor code:  Network Peripherals, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A0C8
echo Hardware vendor code:  Adtran, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A0C9
echo Hardware vendor code:  Intel (PRO100B and PRO100+) [Cisco PIX firewall among others]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A0CC
echo Hardware vendor code:  Lite-On (used by MacSense in Adapter for Mac, also seen in PCs)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A0D1
echo Hardware vendor code:  National Semiconductor [COMPAQ Docking Station]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00A0D2
echo Hardware vendor code:  Allied Telesyn>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00AA00
echo Hardware vendor code:  Intel>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00B0D0
echo Hardware vendor code:  Computer Products International>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C000
echo Hardware vendor code:  Lanoptics Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C001
echo Hardware vendor code:  Diatek Patient Managment>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C002
echo Hardware vendor code:  Sercomm Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C003
echo Hardware vendor code:  Globalnet Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C004
echo Hardware vendor code:  Japan Business Computer Co.Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C005
echo Hardware vendor code:  Livingston Enterprises Inc Portmaster>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C006
echo Hardware vendor code:  Nippon Avionics Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C007
echo Hardware vendor code:  Pinnacle Data Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C008
echo Hardware vendor code:  Seco SRL>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C009
echo Hardware vendor code:  KT Technology (s) Pte Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C00A
echo Hardware vendor code:  Micro Craft>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C00B
echo Hardware vendor code:  Norcontrol A.S.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C00C
echo Hardware vendor code:  ARK PC Technology, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C00D
echo Hardware vendor code:  Advanced Logic Research Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C00E
echo Hardware vendor code:  Psitech Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C00F
echo Hardware vendor code:  QNX Software Systems Ltd. [aka Quantum Software Systems Ltd]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C011
echo Hardware vendor code:  Interactive Computing Devices>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C012
echo Hardware vendor code:  Netspan Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C013
echo Hardware vendor code:  Netrix>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C014
echo Hardware vendor code:  Telematics Calabasas>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C015
echo Hardware vendor code:  New Media Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C016
echo Hardware vendor code:  Electronic Theatre Controls>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C017
echo Hardware vendor code:  Fluke>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C018
echo Hardware vendor code:  Lanart Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C01A
echo Hardware vendor code:  Corometrics Medical Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C01B
echo Hardware vendor code:  Socket Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C01C
echo Hardware vendor code:  Interlink Communications Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C01D
echo Hardware vendor code:  Grand Junction Networks, Inc. (Cisco Catalyst?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C01F
echo Hardware vendor code:  S.E.R.C.E.L.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C020
echo Hardware vendor code:  Arco Electronic, Control Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C021
echo Hardware vendor code:  Netexpress>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C023
echo Hardware vendor code:  Tutankhamon Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C024
echo Hardware vendor code:  Eden Sistemas De Computacao SA>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C025
echo Hardware vendor code:  Dataproducts Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C027
echo Hardware vendor code:  Cipher Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C028
echo Hardware vendor code:  Jasco Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C029
echo Hardware vendor code:  Kabel Rheydt AG>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C02A
echo Hardware vendor code:  Ohkura Electric Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C02B
echo Hardware vendor code:  Gerloff Gesellschaft Fur>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C02C
echo Hardware vendor code:  Centrum Communications, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C02D
echo Hardware vendor code:  Fuji Photo Film Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C02E
echo Hardware vendor code:  Netwiz>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C02F
echo Hardware vendor code:  Okuma Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C030
echo Hardware vendor code:  Integrated Engineering B. V.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C031
echo Hardware vendor code:  Design Research Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C032
echo Hardware vendor code:  I-Cubed Limited>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C033
echo Hardware vendor code:  Telebit Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C034
echo Hardware vendor code:  Dale Computer Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C035
echo Hardware vendor code:  Quintar Company>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C036
echo Hardware vendor code:  Raytech Electronic Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C039
echo Hardware vendor code:  Silicon Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C03B
echo Hardware vendor code:  Multiaccess Computing Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C03C
echo Hardware vendor code:  Tower Tech S.R.L.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C03D
echo Hardware vendor code:  Wiesemann & Theis Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C03E
echo Hardware vendor code:  Fa. Gebr. Heller Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C03F
echo Hardware vendor code:  Stores Automated Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C040
echo Hardware vendor code:  ECCI>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C041
echo Hardware vendor code:  Digital Transmission Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C042
echo Hardware vendor code:  Datalux Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C043
echo Hardware vendor code:  Stratacom>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C044
echo Hardware vendor code:  Emcom Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C045
echo Hardware vendor code:  Isolation Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C046
echo Hardware vendor code:  Kemitron Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C047
echo Hardware vendor code:  Unimicro Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C048
echo Hardware vendor code:  Bay Technical Associates>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C049
echo Hardware vendor code:  US Robotics Total Control (tm) NETServer Card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C04D
echo Hardware vendor code:  Mitec Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C04E
echo Hardware vendor code:  Comtrol Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C04F
echo Hardware vendor code:  Dell>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C050
echo Hardware vendor code:  Toyo Denki Seizo K.K.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C051
echo Hardware vendor code:  Advanced Integration Research>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C055
echo Hardware vendor code:  Modular Computing Technologies>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C056
echo Hardware vendor code:  Somelec>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C057
echo Hardware vendor code:  Myco Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C058
echo Hardware vendor code:  Dataexpert Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C059
echo Hardware vendor code:  Nippondenso Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C05B
echo Hardware vendor code:  Networks Northwest Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C05C
echo Hardware vendor code:  Elonex PLC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C05D
echo Hardware vendor code:  L&N Technologies>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C05E
echo Hardware vendor code:  Vari-Lite Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C060
echo Hardware vendor code:  ID Scandinavia A/S>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C061
echo Hardware vendor code:  Solectek Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C063
echo Hardware vendor code:  Morning Star Technologies Inc?>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C064
echo Hardware vendor code:  General Datacomm Ind Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C065
echo Hardware vendor code:  Scope Communications Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C066
echo Hardware vendor code:  Docupoint, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C067
echo Hardware vendor code:  United Barcode Industries>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C068
echo Hardware vendor code:  Philp Drake Electronics Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C069
echo Hardware vendor code:  California Microwave Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C06A
echo Hardware vendor code:  Zahner-Elektrik Gmbh & Co KG>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C06B
echo Hardware vendor code:  OSI Plus Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C06C
echo Hardware vendor code:  SVEC Computer Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C06D
echo Hardware vendor code:  Boca Research, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C06F
echo Hardware vendor code:  Komatsu Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C070
echo Hardware vendor code:  Sectra Secure-Transmission AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C071
echo Hardware vendor code:  Areanex Communications, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C072
echo Hardware vendor code:  KNX Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C073
echo Hardware vendor code:  Xedia Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C074
echo Hardware vendor code:  Toyoda Automatic Loom Works Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C075
echo Hardware vendor code:  Xante Corporation
echo Hardware vendor code:  >>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C076
echo Hardware vendor code:  I-Data International A-S>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C077
echo Hardware vendor code:  Daewoo Telecom Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C078
echo Hardware vendor code:  Computer Systems Engineering>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C079
echo Hardware vendor code:  Fonsys Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C07A
echo Hardware vendor code:  Priva BV>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C07B
echo Hardware vendor code:  Ascend Communications ISDN bridges/routers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C07D
echo Hardware vendor code:  RISC Developments Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C07F
echo Hardware vendor code:  Nupon Computing Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C080
echo Hardware vendor code:  Netstar Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C081
echo Hardware vendor code:  Metrodata Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C082
echo Hardware vendor code:  Moore Products Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C084
echo Hardware vendor code:  Data Link Corp Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C085
echo Hardware vendor code:  Canon>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C086
echo Hardware vendor code:  The Lynk Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C087
echo Hardware vendor code:  UUNET Technologies Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C089
echo Hardware vendor code:  Telindus Distribution>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C08A
echo Hardware vendor code:  Lauterbach Datentechnik Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C08B
echo Hardware vendor code:  RISQ Modular Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C08C
echo Hardware vendor code:  Performance Technologies Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C08D
echo Hardware vendor code:  Tronix Product Development>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C08E
echo Hardware vendor code:  Network Information Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C08F
echo Hardware vendor code:  Matsushita Electric Works, Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C090
echo Hardware vendor code:  Praim S.R.L.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C091
echo Hardware vendor code:  Jabil Circuit, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C092
echo Hardware vendor code:  Mennen Medical Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C093
echo Hardware vendor code:  Alta Research Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C095
echo Hardware vendor code:  Znyx (Network Appliance); Jupiter Systems (MX-700); Apple (G3)  all seen>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C096
echo Hardware vendor code:  Tamura Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C097
echo Hardware vendor code:  Archipel SA>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C098
echo Hardware vendor code:  Chuntex Electronic Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C09B
echo Hardware vendor code:  Reliance Comm/Tec, R-Tec Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C09C
echo Hardware vendor code:  TOA Electronic Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C09D
echo Hardware vendor code:  Distributed Systems Int'l, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C09F
echo Hardware vendor code:  Quanta Computer Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A0
echo Hardware vendor code:  Advance Micro Research, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A1
echo Hardware vendor code:  Tokyo Denshi Sekei Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A2
echo Hardware vendor code:  Intermedium A/S>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A3
echo Hardware vendor code:  Dual Enterprises Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A4
echo Hardware vendor code:  Unigraf OY>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A7
echo Hardware vendor code:  SEEL Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A8
echo Hardware vendor code:  GVC Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0A9
echo Hardware vendor code:  Barron McCann Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0AA
echo Hardware vendor code:  Silicon Valley Computer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0AB
echo Hardware vendor code:  Jupiter Technology Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0AC
echo Hardware vendor code:  Gambit Computer Communications>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0AD
echo Hardware vendor code:  Computer Communication Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0AE
echo Hardware vendor code:  Towercom Co Inc DBA PC House>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B0
echo Hardware vendor code:  GCC Technologies,Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B2
echo Hardware vendor code:  Norand Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B3
echo Hardware vendor code:  Comstat Datacomm Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B4
echo Hardware vendor code:  Myson Technology Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B5
echo Hardware vendor code:  Corporate Network Systems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B6
echo Hardware vendor code:  Meridian Data Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B7
echo Hardware vendor code:  American Power Conversion Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B8
echo Hardware vendor code:  Fraser's Hill Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0B9
echo Hardware vendor code:  Funk Software Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0BA
echo Hardware vendor code:  Netvantage>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0BB
echo Hardware vendor code:  Forval Creative Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0BD
echo Hardware vendor code:  Inex Technologies, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0BE
echo Hardware vendor code:  Alcatel - Sel>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0BF
echo Hardware vendor code:  Technology Concepts Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C0
echo Hardware vendor code:  Shore Microsystems Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C1
echo Hardware vendor code:  Quad/Graphics Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C2
echo Hardware vendor code:  Infinite Networks Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C3
echo Hardware vendor code:  Acuson Computed Sonography>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C4
echo Hardware vendor code:  Computer Operational>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C5
echo Hardware vendor code:  SID Informatica>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C6
echo Hardware vendor code:  Personal Media Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C8
echo Hardware vendor code:  Micro Byte Pty Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0C9
echo Hardware vendor code:  Bailey Controls Co>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0CA
echo Hardware vendor code:  Alfa, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0CB
echo Hardware vendor code:  Control Technology Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0CD
echo Hardware vendor code:  Comelta S.A.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D0
echo Hardware vendor code:  Ratoc System Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D1
echo Hardware vendor code:  Comtree Technology Corporation (EFA also reported)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D2
echo Hardware vendor code:  Syntellect Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D4
echo Hardware vendor code:  Axon Networks Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D5
echo Hardware vendor code:  Quancom Electronic Gmbh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D6
echo Hardware vendor code:  J1 Systems, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0D9
echo Hardware vendor code:  Quinte Network Confidentiality Equipment Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0DB
echo Hardware vendor code:  IPC Corporation (Pte) Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0DC
echo Hardware vendor code:  EOS Technologies, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0DE
echo Hardware vendor code:  ZComm Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0DF
echo Hardware vendor code:  Kye Systems Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E1
echo Hardware vendor code:  Sonic Solutions>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E2
echo Hardware vendor code:  Calcomp, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E3
echo Hardware vendor code:  Ositech Communications Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E4
echo Hardware vendor code:  Landis & Gyr Powers Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E5
echo Hardware vendor code:  GESPAC S.A.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E6
echo Hardware vendor code:  TXPORT>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E7
echo Hardware vendor code:  Fiberdata AB>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E8
echo Hardware vendor code:  Plexcom Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0E9
echo Hardware vendor code:  Oak Solutions Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0EA
echo Hardware vendor code:  Array Technology Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0EC
echo Hardware vendor code:  Dauphin Technology>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0ED
echo Hardware vendor code:  US Army Electronic Proving Ground>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0EE
echo Hardware vendor code:  Kyocera Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0EF
echo Hardware vendor code:  Abit Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F0
echo Hardware vendor code:  Kingston Technology Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F1
echo Hardware vendor code:  Shinko Electric Co Ltd>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F2
echo Hardware vendor code:  Transition Engineering Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F3
echo Hardware vendor code:  Network Communications Corp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F4
echo Hardware vendor code:  Interlink System Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F5
echo Hardware vendor code:  Metacomp Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F6
echo Hardware vendor code:  Celan Technology Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F7
echo Hardware vendor code:  Engage Communication, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0F8
echo Hardware vendor code:  About Computing Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0FA
echo Hardware vendor code:  Canary Communications Inc>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0FB
echo Hardware vendor code:  Advanced Technology Labs>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0FC
echo Hardware vendor code:  ASDG Incorporated>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0FD
echo Hardware vendor code:  Prosum>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00C0FF
echo Hardware vendor code:  Box Hill Systems Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00DD00
echo Hardware vendor code:  Ungermann-Bass  IBM RT>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00DD01
echo Hardware vendor code:  Ungermann-Bass>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00DD08
echo Hardware vendor code:  Ungermann-Bass>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E011
echo Hardware vendor code:  Uniden Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E014
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E016
echo Hardware vendor code:  rapid-city (now a part of bay networks)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E018
echo Hardware vendor code:  Asustek  Intel 82558-based Integrated Fast Ethernet for WIM>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E01E
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E029
echo Hardware vendor code:  SMC EtherPower II 10/100>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E02C
echo Hardware vendor code:  AST - built into 5166M PC motherboard (win95 id's as Intel)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E034
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E039
echo Hardware vendor code:  Paradyne 7112 T1 DSU/CSU>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E04F
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E07D
echo Hardware vendor code:  Encore (Netronix?) 10/100 PCI Fast ethernet card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E081
echo Hardware vendor code:  Tyan Computer Corp. Onboard Intel 82558 10/100>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E083
echo Hardware vendor code:  Jato Technologies, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E08F
echo Hardware vendor code:  Cisco Systems Catalyst 2900 series>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E098
echo Hardware vendor code:  Linksys PCMCIA card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0A3
echo Hardware vendor code:  Cisco Systems Catalyst 1924>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0B0
echo Hardware vendor code:  Cisco Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0B8
echo Hardware vendor code:  AMD PCNet in a Gateway 2000>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0C5
echo Hardware vendor code:  BCOM Electronics Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0ED
echo Hardware vendor code:  New Link>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0F7
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0F9
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:00E0FE
echo Hardware vendor code:  Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:020406
echo Hardware vendor code:  BBN  internal usage (not registered)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:020701
echo Hardware vendor code:  Interlan [now Racal-InterLAN] DEC (UNIBUS or QBUS), Apollo, Cisco>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:020701
echo Hardware vendor code:  Racal-Datacom>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:026060
echo Hardware vendor code:  3Com>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:026086
echo Hardware vendor code:  Satelcom MegaPac (UK)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:02608C
echo Hardware vendor code:  3Com IBM PC; Imagen; Valid; Cisco; Macintosh>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:02A0C9
echo Hardware vendor code:  Intel>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:02AA3C
echo Hardware vendor code:  Olivetti>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:02CF1F
echo Hardware vendor code:  CMC  Masscomp; Silicon Graphics; Prime EXL>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:02E03B
echo Hardware vendor code:  Prominet Corporation Gigabit Ethernet Switch>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:02E6D3
echo Hardware vendor code:  BTI (Bus-Tech, Inc.) IBM Mainframe>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:048845
echo Hardware vendor code:  Bay Networks token ring line card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080001
echo Hardware vendor code:  Computer Vision>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080002
echo Hardware vendor code:  3Com (formerly Bridge)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080003
echo Hardware vendor code:  ACC (Advanced Computer Communications)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080005
echo Hardware vendor code:  Symbolics   Symbolics LISP machines>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080006
echo Hardware vendor code:  Siemens Nixdorf PC clone>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080007
echo Hardware vendor code:  Apple>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080008
echo Hardware vendor code:  BBN (Bolt Beranek and Newman, Inc.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080009
echo Hardware vendor code:  Hewlett-Packard>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08000A
echo Hardware vendor code:  Nestar Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08000B
echo Hardware vendor code:  Unisys also Ascom-Timeplex (former Unisys subsidiary)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08000D
echo Hardware vendor code:  ICL (International Computers, Ltd.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08000E
echo Hardware vendor code:  NCR/AT&T>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08000F
echo Hardware vendor code:  SMC (Standard Microsystems Corp.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080010
echo Hardware vendor code:  AT&T [misrepresentation of 800010?]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080011
echo Hardware vendor code:  Tektronix, Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080014
echo Hardware vendor code:  Excelan   BBN Butterfly, Masscomp, Silicon Graphics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080017
echo Hardware vendor code:  National Semiconductor Corp. (used to have Network System Corp., wrong NSC)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08001A
echo Hardware vendor code:  Tiara? (used to have Data General)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08001B
echo Hardware vendor code:  Data General>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08001E
echo Hardware vendor code:  Apollo>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08001F
echo Hardware vendor code:  Sharp>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080020
echo Hardware vendor code:  Sun>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080022
echo Hardware vendor code:  NBI (Nothing But Initials)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080023
echo Hardware vendor code:  Matsushita Denso>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080025
echo Hardware vendor code:  CDC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080026
echo Hardware vendor code:  Norsk Data (Nord)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080027
echo Hardware vendor code:  PCS Computer Systems GmbH>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080028
echo Hardware vendor code:  TI Explorer>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08002B
echo Hardware vendor code:  DEC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08002E
echo Hardware vendor code:  Metaphor>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08002F
echo Hardware vendor code:  Prime Computer  Prime 50-Series LHC300>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080030
echo Hardware vendor code:  CERN>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080032
echo Hardware vendor code:  Tigan>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080036
echo Hardware vendor code:  Intergraph CAE stations>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080037
echo Hardware vendor code:  Fuji Xerox>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080038
echo Hardware vendor code:  Bull>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080039
echo Hardware vendor code:  Spider Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08003B
echo Hardware vendor code:  Torus Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08003D
echo Hardware vendor code:  cadnetix>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08003E
echo Hardware vendor code:  Motorola VME bus processor module>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080041
echo Hardware vendor code:  DCA (Digital Comm. Assoc.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080044
echo Hardware vendor code:  DSI (DAVID Systems, Inc.)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080045
echo Hardware vendor code:  ???? (maybe Xylogics, but they claim not to know this number)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080046
echo Hardware vendor code:  Sony>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080047
echo Hardware vendor code:  Sequent>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080048
echo Hardware vendor code:  Eurotherm Gauging Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080049
echo Hardware vendor code:  Univation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08004C
echo Hardware vendor code:  Encore>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08004E
echo Hardware vendor code:  BICC [3com bought BICC, so may appear on 3com equipment as well]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080051
echo Hardware vendor code:  Experdata>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080056
echo Hardware vendor code:  Stanford University>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080057
echo Hardware vendor code:  Evans & Sutherland (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080058
echo Hardware vendor code:  ??? DECsystem-20>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08005A
echo Hardware vendor code:  IBM>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08005B
echo Hardware vendor code:  VTA Technologies Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08005C
echo Hardware vendor code:  Four Phase Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08005D
echo Hardware vendor code:  Gould Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08005E
echo Hardware vendor code:  Counterpoint Computer Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08005F
echo Hardware vendor code:  Saber Technology Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080060
echo Hardware vendor code:  Industrial Networking Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080061
echo Hardware vendor code:  Jarogate Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080062
echo Hardware vendor code:  General Dynamics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080063
echo Hardware vendor code:  Plessey>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080064
echo Hardware vendor code:  Autophon AG (Switzerland)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080065
echo Hardware vendor code:  Genrad Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080066
echo Hardware vendor code:  AGFA printers, phototypesetters etc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080067
echo Hardware vendor code:  Comdesign>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080068
echo Hardware vendor code:  Ridge>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080069
echo Hardware vendor code:  Silicon Graphics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08006A
echo Hardware vendor code:  ATTst (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08006B
echo Hardware vendor code:  Accel Technologies Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08006C
echo Hardware vendor code:  Suntek Technology Int'l>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08006D
echo Hardware vendor code:  Whitechapel Computer Works>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08006E
echo Hardware vendor code:  Excelan>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08006F
echo Hardware vendor code:  Philips Apeldoorn B. V. (Netherlands)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080070
echo Hardware vendor code:  Mitsubishi>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080071
echo Hardware vendor code:  MATRA Communications (France)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080072
echo Hardware vendor code:  Xerox Corp. Univ. Grant Program>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080073
echo Hardware vendor code:  Tecmar Inc.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080074
echo Hardware vendor code:  Casio>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080075
echo Hardware vendor code:  DDE (Danish Data Elektronik A/S)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080076
echo Hardware vendor code:  PC LAN Technologies>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080077
echo Hardware vendor code:  TSL (now Retix)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080078
echo Hardware vendor code:  Accell Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080079
echo Hardware vendor code:  Silicon Graphics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08007A
echo Hardware vendor code:  Indata>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08007B
echo Hardware vendor code:  Sanyo Electric Co., Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08007C
echo Hardware vendor code:  Vitalink TransLAN III>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08007E
echo Hardware vendor code:  Amalgamated Wireless (AUS) Ltd.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08007F
echo Hardware vendor code:  Carnegie-Mellon University>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080080
echo Hardware vendor code:  XIOS>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080081
echo Hardware vendor code:  Crosfield Electronics>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080083
echo Hardware vendor code:  Seiko Denshi>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080084
echo Hardware vendor code:  Tomen Electronics Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080085
echo Hardware vendor code:  ELXSI>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080086
echo Hardware vendor code:  Imagen/QMS>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080087
echo Hardware vendor code:  Xyplex terminal servers>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080088
echo Hardware vendor code:  McDATA Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080089
echo Hardware vendor code:  Kinetics AppleTalk-Ethernet interface>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08008B
echo Hardware vendor code:  Pyramid>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08008C
echo Hardware vendor code:  Network Research Corporation>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08008D
echo Hardware vendor code:  XyVision   XyVision machines>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08008E
echo Hardware vendor code:  Tandem / Solbourne Computer ?>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08008F
echo Hardware vendor code:  Chipcom Corp.>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:080090
echo Hardware vendor code:  Retix, Inc.  Bridge>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:08BBCC
echo Hardware vendor code:  AK-Nord EDV Vertriebsges>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:09006A
echo Hardware vendor code:  AT&T>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:10005A
echo Hardware vendor code:  IBM>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:100090
echo Hardware vendor code:  Hewlett-Packard Advisor products>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:1000D4
echo Hardware vendor code:  DEC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:1000E0
echo Hardware vendor code:  Apple A/UX>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:1000E8
echo Hardware vendor code:  National Semiconductor>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:2E2E2E
echo Hardware vendor code:  LAA (Locally Administered Address) for Meditech Systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:3C0000
echo Hardware vendor code:  3Com dual function (V.34 modem + Ethernet) card>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:400003
echo Hardware vendor code:  Net Ware (?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:444553
echo Hardware vendor code:  Microsoft Dial-Up Networking (Win9x "adapter")>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:444649
echo Hardware vendor code:  DFI (Diamond Flower Industries)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:475443
echo Hardware vendor code:  GTC>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:484453
echo Hardware vendor code:  HDS ???>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:484C00
echo Hardware vendor code:  Network Solutions>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:4854E8
echo Hardware vendor code:  winbond?>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:4C424C
echo Hardware vendor code:  Information Modes software modified addresses (not registered?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:525400
echo Hardware vendor code:  Realtek (UpTech? also reported)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:52544C
echo Hardware vendor code:  Novell 2000>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:5254AB
echo Hardware vendor code:  REALTEK (a Realtek 8029 based PCI Card)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:565857
echo Hardware vendor code:  Aculab plc audio bridges>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:800010
echo Hardware vendor code:  AT&T [misrepresented as 080010? One source claims this is correct]>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:80AD00
echo Hardware vendor code:  CNET Technology Inc. (Probably an error, see instead 0080AD)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:AA0000
echo Hardware vendor code:  DEC (obsolete)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:AA0001
echo Hardware vendor code:  DEC (obsolete)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:AA0002
echo Hardware vendor code:  DEC (obsolete)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:AA0003
echo Hardware vendor code:  DEC   Global physical address for some DEC machines>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:AA0004
echo Hardware vendor code:  DEC   Local logical address for DECNET systems>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:C00000
echo Hardware vendor code:  Western Digital>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:E20C0F
echo Hardware vendor code:  Kingston Technologies>>$t%f%$.txt
find "Hardware"<$t%f%$.txt
goto nohost
:EC1000
echo Hardware vendor code:  Enance Source Co., Ltd. PC clone(?)>>$t%f%$.txt
find "Hardware"<$t%f%$.txt

::          End vendor code routine


:nohost
echo.>>$t%f%$.txt

::          Clear vendor code variable.

set vc=


::          Check for shared resources.  List in capture file if
::          present, and inform the user.

bfr \3c20\3e !server! $t%f%$.txt -b>nul
find "!server!"<$t%f%$.txt>nul
if errorlevel==1 goto noshares
echo There's a NetBIOS server sharing resources at this address.
net view \\%1>>$t%f%$.txt
bfr  - $t%f%$.txt -b>nul
find "Disk         "<$t%f%$.txt>nul
if errorlevel==1 goto nodisk
echo Files are shared at this address.
:nodisk
find "Print        "<$t%f%$.txt>nul
if errorlevel==1 goto noshares
echo A printer is shared at this address.

:noshares
::          Fix the slightly altered nametable.

bfr !server! \3c20\3e $t%f%$.txt -b>nul

::          Add NetBIOS stuff to the capture file.

copy %1.txt+$t%f%$.txt %1.txt>nul
echo.>>%1.txt

:nslkup

::          Nslookup Header in capture file.

echo.>>%1.txt
echo -- NSLOOKUP QUERY RESULTS -- >>%1.txt
echo.>>%1.txt


::          Tell the user what's happening.

echo Performing Name Server Lookup...


::          Get PTR record for capture file.  This is
::          generally more complete than a default lookup.

nslookup -type=ptr %1 66.45.212.21>$p%f%$.txt


::          NS.NETSOL.COM is the default server used for all
::          lookups; I figure good ol' Network Solutions
::          needs some extra traffic on its nameserver.  ;-)
::          You can change it to any valid nameserver; just
::          change the IP address in every place it appears in
::          this file.

::          Nslookup doesn't let its error output be redirected
::          to a file.  Instead it goes to console always.
::          So we check for success and report failure in the 
::          capture file.

::          If lookup failed, tell about it.

find /c "name = " $p%f%$.txt>nul
if errorlevel==1 echo *** First PTR Name Server Lookup unsuccessful.>>%1.txt
if errorlevel==1 goto 2ndptr
echo Query type: PTR   IP: %1>>%1.txt
copy /y %1.txt+$p%f%$.txt %1.txt>nul
find "name = "<$p%f%$.txt
goto donedisp

::          Keep at it, not all lookups work the first time.

:2ndptr
echo Trying again...
nslookup -type=ptr %1 66.45.212.21>$p%f%$.txt
find /c "name = " $p%f%$.txt>nul
if errorlevel==1 echo *** Second PTR Name Server Lookup unsuccessful.>>%1.txt
if errorlevel==1 goto atypensl
echo Query type: PTR   IP: %1>>%1.txt
copy /y %1.txt+$p%f%$.txt %1.txt>nul
find "name = "<$p%f%$.txt
goto donedisp

:atypensl
echo PTR lookup failed twice.  Trying an A type lookup...
nslookup %1 66.45.212.21>$p%f%$.txt
find /c "Name:    " $p%f%$.txt>nul
if not errorlevel==1 goto atype2cap
echo *** All Three Name Server Lookup attempts were unsuccessful.>>%1.txt
echo A type lookup failed.  No name for this IP address.
::echo.>>%1.txt
::echo Query type: DEBUG  IP: %1>>%1.txt
::echo.>>%1.txt
::nslookup -debug -db2 %1 66.45.212.21>>%1.txt
goto endlookup
:atype2cap
echo Query type: A     IP: %1>>%1.txt
copy /y %1.txt+$p%f%$.txt %1.txt>nul
find "Name:    "<$p%f%$.txt



::          If lookup worked, we displayed the line containing the name.


:donedisp


::          If a name lookup was already done, or the trace started
::          with a name, skip doing it again.

if not "%name%"=="" goto gotaname


::          Extract the name from the PTR lookup and set the %name%
::          variable.


bfr name\20=\20 \0d\0aset\20name= $p%f%$.txt -b>nul
find "set name="<$p%f%$.txt>$t%f%$.bat
if errorlevel==1 goto noptr
call $t%f%$.bat
if not "%name%"=="" goto gotaname


::          If the "A" lookup was the only one that worked, we need to
::          extract the name differently.

:noptr
bfr Name:\20\20\20\20 \0d\0aset\20name= $p%f%$.txt -b>nul
find "set name="<$p%f%$.txt>$t%f%$.bat
call $t%f%$.bat
if not "%name%"=="" goto gotaname
goto endlookup


:gotaname 
echo %ip% hostname is %name%

::          Extract the IP address from this name lookup:
::          Dump an "any" type query to a text file
::          and select out the address line. 

nslookup -type=any %name% 66.45.212.21>$a%f%$.txt
find "%name%"<$a%f%$.txt>$t%f%$.bat
if errorlevel==1 goto no1adres
echo.>>%1.txt


::          Put the info in the capture file.

echo Query type: ANY   Name: %name%>>%1.txt
copy /y %1.txt+$a%f%$.txt %1.txt>nul
goto itsfine


::          If it's bogus, say so.

:no1adres
echo %name% doesn't resolve to an IP address (bogus rDNS).
echo.>>%1.txt
set bogus=1
echo %name% doesn't resolve to an IP address (bogus rDNS).>>%1.txt
goto noadres
:itsfine

::          This will make a usable batchfile of the text dump

bfr %name% $ip2v%f% $t%f%$.bat -b>nul


::          Sometimes a domain name lookup will include nameserver
::          information or other additional lines that need to be culled

type $t%f%$.bat|find /v "CPU =">$t%f%$.bat
type $t%f%$.bat|find /v "text =">$t%f%$.bat
type $t%f%$.bat|find /v "preference =">$t%f%$.bat
type $t%f%$.bat|find /v "exchanger =">$t%f%$.bat
type $t%f%$.bat|find /v "nameserver">$t%f%$.bat
type $t%f%$.bat|find /v "ns1.%1">$t%f%$.bat
type $t%f%$.bat|find /v "ns2.%1">$t%f%$.bat
type $t%f%$.bat|find /v "ns3.%1">$t%f%$.bat
type $t%f%$.bat|find /v ".$ip2v%f%">$t%f%$.bat



::          Sometimes there is no name-to-address equation in an "any"
::          type query, only pointers to the nameserver.  Check for the
::          string "$ip2v%f%" which will be missing if this is the case.


find "$ip2v%f%"<$t%f%$.bat>nul
if not errorlevel==1 goto do2setip


::          Having arrived here, there was a valid response to the "any"
::          query, but no IP address.  The "a" type query (default) will
::          probably yield an address.

nslookup %1 66.45.212.21>$t%f%$.bat

type $t%f%$.bat|find "Address:">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Address:"<$t%f%$.bat>nul
if errorlevel==1 goto noadres
bfr Address\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul


::          A temporary batchfile sets variable "ip2"

:do2setip
echo set ip2=%%3>$ip2v%f%.bat
call $t%f%$.bat
if not "%ip2%"=="" goto canon3


::          If there's nothing in %ip% it's possible the lookup points
::          to another name.  If so, this should tease it out:


find "name"<$t%f%$.bat>nul
if errorlevel==1 goto noadres
echo set ip2=%%2>$ip2v%f%.bat
call $t%f%$.bat


::          If there's nothing in %ip2% just bail.

if "%ip2%"=="" echo %name% doesn't resolve to an IP address (bogus rDNS).
echo.>>%1.txt
if "%ip2%"=="" echo %name% doesn't resolve to an IP address (bogus rDNS).>>%1.txt
if "%ip2%"=="" goto noadres

echo %name% is apparently an alias for %ip2%.  Resolving...
goto canon4

::          Is this an alias?  Check for canonical name.

:canon3
type $a%f%$.txt|find "%name%"|find "canonical"
if errorlevel==1 goto lascheck


::          Canonical name found.  The name is an alias.

echo %name% is apparently an alias.  Attempting to resolve the canonical name.



::          Go thru the process again, this time using the
::          canonical name.


:canon4
nslookup -type=any %ip2% 66.45.212.21>$a%f%2$.txt
find "%ip2%"<$a%f%2$.txt>$t%f%$.bat
if errorlevel==1 goto no2adres


::          Sometimes a name lookup will include
::          nameserver information that needs to be culled

type $t%f%$.bat|find /v "CPU =">$t%f%$.bat
type $t%f%$.bat|find /v "text =">$t%f%$.bat
type $t%f%$.bat|find /v "preference =">$t%f%$.bat
type $t%f%$.bat|find /v "exchanger =">$t%f%$.bat
type $t%f%$.bat|find /v "nameserver">$t%f%$.bat
type $t%f%$.bat|find /v "ns1.%1">$t%f%$.bat
type $t%f%$.bat|find /v "ns2.%1">$t%f%$.bat
type $t%f%$.bat|find /v "ns3.%1">$t%f%$.bat
type $t%f%$.bat|find /v ".$ip2v%f%">$t%f%$.bat



::          Sometimes there is no name-to-address equation in an "any"
::          type query, only pointers to the nameserver.  Check for the
::          string "$ip2v%f%" which will be missing if this is the case.


find "$ip2v%f%"<$t%f%$.bat>nul
if not errorlevel==1 goto dosetip3


::          Having arrived here, there was a valid response to the "any"
::          query, but no IP address.  The "a" type query (default) will
::          probably yield an address.

echo.>>%1.txt
echo Query type: A     Name: %ip2%>>%1.txt

nslookup %ip2% 66.45.212.21>$t%f%$.bat
copy /y %1.txt+$t%f%$.bat %1.txt>nul
echo.>>%1.txt

find "Addresses:"<$t%f%$.bat>nul
if errorlevel==1 goto one3address

echo There are two or more IP addresses for this name.  Using the first one.
type $t%f%$.bat|find "Addresses:">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Addresses:"<$t%f%$.bat>nul
if errorlevel==1 goto noadres
bfr \2c \20 $t%f%$.bat -b>nul
bfr Addresses\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul
goto dosetip3

:one3address
type $t%f%$.bat|find "Address:">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
type $t%f%$.bat|find /v "66.45.212.21">$t%f%$.bat
find "Address:"<$t%f%$.bat>nul
if errorlevel==1 goto noadres
bfr Address\3a $ip2v%f%\20one\20two $t%f%$.bat -b>nul


:dosetip3
bfr %ip2% $ip2v%f% $t%f%$.bat -b>nul
echo.>>%1.txt
echo Query type: ANY   Name: %ip2%>>%1.txt
echo set ip2=%%3>$ip2v%f%.bat
call $t%f%$.bat
copy /y %1.txt+$a%f%2$.txt %1.txt>nul
echo.>>%1.txt
:no2adres


::          If there's nothing in %ip2% just bail.

if "%ip2%"=="" echo %name% doesn't resolve to an IP address (bogus rDNS).
if "%ip2%"=="" echo %name% doesn't resolve to an IP address (bogus rDNS).>>%1.txt
if "%ip2%"=="" goto noadres


:lascheck

::          Arriving here means address apparently resolved.
::          (Former check using nbtstat deleted.)

::          The name resolved to an address.  Now the IP addresses can
::          be compared and we'll know if it's a forged name.

:got_ip2
echo %name% resolves to %ip2%
if not "%ip%"=="%ip2%" echo %name% at %ip% is incorrect (forged rDNS).
if not "%ip%"=="%ip2%" echo %name% at %ip% is incorrect (forged rDNS).>>%1.txt
if not "%ip%"=="%ip2%" echo %name% is actually at %ip2%>>%1.txt

:noadres


:endlookup

::          Clear some unnecessary variables, we need environment space.

set temp=
set tmp=
set winbootdir=
set blaster=
set vc=


:domain

::          If no hostname, skip domain lookup.
if "%ip%"=="" set name=%1
if "%name%"=="" goto skipdom


::          Header for the domain lookup.
echo This host name = %name%
echo.>>%1.txt
echo.>>%1.txt
echo -- DOMAIN NAME RECORD QUERY RESULTS -- >>%1.txt
echo.>>%1.txt
echo Performing Domain Name record lookup...


::          If the name is forged or bogus, warn the user of the fact.

if "%ip%"=="%ip2%" goto name_ok
if "%ip2%"=="" if not "%name%"=="" goto name_ok
if not "%ip%"=="" if not "%ip2%"=="" if not "%ip%"=="%ip2%" goto name_forged
echo Note:  Bogus name resolution.  This domain name could possibly be incorrect.>>%1.txt
echo.>>%1.txt
goto name_ok
:name_forged
echo Note:  Forged name assignment. Unless this domain name has multiple valid>>%1.txt
echo IP addresses, and %ip% is one of them, this domain record may be>>%1.txt
echo irrelevant to the address you entered.>>%1.txt
echo.>>%1.txt
:name_ok

::          Extract the domain name from the known hostname.  This is done
::          with batchfiles external to this one, as follows:

echo rev%f% %name%>fwd%f%.bat
bfr \2e \20 fwd%f%.bat -b>nul

echo np%f% %%9 %%8 %%7 %%6 %%5 %%4 %%3 %%2 %%1>rev%f%.bat

echo set na1me=%%1>np%f%.bat
echo set na2me=%%2.%%1>>np%f%.bat
echo set na3me=%%3.%%2.%%1>>np%f%.bat

call fwd%f%
del fwd%f%.bat>nul
del rev%f%.bat>nul
del np%f%.bat>nul

if "%na3me%"=="" echo Domain name parsing failed.  Out of environment space?
if "%na3me%"=="" echo Domain name parsing failed.  Out of environment space?>>%1.txt
if "%na3me%"=="" goto skipdom

::          The domain name is now in 3 variables... na1me contains the
::          top-level domain; na2me includes the second-level domain;
::          na3me includes the third-level domain.  This will usually be
::          enough for a domain lookup, regardless of TLD.

::          Check whois.abuse.net for an abuse contact for this domain.

if "%2"=="-a" goto doneabuse
if "%3"=="-a" goto doneabuse
if "%4"=="-a" goto doneabuse
if "%5"=="-a" goto doneabuse
if "%6"=="-a" goto doneabuse
whois -h whois.abuse.net %na3me%>$a%f%$.txt
find /v "no info" $a%f%$.txt|find "@">nul
if errorlevel==1 goto try2dom
echo NOTE: whois.abuse.net lists a Net-abuse report address for %na3me%:
echo NOTE: whois.abuse.net lists a Net-abuse report address for %na3me%:>>%1.txt
goto foundaddy
:try2dom
whois -h whois.abuse.net %na2me%>$a%f%$.txt
find /v "no info" $a%f%$.txt|find "@">nul
if errorlevel==1 goto doneabuse
echo NOTE: whois.abuse.net lists a Net-abuse report address for %na2me%:
echo NOTE: whois.abuse.net lists a Net-abuse report address for %na2me%:>>%1.txt
:foundaddy
find /v "no info" $a%f%$.txt|find "@"
echo.>>%1.txt
find /v "no info" $a%f%$.txt|find "@">>%1.txt
echo.>>%1.txt
:doneabuse
if exist $a%f%$.txt del $a%f%$.txt

::          Look up the name in the right place, using the TLD as a
::          GOTO -- if it's a valid label.  First this batchfile has to
::          be checked to see if the label exists.

::          The reason is that we cannot attempt to goto a label
::          that may not exist.  The batch process will halt on
::          the spot.  So the TLD (goto label) has to be
::          looked-for in the batchfile beforehand.  If the
::          batchfile isn't in an identifiable location, there's
::          no way to check.

::          The %0 variable will be different depending how this process
::          was initiated.  That's why all the complexity.


if "%0"=="%windir%\TRACE.BAT" type %0|find ":%na1me%">nul
if not errorlevel==1 goto %na1me%
if exist %windir%\%0.bat type %windir%\%0.bat|find ":%na1me%">nul
if not errorlevel==1 goto %na1me%
if exist %windir%\%0 type %windir%\%0|find ":%na1me%">nul
if not errorlevel==1 goto %na1me%


::          Is trace.bat in the Windows folder?
::          If so, then the TLD is simply unknown.

if "%0"=="%windir%\TRACE.BAT" goto nodom
if exist %windir%\%0.bat goto nodom
if exist %windir%\%0 goto nodom

::          If not, then tell the user.

echo Can't do domain lookup. Place a copy of trace.bat in %windir%
goto skipdom


::          The TLD is unknown.  Announce it.

:nodom

echo Unknown top level domain "%na1me%"
echo Unknown top level domain "%na1me%">>%1.txt
goto skipdom


::          generic domains are listed at http://www.iana.org/generic.html
::          country domains:  http://www.iana.org/cctld.html

:com
:COM
:Com
:net
:NET
:Net
:info
:INFO
:Info
::          COM, NET domains:  http://www.netsol.com  whois.networksolutions.com rs.internic.net
:edu
:EDU
:Edu
::          EDU domain:  http://www.nsi.com  whois.networksolutions.com rs.internic.net

::echo whois -h whois.networksolutions.com "DO F %na2me%"
::echo whois -h whois.networksolutions.com "DO F %na2me%">>%1.txt
::whois -h whois.networksolutions.com "DO F %na2me%">>$d%f%$.txt

echo whois -h whois.networksolutions.com %na2me%
echo whois -h whois.networksolutions.com %na2me%>>%1.txt
whois -h whois.networksolutions.com %na2me%>>$d%f%$.txt

::          NSI adds this huge text to every response.  No one needs
::          this crap cluttering the capture file.  The trick here is to
::          use the "type" command.  It allows FIND to feed its output
::          straight back to the same file, sans offending text.

type $d%f%$.txt|find /v "The Data in the VeriSign Registrar WHOIS database">$d%f%$.txt
type $d%f%$.txt|find /v "assist persons in obtaining information">$d%f%$.txt
type $d%f%$.txt|find /v "a domain name registration record">$d%f%$.txt
type $d%f%$.txt|find /v "the data may not reflect updates">$d%f%$.txt
type $d%f%$.txt|find /v "By submitting a WHOIS query, you agree">$d%f%$.txt
type $d%f%$.txt|find /v "lawful purposes and that under no circumstances">$d%f%$.txt
type $d%f%$.txt|find /v "support the transmission of mass unsolicited">$d%f%$.txt
type $d%f%$.txt|find /v "commercial advertising or solicitations via e-mail">$d%f%$.txt
type $d%f%$.txt|find /v "electronic processes that apply to VeriSign">$d%f%$.txt
type $d%f%$.txt|find /v "compilation, repackaging, dissemination">$d%f%$.txt
type $d%f%$.txt|find /v "expressly prohibited without the prior written">$d%f%$.txt
type $d%f%$.txt|find /v "VeriSign reserves the right to terminate your access">$d%f%$.txt
type $d%f%$.txt|find /v "VeriSign Registrar WHOIS database">$d%f%$.txt
type $d%f%$.txt|find /v "excessive querying of the WHOIS database">$d%f%$.txt
type $d%f%$.txt|find /v "VeriSign reserves the right to modify">$d%f%$.txt
type $d%f%$.txt|find /v "By submitting this query, you agree">$d%f%$.txt


::          If there's a domain record, fine, if not, check the CRSNIC
::          shared registry database.

find "Registrant:"<$d%f%$.txt>nul
if not errorlevel==1 goto drfound
find "Sponsoring Registrar:"<$d%f%$.txt>nul
if not errorlevel==1 goto drfound
goto crsnic
:drfound
copy /y %1.txt+$d%f%$.txt %1.txt>nul
goto skipdom

:crsnic
echo No record found in Network Solutions database.>>%1.txt
echo Querying CRSNIC...
echo whois -h rs.internic.net "domain %na2me%"
echo whois -h rs.internic.net "domain %na2me%">>%1.txt
whois -h rs.internic.net "domain %na2me%">$d%f%$.txt
type $d%f%$.txt>>%1.txt
find "Whois Server:"<$d%f%$.txt>nul
if not errorlevel==1 goto getreg
echo No record found for domain %na2me%.  Forged?
echo No record found for domain %na2me%.  Forged?>>%1.txt
goto skipdom
::                                          http://www.qwho.com/cgi-bin/qwho/qwho.cgi?who=
::                                          Whois Server: www.qwho.com
:getreg
find /i "Whois Server: www.qwho.com"<$d%f%$.txt>nul
if errorlevel==1 goto notqwho
echo Qwho/Namesecure provides no whois server, only a Web lookup.
echo Opening http://www.qwho.com/cgi-bin/qwho/qwho.cgi?who=%na2me%
echo Qwho/Namesecure provides no whois server, only a Web lookup:>>%1.txt
echo http://www.qwho.com/cgi-bin/qwho/qwho.cgi?who=%na2me%>>%1.txt
start http://www.qwho.com/cgi-bin/qwho/qwho.cgi?who=%na2me%
goto skipdom
:notqwho
find "Whois Server:"<$d%f%$.txt>$dr%f%$.bat
find "Whois Server:"<$d%f%$.txt
bfr Server\3a \2dh $dr%f%$.bat -b>nul
echo !!%%na2me%%>>$dr%f%$.bat
echo ##$d%%f%%$.txt>>$dr%f%$.bat
bfr \0d\0d\0a \0d\0a $dr%f%$.bat -b>nul
bfr \0d\0a!! \20 $dr%f%$.bat -b>nul
bfr \20\20\20Whois whois $dr%f%$.bat -b>nul
echo echo>>$dr%f%$.bat
type $dr%f%$.bat|find "hois -h">>$dr%f%$.bat
echo ####%1.txt>>$dr%f%$.bat
bfr echo\0d\0a echo\20 $dr%f%$.bat -b>nul
type $dr%f%$.bat|find "echo">>$dr%f%$.bat
bfr ## \3e $dr%f%$.bat -b>nul
bfr \0d\0a\3e \3e $dr%f%$.bat -b>nul
bfr \0d\0a!! \20 $dr%f%$.bat -b>nul
if exist $dr%f%$.bat call $dr%f%$.bat
if exist $dr%f%$.bat del $dr%f%$.bat

type %1.txt|find /v "Whois Server Version 1.1">%1.txt
type %1.txt|find /v "Domain names in the .com, .net, and .org domains can now be registered">%1.txt
type %1.txt|find /v "with many different competing registrars. Go to http://www.internic.net">%1.txt
type %1.txt|find /v "for detailed information.">%1.txt
type %1.txt|find /v "The Registry database contains ONLY .COM, .NET, .ORG, .EDU domains and">%1.txt
type %1.txt|find /v "Registrars.">%1.txt

find "Registrant"<$d%f%$.txt>nul
if not errorlevel==1 goto gotdomr
find "Domain Name:"<$d%f%$.txt>nul
if not errorlevel==1 goto gotdomr
find "Contact:"<$d%f%$.txt>nul
if not errorlevel==1 goto gotdomr
find /i "domain:"<$d%f%$.txt>nul
if not errorlevel==1 goto gotdomr
find "Domain Name..."<$d%f%$.txt>nul
if not errorlevel==1 goto gotdomr
echo No record found for domain %na2me%.  Forged?
echo No record found for domain %na2me%.  Forged?>>%1.txt
goto skipdom

:gotdomr

type $d%f%$.txt|find /v "The Data in Network Solutions' WHOIS database is provided by Network">$d%f%$.txt
type $d%f%$.txt|find /v "Solutions for information purposes, and to assist persons in obtaining">$d%f%$.txt
type $d%f%$.txt|find /v "information about or related to a domain name registration record.">$d%f%$.txt
type $d%f%$.txt|find /v "Network Solutions does not guarantee its accuracy.  By submitting a">$d%f%$.txt
type $d%f%$.txt|find /v "WHOIS query, you agree that you will use this Data only for lawful">$d%f%$.txt
type $d%f%$.txt|find /v "purposes and that, under no circumstances will you use this Data to:">$d%f%$.txt
type $d%f%$.txt|find /v "(1) allow, enable, or otherwise support the transmission of mass">$d%f%$.txt
type $d%f%$.txt|find /v "unsolicited, commercial advertising or solicitations via e-mail">$d%f%$.txt
type $d%f%$.txt|find /v "(spam); or  (2) enable high volume, automated, electronic processes">$d%f%$.txt
type $d%f%$.txt|find /v "that apply to Network Solutions (or its systems).  Network Solutions">$d%f%$.txt
type $d%f%$.txt|find /v "reserves the right to modify these terms at any time.  By submitting">$d%f%$.txt
type $d%f%$.txt|find /v "this query, you agree to abide by this policy.">$d%f%$.txt

type $d%f%$.txt|find /v "Access to CompuServe's WHOIS service is for information purposes.">$d%f%$.txt
type $d%f%$.txt|find /v "CompuServe makes this service available ">$d%f%$.txt
type $d%f%$.txt|find /v "its accuracy or availability.  By submitting a WHOIS query, you agree">$d%f%$.txt
type $d%f%$.txt|find /v "that you will use this service and the information we provide only for">$d%f%$.txt
type $d%f%$.txt|find /v "lawful purposes and that, under no circumstances will you use this">$d%f%$.txt
type $d%f%$.txt|find /v "service or the information we provide to: (1) allow, enable, or">$d%f%$.txt
type $d%f%$.txt|find /v "otherwise support the transmission of mass unsolicited, commercial">$d%f%$.txt
type $d%f%$.txt|find /v "advertising or solicitations via email (spam); or (2) enable high">$d%f%$.txt
type $d%f%$.txt|find /v "volume, automated, electronic processes that apply to CompuServe">$d%f%$.txt
type $d%f%$.txt|find /v "(or its systems). CompuServe reserves the right to modify these">$d%f%$.txt
type $d%f%$.txt|find /v "terms at any time. By accessing and using our WHOIS service,">$d%f%$.txt
type $d%f%$.txt|find /v "you agree to these terms.">$d%f%$.txt

type $d%f%$.txt|find /v "The data in Register.com's WHOIS database is provided to you by">$d%f%$.txt
type $d%f%$.txt|find /v "Register.com for information purposes only, that is, to assist you in">$d%f%$.txt
type $d%f%$.txt|find /v "obtaining information about or related to a domain name registration">$d%f%$.txt
type $d%f%$.txt|find /v "record.  Register.com makes this information available ""as is,"" and">$d%f%$.txt
type $d%f%$.txt|find /v "does not guarantee its accuracy.  By submitting a WHOIS query, you">$d%f%$.txt
type $d%f%$.txt|find /v "agree that you will use this data only for lawful purposes and that,">$d%f%$.txt
type $d%f%$.txt|find /v "under no circumstances will you use this data to: (1) allow, enable,">$d%f%$.txt
type $d%f%$.txt|find /v "advertising or solicitations via direct mail, electronic mail, or by">$d%f%$.txt
type $d%f%$.txt|find /v "telephone; or (2) enable high volume, automated, electronic processes">$d%f%$.txt
type $d%f%$.txt|find /v "that apply to Register.com (or its systems).  The compilation,">$d%f%$.txt
type $d%f%$.txt|find /v "repackaging, dissemination or other use of this data is expressly">$d%f%$.txt
type $d%f%$.txt|find /v "prohibited without the prior written consent of Register.com. ">$d%f%$.txt
type $d%f%$.txt|find /v "Register.com reserves the right to modify these terms at any time.">$d%f%$.txt
type $d%f%$.txt|find /v "By submitting this query, you agree to abide by these terms.">$d%f%$.txt

type $d%f%$.txt|find /v "The Data in the VeriSign Registrar WHOIS database is provided by VeriSign for">$d%f%$.txt
type $d%f%$.txt|find /v "information purposes only, and to assist persons in obtaining information about">$d%f%$.txt
type $d%f%$.txt|find /v "or related to a domain name registration record.  VeriSign does not guarantee">$d%f%$.txt
type $d%f%$.txt|find /v "its accuracy.  Additionally, the data may not reflect updates to billing contact">$d%f%$.txt
type $d%f%$.txt|find /v "information.  By submitting a WHOIS query, you agree to use this Data only">$d%f%$.txt
type $d%f%$.txt|find /v "for lawful purposes and that under no circumstances will you use this Data to:">$d%f%$.txt
type $d%f%$.txt|find /v "commercial advertising or solicitations via e-mail, telephone, or facsimile; or">$d%f%$.txt
type $d%f%$.txt|find /v "(2) enable high volume, automated, electronic processes that apply to VeriSign">$d%f%$.txt
type $d%f%$.txt|find /v "(or its computer systems).  The compilation, repackaging, dissemination or">$d%f%$.txt
type $d%f%$.txt|find /v "other use of this Data is expressly prohibited without the prior written">$d%f%$.txt
type $d%f%$.txt|find /v "consent of VeriSign.  VeriSign reserves the right to terminate your access to">$d%f%$.txt
type $d%f%$.txt|find /v "the VeriSign Registrar WHOIS database in its sole discretion, including">$d%f%$.txt
type $d%f%$.txt|find /v "without limitation, for excessive querying of the WHOIS database or for failure">$d%f%$.txt
type $d%f%$.txt|find /v "to otherwise abide by this policy.  VeriSign reserves the right to modify these">$d%f%$.txt


copy /y %1.txt+$d%f%$.txt %1.txt>nul

goto skipdom

:org
:ORG
:Org
echo whois -h whois.pir.org "domain %na2me%"
echo whois -h whois.pir.org "domain %na2me%">>%1.txt
whois -h whois.pir.org "domain %na2me%">$d%f%$.txt
type $d%f%$.txt>>%1.txt
echo .ORG Network Information Center:  http://www.pir.org/
echo .ORG WHOIS Gateway:  http://www.pir.org/whois/
echo .ORG Network Information Center:  http://www.pir.org/>>%1.txt
echo .ORG WHOIS Gateway:  http://www.pir.org/whois/>>%1.txt
find "Whois Server:"<$d%f%$.txt>$dr%f%$.bat
bfr \0a \0d\0a $dr%f%$.bat -b>nul
bfr \0d\0d\0a \0d\0a $dr%f%$.bat -b>nul
bfr \0d\0d\0a \0d\0a $dr%f%$.bat -b>nul
bfr \0d\0a \0d\0a#$#$ $dr%f%$.bat -b>nul
find /v "#$#$"<$dr%f%$.bat>$d%f%$.txt
bfr Whois\20Server\3a \0d\0aset\20wsrv\3d $d%f%$.txt -b>nul
find "set wsrv"<$d%f%$.txt>$dr%f%$.bat
if exist $dr%f%$.bat call $dr%f%$.bat
if "%wsrv%"=="" echo Server not found?
if "%wsrv%"=="" pause
if "%wsrv%"=="" goto skipdom
echo Whois Server: %wsrv%
echo whois -h %wsrv% %na2me%
echo whois -h %wsrv% %na2me%>>%1.txt
whois -h %wsrv% %na2me%>>%1.txt
goto skipdom


:gov
:GOV
echo whois -h whois.nic.gov "DO F %na2me%"
echo whois -h whois.nic.gov "DO F %na2me%">>%1.txt
whois -h whois.nic.gov "DO F %na2me%">>%1.txt
echo US .GOV Network Information Center:  http://www.nic.gov
echo US .GOV WHOIS Gateway:  http://www.nic.gov/cgi-bin/whois
echo US .GOV Network Information Center:  http://www.nic.gov>>%1.txt
echo US .GOV WHOIS Gateway:  http://www.nic.gov/cgi-bin/whois>>%1.txt
goto skipdom

:mil
:MIL
echo whois -h whois.nic.mil "DO F %na2me%"
echo whois -h whois.nic.mil "DO F %na2me%">>%1.txt
whois -h whois.nic.mil "DO F %na2me%">>%1.txt
echo US DoD Network Information Center:  http://www.nic.mil/
echo US DoD WHOIS Gateway:  http://www.nic.mil/cgi-bin/whois
echo US DoD Network Information Center:  http://www.nic.mil/>>%1.txt
echo US DoD WHOIS Gateway:  http://www.nic.mil/cgi-bin/whois>>%1.txt
goto skipdom

:us
:US
::        United States                            US US-DOM
echo whois -h whois.isi.edu %na2me%
echo whois -h whois.isi.edu %na2me%>>%1.txt
echo US Domain Registry:  http://www.nic.us/
echo US Domain RWHOIS Gateway:  http://www.nic.us/usdom-rwhois.html
echo US Domain Registry:  http://www.nic.us/>>%1.txt
echo US Domain RWHOIS Gateway:  http://www.nic.us/usdom-rwhois.html>>%1.txt
goto skipdom

:int
:INT
echo whois -h whois.isi.edu %na2me%
echo whois -h whois.isi.edu %na2me%>>%1.txt
whois -h whois.isi.edu %na2me%>>%1.txt
echo INT domain registry (IANA):  http://www.iana.org/int.html
echo INT domain registry (IANA):  http://www.iana.org/int.html>>%1.txt
goto skipdom

:cn
:CN
::        China                                    CN  CN-DOM
::          oak.cnnic.net.cn aliases: whois.cnnic.net.cn whois.cnnic.net
::          whois.cnc.ac.cn
::if "%na2me%"=="ac.cn" goto isaccn
echo whois -h whois.cnnic.net %na3me%
echo whois -h whois.cnnic.net %na3me%>$%na1me%%f%.txt
whois -h whois.cnnic.net %na3me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.cnnic.net %na2me%
echo whois -h whois.cnnic.net %na2me%>$%na1me%%f%.txt
whois -h whois.cnnic.net %na2me%>>$%na1me%%f%.txt
:cndrok
:CNdrok
goto notaccn
:isaccn
echo whois -h whois.cnc.ac.cn %na3me%
echo whois -h whois.cnc.ac.cn %na3me%>$%na1me%%f%.txt
whois -h whois.cnc.ac.cn %na3me%>>$%na1me%%f%.txt
:notaccn
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo China Network Information Center:  http://www.cnnic.net.cn/english/CNNIC-1.htm
echo CNNIC WHOIS Gateway:  http://www.cnnic.net.cn/english/Directory%20Service.htm
echo China Network Information Center:  http://www.cnnic.net.cn/english/CNNIC-1.htm>>%1.txt
echo CNNIC WHOIS Gateway:  http://www.cnnic.net.cn/english/Directory%20Service.htm>>%1.txt
goto skipdom

:tw
:TW
::        Taiwan, Republic of China                TW TW-DOM
echo No WHOIS server is available for Taiwan domains.
echo Taiwan Network Information Center:  http://www.twnic.net/english/
echo No WHOIS server is available for Taiwan domains.>>%1.txt
echo Taiwan Network Information Center:  http://www.twnic.net/english/>>%1.txt
goto skipdom

:kr
:KR
::        Korea, Republic of                       KR KR-DOM
::          whois.krnic.net aka whois.nic.or.kr
echo whois -h whois.nic.or.kr %na3me%
echo whois -h whois.nic.or.kr %na3me%>>%1.txt
whois -h whois.nic.or.kr %na3me%>>%1.txt
echo Republic of Korea Network Information Center:  http://www.krnic.net/english/
echo KRNIC WHOIS Gateway:  http://www.krnic.net/english/info/whois_a.html
echo Republic of Korea Network Information Center:  http://www.krnic.net/english/>>%1.txt
echo KRNIC WHOIS Gateway:  http://www.krnic.net/english/info/whois_a.html>>%1.txt
goto skipdom

:jp
:JP
::        Japan                                    JP JP-DOM
::        For help:  whois -h whois.nic.ad.jp help/e
echo whois -h whois.nic.ad.jp %na3me%/e
echo whois -h whois.nic.ad.jp %na3me%/e>>%1.txt
whois -h whois.nic.ad.jp %na3me%/e>>%1.txt
echo Japan Network Information Center:  http://www.nic.ad.jp
echo JPNIC Whois Gateway:  http://www.nic.ad.jp/jpnic-e/whois.html
echo Japan Network Information Center:  http://www.nic.ad.jp>>%1.txt
echo JPNIC Whois Gateway:  http://www.nic.ad.jp/jpnic-e/whois.html>>%1.txt
goto skipdom

:au
:AU
::        Australia                                AU  AU-DOM

echo whois -h whois.aunic.net %na3me%
echo whois -h whois.aunic.net %na3me%>$%na1me%%f%.txt
whois -h whois.aunic.net %na3me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo %na3me% not found, trying whois -h whois.aunic.net %na2me%
echo whois -h whois.aunic.net %na2me%>$%na1me%%f%.txt
whois -h whois.aunic.net %na2me%>>$%na1me%%f%.txt
:audrok
:AUdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Australia Network Information Centre:  http://www.aunic.net/
echo AUNIC WHOIS Gateway:  http://www.aunic.net/cgi-bin/whois.aunic
echo Australia Network Information Centre:  http://www.aunic.net/>>%1.txt
echo AUNIC WHOIS Gateway:  http://www.aunic.net/cgi-bin/whois.aunic>>%1.txt
goto skipdom

:id
:ID
::        Indonesia                                ID ID1-DOM
echo Attempting Web-based WHOIS lookup...
start http://whois.idnic.net.id/cgi-bin/whois-cgi?user=%na3me%
echo Indonesia Network Information Center:
echo http://whois.idnic.net.id/index-english.html
echo IDNIC WHOIS Gateway:  http://whois.idnic.net.id/Info/Whois.html
echo Indonesia Network Information Center:  http://whois.idnic.net.id/index-english.html>>%1.txt
echo IDNIC WHOIS Gateway:  http://whois.idnic.net.id/Info/Whois.html>>%1.txt
goto skipdom

:sg
:SG
::        Singapore                                SG SG-DOM
echo whois -h whois.nic.net.sg %na3me%
echo whois -h whois.nic.net.sg %na3me%>>%1.txt
whois -h whois.nic.net.sg %na3me%>>%1.txt
echo Singapore Network Information Centre:  http://www.nic.net.sg
echo SGNIC WHOIS Gateway:  http://www.nic.net.sg/online_whois.html
echo Singapore Network Information Centre:  http://www.nic.net.sg>>%1.txt
echo SGNIC WHOIS Gateway:  http://www.nic.net.sg/online_whois.html>>%1.txt
goto skipdom

:hk
:HK
::        Hong Kong                                HK HK-DOM
echo whois -h whois.hknic.net.hk %na3me%
echo whois -h whois.hknic.net.hk %na3me%>>%1.txt
whois -h whois.hknic.net.hk %na3me%>>%1.txt
echo Hong Kong Network Information Centre:  http://www.hknic.net.hk/hknic/
echo Hong Kong Network Information Centre:  http://www.hknic.net.hk/hknic/>>%1.txt
goto skipdom

:my
:MY
::        Malaysia                                 MY MY-DOM
echo No WHOIS server is available for Malaysian domains.
echo Malaysian Network Information Center:  http://www.mynic.net/
echo No WHOIS server is available for Malaysian domains.>>%1.txt
echo Malaysian Network Information Center:  http://www.mynic.net/>>%1.txt
goto skipdom

:in
:IN
::        India                                    IN IN-DOM
echo No WHOIS server is available for India domains.
echo India Network Information Centre:  http://www.ece.iisc.ernet.in/nic-index.html
echo No WHOIS server is available for India domains.>>%1.txt
echo India Network Information Centre:  http://www.ece.iisc.ernet.in/nic-index.html>>%1.txt
echo India Domain Information:  http://ece.iisc.ernet.in/innic/domain.info.html>>%1.txt
goto skipdom

:nz
:NZ
::        New Zealand                              NZ NZ-DOM
echo Attempting Web-based lookup...
start /r  http://domainz.waikato.ac.nz/cgi-bin/DNZ-REGISTER?domain_name=%na3me%
echo The Internet Society of New Zealand:  http://www.isocnz.org.nz/
echo NZ WHOIS Gateway:  http://www.domainz.net.nz/service/checking.html
echo This domain:  http://domainz.waikato.ac.nz/cgi-bin/DNZ-REGISTER?domain_name=%na3me%
echo The Internet Society of New Zealand:  http://www.isocnz.org.nz/>>%1.txt
echo The New Zealand Internet Registry Ltd:  http://www.domainz.net.nz/>>%1.txt
echo NZ WHOIS Gateway:  http://www.domainz.net.nz/service/checking.html>>%1.txt
echo This domain:  http://domainz.waikato.ac.nz/cgi-bin/DNZ-REGISTER?domain_name=%na3me%>>%1.txt
goto skipdom

:vn
:VN
::        Viet Nam                                 VN VN-DOM
echo No WHOIS server is available for Viet Nam domains.
echo Viet Nam Internet Gateway:  http://home.vnn.vn/index_e.html
echo No WHOIS server is available for Viet Nam domains.>>%1.txt
echo Viet Nam Internet Gateway:  http://home.vnn.vn/index_e.html>>%1.txt
goto skipdom

:mo
:MO
::        Macau                                    MO MO-DOM
::        whois.umac.mo does not support whois queries.
echo No WHOIS server is available for Macau domains.
echo Macau Network Information Center (MONIC):  http://www.umac.mo/sub-domain/
echo No WHOIS server is available for Macau domains.>>%1.txt
echo Macau Network Information Center (MONIC):  http://www.umac.mo/sub-domain/>>%1.txt
goto skipdom

:pk
:PK
::        Pakistan                                 PK PK-DOM
echo Attempting Web-based lookup...
start /r  http://pknic.net.pk:443/cgi-bin/pknic-db/display.html?name=%na3me%
echo The Pakistan Network Information Centre (PKNIC):  http://www.pknic.net.pk/
echo PKNIC WHOIS Gateway:  http://www.pknic.net.pk/records.html
echo Look up this name at:  http://pknic.net.pk:443/cgi-bin/pknic-db/display.html?name=%na3me%
echo The Pakistan Network Information Centre (PKNIC):  http://www.pknic.net.pk/>>%1.txt
echo PKNIC WHOIS Gateway:  http://www.pknic.net.pk/records.html>>%1.txt
echo Look up this name at:  http://pknic.net.pk:443/cgi-bin/pknic-db/display.html?name=%na3me%>>%1.txt
goto skipdom

:mn
:MN
::        Mongolia                                 MN MN3-DOM
::          DataCom Co., Ltd  http://www.magic.mn
echo No WHOIS server is available for Mongolia domains.
echo Mongolia Network Information Center:  http://www.nic.mn/
echo No WHOIS server is available for Mongolia domains.>>%1.txt
echo Mongolia Network Information Center:  http://www.nic.mn/>>%1.txt
goto skipdom

:ph
:PH
::        Philippines                              PH PH-DOM
echo No WHOIS server is available for Philippines domains.
echo .PH Domain Registry:  http://www.domreg.org.ph/
echo No WHOIS server is available for Philippines domains.>>%1.txt
echo .PH Domain Registry:  http://www.domreg.org.ph/>>%1.txt
goto skipdom

:th
:TH
::        Thailand                                 TH TH-DOM
echo whois -h whois.thnic.net %na3me%
echo whois -h whois.thnic.net %na3me%>>%1.txt
whois -h whois.thnic.net %na3me%>>%1.txt
echo Thailand Network Information Center:  http://www.thnic.net/
echo THNIC WHOIS Gateway:  http://www.thnic.net/whois.html
echo Thailand Network Information Center:  http://www.thnic.net/>>%1.txt
echo THNIC WHOIS Gateway:  http://www.thnic.net/whois.html>>%1.txt
goto skipdom

:lk
:LK
::        Sri Lanka                                LK LK-DOM
echo whois -h whois.nic.lk %na2me%
echo whois -h whois.nic.lk %na2me%>$%na1me%%f%.txt
whois -h whois.nic.lk %na2me%>>$%na1me%%f%.txt
find "not found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo %na2me% not found, trying whois -h whois.nic.lk %na3me%
echo %na2me% not found, trying whois -h whois.nic.lk %na3me%>$%na1me%%f%.txt
echo whois -h whois.nic.lk %na3me%>>$%na1me%%f%.txt
whois -h whois.nic.lk %na3me%>>$%na1me%%f%.txt
:lkdrok
:LKdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Sri Lanka Domain Registry:  http://www.nic.lk
echo LKNIC WHOIS Gateway:  http://www.nic.lk/cgi-bin/whois
echo Sri Lanka Domain Registry:  http://www.nic.lk>>%1.txt
echo LKNIC WHOIS Gateway:  http://www.nic.lk/cgi-bin/whois>>%1.txt
goto skipdom

:nc
:NC
::        New Calendonia                           NC NC2-DOM
::          Offratel  http://www.offratel.nc
echo No WHOIS server is available for New Caledonia domains.
echo Domain Registration for New Caledonia:  http://www.orstom.nc/Welcome_en.html
echo Existing NC domains:  http://www.orstom.nc/BASE/IRD_NOUMEA/TLD_NC/nc_existant.html
echo No WHOIS server is available for New Caledonia domains.>>%1.txt
echo Domain Registration for New Caledonia:  http://www.orstom.nc/Welcome_en.html>>%1.txt
echo Existing NC domains:  http://www.orstom.nc/BASE/IRD_NOUMEA/TLD_NC/nc_existant.html>>%1.txt
goto skipdom

:gu
:GU
::        Guam                                     GU GU-DOM
echo Attempting Web-based lookup...
start http://gadao.gov.gu/Scripts/wwsquery/wwsquery.dll?query=%na3me%
echo Guam Network Information Center: http://gadao.gov.gu/
echo "Search Engine for Guam gu Domains":
echo           http://gadao.gov.gu/Scripts/wwsquery/wwsquery.dll?page=guamquery
echo No WHOIS server is available for Guam domains.>>%1.txt
echo Guam Network Information Center: http://gadao.gov.gu/>>%1.txt
echo "Search Engine for Guam gu Domains":>>%1.txt
echo           http://gadao.gov.gu/Scripts/wwsquery/wwsquery.dll?page=guamquery>>%1.txt
echo This domain: http://gadao.gov.gu/Scripts/wwsquery/wwsquery.dll?query=%na3me%>>%1.txt
echo   or try:    http://gadao.gov.gu/Scripts/wwsquery/wwsquery.dll?query=%na2me%&numresults=100>>%1.txt
goto skipdom

:ws
:WS
::        Samoa                                    WS WS3-DOM
echo No WHOIS server is available for Samoa domains.
echo No known Network Information Center for Samoa.
echo No WHOIS server is available for Samoa domains.>>%1.txt
echo No known Network Information Center for Samoa.>>%1.txt
goto skipdom

:bd
:BD
::        Bangladesh                               BD  BD22-DOM
echo No WHOIS server available for Bangladesh domains.
echo No known Web address for a Bangladesh NIC.
echo No WHOIS server available for Bangladesh domains.>>%1.txt
echo No known Web address for a Bangladesh NIC.>>%1.txt
goto skipdom

:pf
:PF
::        French Polynesia                         PF  PF4-DOM
echo No WHOIS server available for French Polynesia domains.
echo No known Web address for a French Polynesia NIC.
echo No WHOIS server available for French Polynesia domains.>>%1.txt
echo No known Web address for a French Polynesia NIC.>>%1.txt
goto skipdom


:pg
:PG
::        Papua New Guinea                         PG PG-DOM
echo No WHOIS server is available for Papua New Guinea domains.
echo No known Network Information Center for Papua New Guinea.
echo No WHOIS server is available for Papua New Guinea domains.>>%1.txt
echo No known Network Information Center for Papua New Guinea.>>%1.txt
goto skipdom

:sb
:SB
::        Solomon Islands                          SB SB2-DOM
goto skipdom1

:bn
:BN
::        Brunei Darussalam                        BN  BN3-DOM
::          Jabatan Telekom Brunei  http://www.brunet.bn
goto skipdom1

:np
:NP
::        Nepal                                    NP NP3-DOM
::          WorldLink Communications  http://www.wlink.com.np
goto skipdom1

:la
:LA
::        Lao, People's Democratic Republic        LA LA7-DOM
goto skipdom1

:nr
:NR
::        Nauru                                    NR NR8-DOM
goto skipdom1

:mv
:MV
::        Maldives                                 MV MV4-DOM
::          Dhiraagu Pvt.Ltd.  http://www.dhivehinet.net.mv
goto skipdom1


::        NetNames Domains
:af
:AF
::        Afghanistan                              AF  AF12-DOM
::        whois.nic.af aka whois.netnames.net [centauri.netnames.net]
echo whois -h whois.nic.af %na2me%>>%1.txt
echo whois -h whois.nic.af %na2me%
whois -h whois.nic.af %na2me%>>%1.txt
echo Aghanistan Network Information Center:  http://www.nic.af
echo Aghanistan Network Information Center:  http://www.nic.af>>%1.txt
goto skipdom

:as
:AS
::        American Samoa                           AS  AS17-DOM
::        whois.nic.as [whois.gdns.net] or whois.netnames.net [centauri.netnames.net]
echo whois -h whois.nic.as %na2me%>>%1.txt
echo whois -h whois.nic.as %na2me%
whois -h whois.nic.as %na2me%>>%1.txt
echo American Samoa Network Information Center:  http://www.nic.as
echo ASNIC Whois Gateway:  http://www.nic.as:8080/whois.cfm?%na2me%
echo American Samoa Network Information Center:  http://www.nic.as>>%1.txt
echo ASNIC Whois Gateway:  http://www.nic.as:8080/whois.cfm?%na2me%>>%1.txt
goto skipdom

:bt
:BT
::        Bhutan                                   BT  BT8-DOM
::        http://www.nic.bt/  whois.netnames.net [centauri.netnames.net]
echo whois -h whois.netnames.net %na3me%>>%1.txt
echo whois -h whois.netnames.net %na2me%
whois -h whois.netnames.net %na3me%>>%1.txt
echo (WHOIS for Bhutan domains usually provides little information of value.)
echo (WHOIS for Bhutan domains usually provides little information of value.)>>%1.txt
echo Bhutan Network Information Centre:  http://www.nic.bt/>>%1.txt
goto skipdom

:tm
:TM
::        Turkmenistan                             TM TM9-DOM
::        http://www.nic.tm/  whois.nic.tm aka whois.netnames.net [centauri.netnames.net]
echo whois -h whois.nic.tm %na2me%
echo whois -h whois.nic.tm %na2me%>$%na1me%%f%.txt
whois -h whois.nic.tm %na2me%>>$%na1me%%f%.txt
find "o match"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.tm %na3me%
echo whois -h whois.nic.tm %na3me%>$%na1me%%f%.txt
whois -h whois.nic.tm %na3me%>>$%na1me%%f%.txt
:tmdrok
:TMdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Turkmenistan Domain Registry:  http://www.nic.tm/
echo Turkmenistan Domain Registry:  http://www.nic.tm/>>%1.txt
goto skipdom

::        End of NetNames Domains


:ca
:CA
::        Canada                                   CA  CA-DOM
echo whois -h whois.cira.ca %na3me%
echo whois -h whois.cira.ca %na3me%>$%na1me%%f%.txt
whois -h whois.cira.ca %na3me%>>$%na1me%%f%.txt
find "ot found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.cira.ca %na2me%
echo whois -h whois.cira.ca %na2me%>$%na1me%%f%.txt
whois -h whois.cira.ca %na2me%>>$%na1me%%f%.txt
:cadrok
:CAdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo CA Domain Network Information Center:  http://www.cdnnet.ca
echo CDNNET WHOIS Gateway:  http://www.cdnnet.ca/search/index.html
echo CA Domain Network Information Center:  http://www.cdnnet.ca>>%1.txt
echo CDNNET WHOIS Gateway:  http://www.cdnnet.ca/search/index.html>>%1.txt

goto skipdom

:al
:AL
::        Albania                                  AL  AL-DOM
echo No WHOIS server is available for Albania domains.
echo Websites reported for the Albania domain:  http://www.banknet.net/
echo                                            http://www.inima.al
echo No WHOIS server is available for Albania domains.>>%1.txt
echo Websites reported for the Albania domain:  http://www.banknet.net/>>%1.txt
echo                                            http://www.inima.al>>%1.txt
goto skipdom

:dz
:DZ
::        Algeria                                  DZ  DZ-DOM
echo No WHOIS server is available for Algeria domains.
echo No known NIC or website for the .DZ domain.
goto skipdom

:ad
:AD
::        Andorra                                  AD  AD7-DOM
echo No WHOIS server is available for Andorra domains.
echo NIC ANDORRA:  http://www.nic.ad/
echo Existing Andorra domains are listed at:  http://www.nic.ad/dominis-ad.htm
echo No WHOIS server is available for Andorra domains.>>%1.txt
echo NIC ANDORRA:  http://www.nic.ad/>>%1.txt
echo Existing Andorra domains are listed at:  http://www.nic.ad/dominis-ad.htm>>%1.txt
goto skipdom

:ao
:AO
::        Angola                                   AO  AO4-DOM
goto skipdom1

:ai
:AI
::        Anguilla                                 AI  AI3-DOM
echo No WHOIS server is available for Anguilla domains.
echo Anguilla Network Information Center:  http://www.nic.ai/
echo No WHOIS server is available for Anguilla domains.>>%1.txt
echo Anguilla Network Information Center:  http://www.nic.ai/>>%1.txt
goto skipdom

:aq
:AQ
::        Antarctica                               AQ  AQ-DOM
goto skipdom1

:ag
:AG
::        Antigua and Barbuda                      AG  AG-DOM1
goto skipdom1

:ar
:AR
::        Argentina                                AR  AR-DOM
::        http://www.nic.ar/  [whois server unknown]
::        http://www.nic.ar/consultas/consdom.htm
echo No WHOIS server is available for Argentina domains.
echo Attempting Web-based lookup...
if not "%na3me%"==".%na2me%" echo http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na3me%
if "%na3me%"==".%na2me%" echo http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na2me%
if not "%na3me%"==".%na2me%" start /r  http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na3me%
if "%na3me%"==".%na2me%" start /r  http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na2me%
echo Argentina Network Information Center: http://www.nic.ar
echo NIC-ARGENTINA WHOIS Gateway: http://www.nic.ar/consultas/consdom.htm
echo Argentina Network Information Center: http://www.nic.ar>>%1.txt
echo NIC-ARGENTINA WHOIS Gateway: http://www.nic.ar/consultas/consdom.htm>>%1.txt
if not "%na3me%"==".%na2me%" echo This domain: http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na3me%>>%1.txt
if not "%na3me%"==".%na2me%" echo   or try:    http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na2me%>>%1.txt
if "%na3me%"==".%na2me%" echo This domain: http://tango.nic.ar/cgi-bin/nic/consdom.cgi?nombre=%na2me%>>%1.txt
goto skipdom

:am
:AM
::        Armenia                                  AM  AM2-DOM
echo No WHOIS server is available for Armenia domains.
echo Attempting Web-based lookup...
start /r  http://www.nic.am/cgi/engine/db/whois.html?domain=%na2me%
echo Armenia Network Information Center:  http://www.am/
echo AMNIC WHOIS Gateway:  http://www.am/cgi/engine/db/whois.html
echo No WHOIS server is available for Armenia domains.>>%1.txt
echo Armenia Network Information Center:  http://www.am/>>%1.txt
echo AMNIC WHOIS Gateway:  http://www.am/cgi/engine/db/whois.html>>%1.txt
echo Web lookup:  http://www.nic.am/cgi/engine/db/whois.html?domain=%na2me%>>%1.txt
goto skipdom


:aw
:AW
::        Aruba                                    AW  AW4-DOM
goto skipdom1

:ac
:AC
::        Ascension Island                         AC  AC24-DOM
::          (whois.nic.ac exists but not working) http://www.nic.ac/cgi-bin/whois?%na2me%
echo No WHOIS server is available for Ascension Island domains.
echo Attempting Web-based lookup...
echo http://www.nic.ac/cgi-bin/whois?%na2me%
http://www.nic.ac/cgi-bin/whois?%na2me%
echo Ascension Island Network Information Center:  http://www.nic.ac
echo NIC.AC WHOIS Gateway:  http://www.nic.ac/cgi-bin/whois
echo Ascension Island Network Information Center:  http://www.nic.ac>>%1.txt
echo NIC.AC WHOIS Gateway:  http://www.nic.ac/cgi-bin/whois>>%1.txt
echo This domain:  http://www.nic.ac/cgi-bin/whois?%na2me%>>%1.txt
goto skipdom

:at
:AT
::        Austria                                  AT  AT-DOM
echo whois -h whois.nic.at %na2me%
echo whois -h whois.nic.at %na2me%>$%na1me%%f%.txt
whois -h whois.nic.at %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.at %na3me%
echo whois -h whois.nic.at %na3me%>$%na1me%%f%.txt
whois -h whois.nic.at %na3me%>>$%na1me%%f%.txt
:atdrok
:ATdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Austria Network Information Center (NIC AT):  http://www.nic.at/en/indexen.html
echo NIC AT WHOIS Gateway (English):  http://www.nic.at/en/whoisATen.html
echo Austria Network Information Center (NIC AT):  http://www.nic.at/en/indexen.html>>%1.txt
echo NIC AT WHOIS Gateway (English):  http://www.nic.at/en/whoisATen.html>>%1.txt
goto skipdom

:az
:AZ
::        Azerbaijan                               AZ  AZ-DOM
goto skipdom1

:bs
:BS
::        Bahamas                                  BS  BS-DOM
goto skipdom1

:bh
:BH
::        Bahrain                                  BH  BH-DOM
echo No WHOIS server is available for Bahrain domains.
echo Bahrain Telecommunication Company:  http://www.batelco.com.bh/
echo Bahrain Domain Registration:  http://www.inet.com.bh/web-host.htm
echo No WHOIS server is available for Bahrain domains.>>%1.txt
echo Bahrain Telecommunication Company:  http://www.batelco.com.bh/>>%1.txt
echo Bahrain Domain Registration:  http://www.inet.com.bh/web-host.htm>>%1.txt
goto skipdom

:bb
:BB
::        Barbados                                 BB  BB-DOM
goto skipdom1

:by
:BY
::        Belarus                                  BY  BY-DOM
goto skipdom1

:be
:BE
::        Belgium                                  BE  BE-DOM
echo whois -h whois.ripe.net %na3me%
echo whois -h whois.ripe.net %na3me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na3me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ripe.net %na2me%
echo whois -h whois.ripe.net %na2me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na2me%>>$%na1me%%f%.txt
:bedrok
:BEdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo DNS-BE Registration Office:  http://www.dns.be
echo DNS-BE WHOIS Gateway:  http://www.dns.be/domain-info/info.html
echo DNS-BE Registration Office:  http://www.dns.be>>%1.txt
echo DNS-BE WHOIS Gateway:  http://www.dns.be/domain-info/info.html>>%1.txt
goto skipdom

:bz
:BZ
::        Belize                                   BZ  BZ-DOM
goto skipdom1

:bj
:BJ
::        Benin                                    BJ  BJ3-DOM
goto skipdom1

:bm
:BM
::        Bermuda                                  BM  BM-DOM
goto skipdom1

:bo
:BO
::        Bolivia                                  BO  BO-DOM
goto skipdom1

:ba
:BA
::        Bosnia and Herzegowina                   BA  BA6-DOM
echo No WHOIS server is available for Bosnia and Herzegowina domains.
echo Administrator for Bosnia and Herzegowina domains:  http://www.utic.net.ba/
echo No WHOIS server is available for Bosnia and Herzegowina domains.>>%1.txt
echo Administrator for Bosnia and Herzegowina domains:  http://www.utic.net.ba/>>%1.txt
goto skipdom


:bw
:BW
::        Botswana                                 BW  BW-DOM
goto skipdom1

:bv
:BV
::        Bouvet Island                            BV  BV4-DOM
goto skipdom1

:br
:BR
::        Brazil                                   BR  BR-DOM
::        whois.fapesp.br aka whois.nic.br aka whois.REGISTRO.FAPESP.BR
::        http://www.nic.br
echo whois -h whois.nic.br %na2me%
echo whois -h whois.nic.br %na2me%>$%na1me%%f%.txt
whois -h whois.nic.br %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.br %na3me%
echo whois -h whois.nic.br %na3me%>$%na1me%%f%.txt
whois -h whois.nic.br %na3me%>>$%na1me%%f%.txt
:brdrok
:BRdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Brazil Network Information Center:  http://www.nic.br
echo NIC BR WHOIS Gateway:  http://registro.fapesp.br/
echo Brazil Network Information Center:  http://www.nic.br>>%1.txt
echo NIC BR WHOIS Gateway:  http://registro.fapesp.br/>>%1.txt
goto skipdom

:io
:IO
::        British Indian Ocean Territory           IO  IO5-DOM
goto skipdom1

:bg
:BG
::        Bulgaria                                 BG  BG-DOM
echo No WHOIS server is available for Bulgaria domains.
echo Attempting Web-based lookup...
echo set bgd=%na2me%>$bg%f%$.bat
bfr . \0d\0a $bg%f%$.bat -d>nul
type $bg%f%$.bat|find "set bgd">$bg%f%$.bat
call $bg%f%$.bat
del $bg%f%$.bat>nul
echo http://support.digsys.bg/bg-nic/displaydomain.pl?domain=%bgd%
start http://support.digsys.bg/bg-nic/displaydomain.pl?domain=%bgd%
echo Bulgaria (BG) domain administration:  http://www.digsys.bg/bg-nic/
echo BG-NIC registered domains database:  http://www.digsys.bg/bg-nic/lookup.html
echo No WHOIS server is available for Bulgaria domains.>>%1.txt
echo Bulgaria (BG) domain administration:  http://www.digsys.bg/bg-nic/>>%1.txt
echo BG-NIC registered domains database:  http://www.digsys.bg/bg-nic/lookup.html>>%1.txt
echo This domain:  http://support.digsys.bg/bg-nic/displaydomain.pl?domain=%bgd%>>%1.txt
set bgd=
goto skipdom

:bf
:BF
::        Burkina Faso                             BF  BF-DOM
goto skipdom1

:bi
:BI
::        Burundi                                  BI  BI4-DOM
goto skipdom1

:kh
:KH
::        Cambodia                                 KH  KH2-DOM
goto skipdom1

:cm
:CM
::        Cameroon                                 CM  CM2-DOM
goto skipdom1

:cv
:CV
::        Cape Verde                               CV  CV8-DOM
goto skipdom1

:ky
:KY
::        Cayman Islands                           KY  KY-DOM
goto skipdom1

:cf
:CF
::        Central African Republic                 CF  CF4-DOM
goto skipdom1

:td
:TD
::        Chad                                     TD  TD9-DOM
goto skipdom1

:cl
:CL
::        Chile                                    CL  CL-DOM
goto skipdom1

:cx
:CX
::        Christmas Island                         CX  CX11-DOM
goto skipdom1

:cc
:CC
::        Cocos (Keeling) Islands                  CC  CC24-DOM
echo whois -h whois.nic.cc %na2me%
whois -h whois.nic.cc %na2me%>>%1.txt
echo ENIC Network Information Center:  http://www.nic.cc/index.html
echo ENIC WHOIS Gateway:  http://www.nic.cc/who.html
echo ENIC Network Information Center:  http://www.nic.cc/index.html>>%1.txt
echo ENIC WHOIS Gateway:  http://www.nic.cc/who.html>>%1.txt
echo Note:  ENIC WHOIS Gateway only verifies the existence of a name.>>%1.txt
goto skipdom

:co
:CO
::        Colombia                                 CO  CO1-DOM
goto skipdom1

:km
:KM
::        Comoros                                  KM  KM15-DOM
goto skipdom1

:cd
:CD
::        Congo, Democratic People's Republic      CD  CD27-DOM
goto skipdom1

:cg
:CG
::        Congo, Republic of                       CG  CG6-DOM
goto skipdom1

:ck
:CK
::        Cook Islands                             CK  CK3-DOM
echo whois -h whois.ck-nic.org.ck %na3me%
echo whois -h whois.ck-nic.org.ck %na3me%>$%na1me%%f%.txt
whois -h whois.ck-nic.org.ck %na3me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo %na3me% not found, trying whois -h whois.ck-nic.org.ck %na2me%
echo whois -h whois.ck-nic.org.ck %na2me%>$%na1me%%f%.txt
whois -h whois.ck-nic.org.ck %na2me%>>$%na1me%%f%.txt
:ckdrok
:CKdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Cook Islands Network Information Center:  None known
echo CKNIC WHOIS Gateway:  None known
echo Cook Islands Network Information Center:  None known>>%1.txt
echo CKNIC WHOIS Gateway:  None known>>%1.txt
goto skipdom


:cr
:CR
::        Costa Rica                               CR  CR-DOM
echo No WHOIS server is available for Costa Rica domains.
echo Attempting Web-based lookup...
echo set %na1me%3ld=%%1>$%na1me%%f%1$.bat
echo set %na1me%2ld=%%2>>$%na1me%%f%1$.bat
echo $%na1me%%f%1$ %na3me%>$%na1me%%f%2$.bat
bfr \2e \20 $%na1me%%f%2$.bat -b>nul
call $%na1me%%f%2$.bat
echo Opening http://ns.crnet.cr/nodos/%cr2ld%/%cr3ld%.html
start http://ns.crnet.cr/nodos/%cr2ld%/%cr3ld%.html
echo Costa Rica Network Information Center:  http://www.nic.cr/
echo CRNIC NSLOOKUP Gateway:  http://www.nic.cr/consulta-dns.html
echo CRNIC Web-based Domain Listings:  http://ns.crnet.cr/nodos/nodos.html
echo No WHOIS server is available for Costa Rica domains.>>%1.txt
echo Costa Rica Network Information Center:  http://www.nic.cr/>>%1.txt
echo CRNIC NSLOOKUP Gateway:  http://www.nic.cr/consulta-dns.html>>%1.txt
echo CRNIC Web-based Domain Listings:  http://ns.crnet.cr/nodos/nodos.html>>%1.txt
echo This domain:  http://ns.crnet.cr/nodos/%cr2ld%/%cr3ld%.html>>%1.txt
set %na1me%2ld=
set %na1me%3ld=
goto skipdom

:ci
:CI
::        Cote D'Ivoire                            CI  CI3-DOM
goto skipdom1

:hr
:HR
::        Croatia/Hrvatska                         HR  HR-DOM
goto skipdom1

:cu
:CU
::        Cuba                                     CU  CU-DOM
goto skipdom1

:cy
:CY
::        Cyprus                                   CY  CY-DOM
goto skipdom1

:cz
:CZ
::        Czech Republic                           CZ  CZ-DOM
goto skipdom1

:dk
:DK
::        Denmark                                  DK  DK-DOM
echo whois -h whois.nic.dk %na2me%
echo whois -h whois.nic.dk %na2me%>$%na1me%%f%.txt
whois -h whois.nic.dk %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.dk %na3me%
echo whois -h whois.nic.dk %na3me%>$%na1me%%f%.txt
whois -h whois.nic.dk %na3me%>>$%na1me%%f%.txt
:dkdrok
:DKdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Danish Network Information Center:  http://www.nic.dk/
echo RIPE WHOIS Gateway:  http://www.ripe.net/db/whois.html
echo Danish Network Information Center:  http://www.nic.dk/>>%1.txt
echo More on Danish domains:  http://www.dk-hostmaster.dk/uk/main.html>>%1.txt
echo RIPE WHOIS Gateway:  http://www.ripe.net/db/whois.html>>%1.txt
goto skipdom

:dj
:DJ
::        Djibouti                                 DJ  DJ2-DOM
goto skipdom1

:dm
:DM
::        Dominica                                 DM  DM-DOM1
goto skipdom1

:do
:DO
::        Dominican Republic                       DO  DO-DOM
echo No WHOIS server is available for Dominican Republic domains.
echo Dominican Republic TLD Registration Authority:  http://www.nic.do/english.htm
echo No WHOIS server is available for Dominican Republic domains.>>%1.txt
echo As of 10/99, host whois.nic.do exists but does not support whois queries.>>%1.txt
echo Dominican Republic TLD Registration Authority:  http://www.nic.do/english.htm>>%1.txt
goto skipdom

:tp
:TP
::        East Timor                               TP  TP5-DOM
goto skipdom1

:ec
:EC
::        Ecuador                                  EC  EC-DOM
::        whois.lac.net (exists but not functional)
echo No WHOIS server is available for Ecuador domains.
echo Ecuador Network Information Center (NIC-Ecuador):  http://www.nic.ec/
echo No WHOIS server is available for Ecuador domains.>>%1.txt
echo Ecuador Network Information Center (NIC-Ecuador):  http://www.nic.ec/>>%1.txt
goto skipdom

:eg
:EG
::        Egypt                                    EG  EG-DOM
echo No WHOIS server is available for Egypt domains.
echo Internet Society of Egypt:  http://www.ise.org.eg/
echo No WHOIS server is available for Egypt domains.>>%1.txt
echo Internet Society of Egypt:  http://www.ise.org.eg/>>%1.txt
goto skipdom

:sv
:SV
::        El Salvador                              SV  SV2-DOM
goto skipdom1

:gq
:GQ
::        Equatorial Guinea                        GQ  GQ5-DOM
goto skipdom1

:er
:ER
::        Eritrea                                  ER  ER4-DOM
goto skipdom1

:ee
:EE
::        Estonia                                  EE  EE-DOM
goto skipdom1

:et
:ET
::        Ethiopia                                 ET  ET3-DOM
goto skipdom1

:fk
:FK
::        Falkland Islands (Malvinas)              FK  FK3-DOM
goto skipdom1

:fo
:FO
::        Faroe Islands                            FO  FO-DOM
goto skipdom1

:fj
:FJ
::        Fiji                                     FJ  FJ-DOM
goto skipdom1

:fi
:FI
::        Finland                                  FI  FI-DOM
echo No WHOIS server is available for Finland domains.
echo Telecommunications Administration Centre:  http://www.thk.fi/englanti/internet/index.htm
echo .FI domain names in use:  http://www3.nedecon.fi/cgi-bin/thk/domains.pl?language=eng
echo Telecommunications Administration Centre:  http://www.thk.fi/englanti/internet/index.htm>>%1.txt
echo .FI domain names in use:  http://www3.nedecon.fi/cgi-bin/thk/domains.pl?language=eng>>%1.txt
echo .FI domains complete list:  http://cgi.thk.fi/html/edomains.htm>>%1.txt
goto skipdom

:fr
:FR
::        France                                   FR  FR-DOM
echo whois -h whois.nic.fr %na2me%
echo whois -h whois.nic.fr %na2me%>$%na1me%%f%.txt
whois -h whois.nic.fr %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.fr %na3me%
echo whois -h whois.nic.fr %na3me%>$%na1me%%f%.txt
whois -h whois.nic.fr %na3me%>>$%na1me%%f%.txt
:frdrok
:FRdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo France Network Information Center (AFNIC):  http://www.nic.fr/
echo AFNIC WHOIS Gateway:  http://www.nic.fr/outils/whois.html
echo France Network Information Center (AFNIC):  http://www.nic.fr/>>%1.txt
echo AFNIC WHOIS Gateway:  http://www.nic.fr/outils/whois.html>>%1.txt
goto skipdom

:gf
:GF
::        French Guiana                            GF  GF3-DOM
echo whois -h whois.nplus.gf %na2me%
whois -h whois.nplus.gf %na2me%
echo whois -h whois.nplus.gf %na3me%
whois -h whois.nplus.gf %na3me%
echo WHOIS for French Guiana domains was non-functional at last check.
echo Guiana Network Information Center:  http://www.nplus.gf/GF/
echo No known WHOIS Gateway for French Guiana domains.
echo WHOIS for French Guiana domains was non-functional at last check.>>%1.txt
echo Guiana Network Information Center:  http://www.nplus.gf/GF/>>%1.txt
echo No known WHOIS Gateway for French Guiana domains.>>%1.txt
goto skipdom

:tf
:TF
::        French Southern Territories              TF  TF13-DOM
goto skipdom1

:ga
:GA
::        Gabon                                    GA GA3-DOM
goto skipdom1

:gm
:GM
::        Gambia                                   GM GM6-DOM
goto skipdom1

:ge
:GE
::        Georgia                                  GE GE1-DOM
goto skipdom1

:de
:DE
::        Germany                                  DE DE-DOM
::        whois.nic.de exists but doesn't support "whois" queries.
echo whois -h whois.ripe.net %na2me%
echo whois -h whois.ripe.net %na2me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ripe.net %na3me%
echo whois -h whois.ripe.net %na3me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na3me%>>$%na1me%%f%.txt
:dedrok
:DEdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Germany Network Information Center:  http://www.nic.de/index.en.html
echo DENIC WHOIS Gateway:  http://www.nic.de/servlet/Whois
echo Germany Network Information Center:  http://www.nic.de/index.en.html>>%1.txt
echo DENIC WHOIS Gateway:  http://www.nic.de/servlet/Whois>>%1.txt
goto skipdom

:gh
:GH
::        Ghana                                    GH GH2-DOM
goto skipdom1

:gi
:GI
::        Gibraltar                                GI GI3-DOM
goto skipdom1

:gr
:GR
::        Greece                                   GR GR-DOM
echo whois -h whois.ripe.net %na2me%
echo whois -h whois.ripe.net %na2me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ripe.net %na3me%
echo whois -h whois.ripe.net %na3me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na3me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if not errorlevel==1 echo %na2me% not found; try the WHOIS Gateway.
if not errorlevel==1 echo %na2me% not found; try the WHOIS Gateway.>>%1.txt
if not errorlevel==1 goto %na1me%nodrok
:grdrok
:GRdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
:grnodrok
:GRnodrok
echo Greece Network Information Center:  http://www.hostmaster.gr/english/index.html
echo Hostmaster.gr WHOIS Gateway:  http://pythia.ics.forth.gr/cgi-bin/webwhois
echo Greece Network Information Center:  http://www.hostmaster.gr/english/index.html>>%1.txt
echo Hostmaster.gr WHOIS Gateway:  http://pythia.ics.forth.gr/cgi-bin/webwhois>>%1.txt
echo This domain:  http://pythia.ics.forth.gr/cgi-bin/webwhois?action=search&SEARCHOPTIONS=All&Domname=%na2me%>>%1.txt

goto skipdom

:gl
:GL
::        Greenland                                GL GL2-DOM
goto skipdom1

:gd
:GD
::        Grenada                                  GD GD1-DOM
goto skipdom1

:gp
:GP
::        Guadeloupe                               GP GP4-DOM
goto skipdom1

:gt
:GT
::        Guatemala                                GT GT-DOM
goto skipdom1

:gg
:GG
::        Guernsey                                 GG GG3-DOM
goto skipdom1

:gn
:GN
::        Guinea                                   GN GN2-DOM
goto skipdom1

:gw
:GW
::        Guinea-Bissau                            GW GW8-DOM
goto skipdom1

:gy
:GY
::        Guyana                                   GY GY-DOM
goto skipdom1

:ht
:HT
::        Haiti                                    HT HT6-DOM
goto skipdom1

:hm
:HM
::        Heard and McDonald Islands               HM HM9-DOM
goto skipdom1

:va
:VA
::        Holy See (Vatican City State)            VA VA4-DOM
goto skipdom1

:hn
:HN
::        Honduras                                 HN HN-DOM
goto skipdom1

:hu
:HU
::        Hungary                                  HU HU-DOM
goto skipdom1

:is
:IS
::        Iceland                                  IS IS-DOM
echo whois -h whois.ripe.net %na2me%
echo whois -h whois.ripe.net %na2me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ripe.net %na3me%
echo whois -h whois.ripe.net %na3me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na3me%>>$%na1me%%f%.txt
:isdrok
:ISdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Iceland Network Information Center:  http://www.isnet.is/en/Eindex.html
echo ISNET domain information:  http://www.isnet.is/en/sites.html
echo This domain:  http://www.isnet.is/cgi-bin/wwwwhois-r?%na2me%
echo Iceland Network Information Center:  http://www.isnet.is/en/Eindex.html>>%1.txt
echo ISNET domain information:  http://www.isnet.is/en/sites.html>>%1.txt
echo This domain:  http://www.isnet.is/cgi-bin/wwwwhois-r?%na2me%>>%1.txt
goto skipdom

:ir
:IR
::        Iran (Islamic Republic of)               IR IR2-DOM
goto skipdom1

:iq
:IQ
::        Iraq                                     IQ IQ11-DOM
goto skipdom1

:ie
:IE
::        Ireland                                  IE IE-DOM
echo There is currently no WHOIS server for Ireland domains.
echo IE ccTLD Domain Registry:  http://www.ucd.ie/hostmaster/
echo Announcement about IE WHOIS:  http://www.ucd.ie/hostmaster/whois.html
echo There is currently no WHOIS server for Ireland domains.>>%1.txt
echo IE ccTLD Domain Registry:  http://www.ucd.ie/hostmaster/>>%1.txt
echo Announcement about IE WHOIS:  http://www.ucd.ie/hostmaster/whois.html>>%1.txt
goto skipdom1

:im
:IM
::        Isle of Man                              IM IM6-DOM
goto skipdom1

:il
:IL
::        Israel                                   IL IL-DOM
goto skipdom1

:it
:IT
::        Italy                                    IT IT-DOM
echo whois -h whois.nic.it %na2me%
echo whois -h whois.nic.it %na2me%>$%na1me%%f%.txt
whois -h whois.nic.it %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.it %na3me%
echo whois -h whois.nic.it %na3me%>$%na1me%%f%.txt
whois -h whois.nic.it %na3me%>>$%na1me%%f%.txt
:itdrok
:ITdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Italian Network Information Center (IT-NIC):  http://www.nic.it/
echo IT-NIC WHOIS Gateway:  http://www.nic.it/english/RA/database/viaWhois.html
echo Italian Network Information Center (IT-NIC):  http://www.nic.it/>>%1.txt
echo IT-NIC WHOIS Gateway:  http://www.nic.it/english/RA/database/viaWhois.html>>%1.txt
goto skipdom

:jm
:JM
::        Jamaica                                  JM JM-DOM
goto skipdom1

:je
:JE
::        Jersey                                   JE JE2-DOM
goto skipdom1

:jo
:JO
::        Jordan                                   JO JO2-DOM
goto skipdom1

:kz
:KZ
::        Kazakhstan                               KZ KZ-DOM
echo whois -h whois.domain.kz %na2me%
echo whois -h whois.domain.kz %na2me%>$%na1me%%f%.txt
whois -h whois.domain.kz %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.domain.kz %na3me%
echo whois -h whois.domain.kz %na3me%>$%na1me%%f%.txt
whois -h whois.domain.kz %na3me%>>$%na1me%%f%.txt
:kzdrok
:KZdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Kazakhstan Domain Name Registry:  http://www.domain.kz/
echo Kazakhstan WHOIS Gateway: http://www.domain.kz/search
echo Kazakhstan Domain Name Registry:  http://www.domain.kz/>>%1.txt
echo Kazakhstan WHOIS Gateway: http://www.domain.kz/search>>%1.txt
goto skipdom

:ke
:KE
::        Kenya                                    KE KE-DOM
goto skipdom1

:ki
:KI
::        Kiribati                                 KI KI2-DOM
goto skipdom1

:kp
:KP
::        Korea, Democratic People's Rep.          KP Not Assigned
goto skipdom1

:kw
:KW
::        Kuwait                                   KW KW-DOM
goto skipdom1

:kg
:KG
::        Kyrgzstan                                KG KG2-DOM
goto skipdom1

:lv
:LV
::        Latvia                                   LV LV-DOM
goto skipdom1

:lb
:LB
::        Lebanon                                  LB LB-DOM
echo No WHOIS server is available for Lebanon domains.
echo The Lebanese Domain Registry (LBDR):  http://www.aub.edu.lb/lebanon-online/index.html
echo LBDR Directory Service:  http://www.aub.edu.lb/lbdr/search.html
echo No WHOIS server is available for Lebanon domains.>>%1.txt
echo The Lebanese Domain Registry (LBDR):  http://www.aub.edu.lb/lebanon-online/index.html>>%1.txt
echo LBDR Directory Service:  http://www.aub.edu.lb/lbdr/search.html>>%1.txt
goto skipdom

:ls
:LS
::        Lesotho                                  LS LS1-DOM
goto skipdom1

:lr
:LR
::        Liberia                                  LR LR6-DOM
goto skipdom1

:ly
:LY
::        Libyan Arab Jamahiriya                   LY LY4-DOM
goto skipdom1

:lt
:LT
::        Lithuania                                LT LT-DOM
goto skipdom1

:lu
:LU
::        Luxembourg                               LU LU1-DOM
echo whois -h whois.restena.lu %na2me%
echo whois -h whois.restena.lu %na2me%>>%1.txt
whois -h whois.restena.lu %na2me%>>%1.txt
echo Luxembourg domain registry (RESTENA):  http://www.domain-registration.lu/
echo RESTENA WHOIS Gateway:  http://www.domain-registration.lu/domain-registration/whois.html
echo RESTENA, Luxembourg domain registry:  http://www.domain-registration.lu/>>%1.txt
echo RESTENA WHOIS Gateway:  http://www.domain-registration.lu/domain-registration/whois.html>>%1.txt
goto skipdom

:mk
:MK
::        Macedonia, former Yugoslavia Rep.        MK MK2-DOM
goto skipdom1

:mg
:MG
::        Madagascar                               MG MG2-DOM
goto skipdom1

:mw
:MW
::        Malawi                                   MW MW5-DOM
goto skipdom1

:ml
:ML
::        Mali                                     ML ML2-DOM
goto skipdom1

:mt
:MT
::        Malta                                    MT MT1-DOM
goto skipdom1

:mh
:MH
::        Marshall Islands                         MH MH3-DOM
goto skipdom1

:mq
:MQ
::        Martinique                               MQ MQ5-DOM
goto skipdom1

:mr
:MR
::        Mauritania                               MR MR3-DOM
goto skipdom1

:mu
:MU
::        Mauritius                                MU MU3-DOM
goto skipdom1

:yt
:YT
::        Mayotte                                  YT YT6-DOM
goto skipdom1

:mx
:MX
::        Mexico                                   MX MX-DOM
echo whois -h whois.nic.mx %na3me%
echo whois -h whois.nic.mx %na3me%>$%na1me%%f%.txt
whois -h whois.nic.mx %na3me%>>$%na1me%%f%.txt
find "o match"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.mx %na2me%
echo whois -h whois.nic.mx %na2me%>$%na1me%%f%.txt
whois -h whois.nic.mx %na2me%>>$%na1me%%f%.txt
:mxdrok
:MXdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo NIC-MX Network Information Center:  http://www.nic.mx:81/
echo NIC-MX WHOIS Gateway:  http://www.nic.mx/who/
echo NIC-MX Network Information Center:  http://www.nic.mx:81/>>%1.txt
echo NIC-MX WHOIS Gateway:  http://www.nic.mx/who/>>%1.txt
goto skipdom

:fm
:FM
::        Micronesia, Federal States of            FM FM2-DOM
goto skipdom1

:md
:MD
::        Moldova, Republic of                     MD MD3-DOM
echo No WHOIS server is available for Moldova domains.
echo .MD Network Information Center:  http://www.nic.md/
echo MDNIC WHOIS Gateway:  http://www.nic.md/search.html
echo No WHOIS server is available for Moldova domains.>>%1.txt
echo .MD Network Information Center:  http://www.nic.md/>>%1.txt
echo MDNIC WHOIS Gateway:  http://www.nic.md/search.html>>%1.txt
goto skipdom1

:mc
:MC
::        Monaco                                   MC MC6-DOM
goto skipdom1

:ms
:MS
::        Montserrat                               MS MS13-DOM
goto skipdom1

:ma
:MA
::        Morocco                                  MA MA2-DOM
goto skipdom1

:mz
:MZ
::        Mozambique                               MZ MZ-DOM
goto skipdom1

:mm
:MM
::        Myanmar                                  MM MM12-DOM
echo No WHOIS server is available for Myanmar domains.
echo MM-NIC Registration Services: http://www.nic.mm/
echo Registrations are not yet being accepted for the .mm registry.
echo No WHOIS server is available for Myanmar domains.>>%1.txt
echo MM-NIC Registration Services: http://www.nic.mm/>>%1.txt
echo Registrations are not yet being accepted for the .mm registry.>>%1.txt
goto skipdom

:na
:NA
::        Namibia                                  NA NA-DOM
goto skipdom1

:nl
:NL
::        Netherlands                              NL NL-DOM
echo whois -h whois.domain-registry.nl %na2me%
echo whois -h whois.domain-registry.nl %na2me%>$%na1me%%f%.txt
whois -h whois.domain-registry.nl %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.domain-registry.nl %na3me%
echo whois -h whois.domain-registry.nl %na3me%>$%na1me%%f%.txt
whois -h whois.domain-registry.nl %na3me%>>$%na1me%%f%.txt
:nldrok
:NLdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Netherlands Network Information Center:  http://www.domain-registry.nl/
echo NL WHOIS Gateway:  http://www.domain-registry.nl/zoek.html
echo Netherlands Network Information Center:  http://www.domain-registry.nl/>>%1.txt
echo NL WHOIS Gateway:  http://www.domain-registry.nl/zoek.html>>%1.txt
goto skipdom

:an
:AN
::        Netherlands Antilles                     AN AN2-DOM
goto skipdom1

:ni
:NI
::        Nicaragua                                NI NI-DOM
goto skipdom1

:ne
:NE
::        Niger                                    NE NE5-DOM
goto skipdom1

:ng
:NG
::        Nigeria                                  NG NG2-DOM
echo No WHOIS server is available for Nigeria domains.
echo No known NIC website for NG domains.
echo No WHOIS server is available for Nigeria domains.>>%1.txt
echo No known NIC website for NG domains.>>%1.txt
goto skipdom

:nu
:NU
::        Niue                                     NU NU9-DOM
goto skipdom1

:nf
:NF
::        Norfolk Island                           NF NF3-DOM
goto skipdom1

:mp
:MP
::        Northern Mariana Islands                 MP MP7-DOM
goto skipdom1

:no
:NO
::        Norway                                   NO NO-DOM
echo whois -h whois.ripe.net %na3me%
echo whois -h whois.ripe.net %na3me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na3me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ripe.net %na2me%
echo whois -h whois.ripe.net %na2me%>$%na1me%%f%.txt
whois -h whois.ripe.net %na2me%>>$%na1me%%f%.txt
:nodrok
:NOdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Norwegian Internet Domain Registry:  http://www.norid.no/index_eng.html
echo Norwegian Internet Domain Registry:  http://www.norid.no/index_eng.html>>%1.txt
goto skipdom

:om
:OM
::        Oman                                     OM OM6-DOM
goto skipdom1

:pw
:PW
::        Palau                                    PW PW8-DOM
goto skipdom1

:pa
:PA
::        Panama                                   PA PA3-DOM
goto skipdom1

:py
:PY
::        Paraguay                                 PY PY-DOM
goto skipdom1

:pe
:PE
::        Peru                                     PE PE-DOM
goto skipdom1

:pn
:PN
::        Pitcairn Island                          PN PN5-DOM
goto skipdom1

:pl
:PL
::        Poland                                   PL PL-DOM
goto skipdom1

:pt
:PT
::        Portugal                                 PT PT-DOM
::echo whois -h whois.dns.pt %na2me%
::echo whois -h whois.dns.pt %na2me%>>%1.txt
::whois -h whois.dns.pt %na2me%>>%1.txt
echo No WHOIS server is available for Portugal domains.
echo  Fundao para a Computao Cientfica Nacional
echo (National Foundation for Scientific Computation):  http://www.fccn.pt/
echo Info on PT Subdomains (WHOIS Gateway):  http://www.dns.pt/info/index.html
echo  Fundao para a Computao Cientfica Nacional>>%1.txt
echo (National Foundation for Scientific Computation):  http://www.fccn.pt/>>%1.txt
echo Info on PT Subdomains (WHOIS Gateway):  http://www.dns.pt/info/index.html>>%1.txt
goto skipdom

:pr
:PR
::        Puerto Rico                              PR PR-DOM
echo No WHOIS server is available for Puerto Rico domains.
echo Information on PR domains:  http://euler.uprr.pr/domain/domain-reg-proc.txt
echo PR top-level domain:  http://www.uprr.pr/main.html
echo No WHOIS server is available for Puerto Rico domains.>>%1.txt
echo Information on PR domains:  http://euler.uprr.pr/domain/domain-reg-proc.txt>>%1.txt
echo PR top-level domain:  http://www.uprr.pr/main.html>>%1.txt
goto skipdom

:qa
:QA
::        Qatar                                    QA QA3-DOM
goto skipdom1

:re
:RE
::        Reunion Island                           RE RE12-DOM
goto skipdom1

:ro
:RO
::        Romania                                  RO RO-DOM
goto skipdom1

:ru
:RU
:su
:RU
::        Russian Federation                       RU RU-DOM
echo whois -h whois.ripn.net %na2me%
echo whois -h whois.ripn.net %na2me%>$%na1me%%f%.txt
whois -h whois.ripn.net %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ripn.net %na3me%
echo whois -h whois.ripn.net %na3me%>$%na1me%%f%.txt
whois -h whois.ripn.net %na3me%>>$%na1me%%f%.txt
:sudrok
:rudrok
:RUdrok
:SUdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo RIPN Network Information Centre for xSU/RU:  http://www.ripn.net:8080/en/index.html
echo RIPN WHOIS Gateway:  http://www.ripn.net:8080/nic/whois/
echo RIPN Network Information Centre for xSU/RU:  http://www.ripn.net:8080/en/index.html>>%1.txt
echo RIPN WHOIS Gateway:  http://www.ripn.net:8080/nic/whois/>>%1.txt
goto skipdom

:rw
:RW
::        Rwanda                                   RW RW6-DOM
goto skipdom1

:kn
:KN
::        Saint Kitts and Nevis                    KN KN-DOM
goto skipdom1

:lc
:LC
::        Saint Lucia                              LC LC-DOM
goto skipdom1

:vc
:VC
::        Saint Vincent and the Grenadines         VC VC-DOM
goto skipdom1

:sm
:SM
::        San Marino                               SM SM4-DOM
goto skipdom1

:st
:ST
::        Sao Tome and Principe                    ST ST20-DOM
echo whois -h whois.nic.st %na2me%
echo whois -h whois.nic.st %na2me%>$%na1me%%f%.txt
whois -h whois.nic.st %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.st %na3me%
echo whois -h whois.nic.st %na3me%>$%na1me%%f%.txt
whois -h whois.nic.st %na3me%>>$%na1me%%f%.txt
:stdrok
:STdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo ST Network Information Center:  http://www.nic.st/
echo STNIC WHOIS Gateway:  http://www.nic.st/
echo ST Network Information Center:  http://www.nic.st/>>%1.txt
echo STNIC WHOIS Gateway:  http://www.nic.st/>>%1.txt
goto skipdom

:sa
:SA
::        Saudi Arabia                             SA SA3-DOM
goto skipdom1

:sn
:SN
::        Senegal                                  SN SN-DOM
goto skipdom1

:sc
:SC
::        Seychelles                               SC SC24-DOM
goto skipdom1

:sl
:SL
::        Sierra Leone                             SL SL7-DOM
goto skipdom1

:sk
:SK
::        Slovakia (Slovak Republic)               SK SK-DOM
goto skipdom1

:si
:SI
::        Slovenia                                 SI SI1-DOM
goto skipdom1

:so
:SO
::        Somalia                                  SO SO10-DOM
echo .SO domains are not yet being registered.
echo Somalian Network Information Center:  http://www.nic.so/
echo .SO domains are not yet being registered.>>%1.txt
echo Somalian Network Information Center:  http://www.nic.so/>>%1.txt
goto skipdom

:za
:ZA
::        South Africa                             ZA ZA-DOM
::        ZA Domains Information:  http://www2.frd.ac.za/uninet/zadomains.html
::        whois.co.za (exists but doesn't support whois queries)
::        whois.ac.za (works for some of the 2LDs and for ac.za
echo whois -h whois.ac.za %na3me%
echo whois -h whois.ac.za %na3me%>$%na1me%%f%.txt
whois -h whois.ac.za %na3me%>>$%na1me%%f%.txt
find "o information"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ac.za %na2me%
echo whois -h whois.ac.za %na2me%>$%na1me%%f%.txt
whois -h whois.ac.za %na2me%>>$%na1me%%f%.txt
find "o information"<$%na1me%%f%.txt>nul
if not errorlevel==1 goto %na1me%nodrok
:zadrok
:ZAdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
:zanodrok
:ZAnodrok
echo Only ac.za domains are available for WHOIS lookups.
echo WHOIS Gateway:  http://co.za/whois.html (co.za domains only)
echo ZA Domains Information:  http://www2.frd.ac.za/uninet/zadomains.html
echo Only ac.za domains are available for WHOIS lookups.>>%1.txt
echo WHOIS Gateway:  http://co.za/whois.html (co.za domains only)>>%1.txt
echo ZA Domains Information:  http://www2.frd.ac.za/uninet/zadomains.html>>%1.txt
goto skipdom

:gs
:GS
::        South Georgia and Sandwich Isl.          GS GS13-DOM
goto skipdom1

:es
:ES
::        Spain                                    ES ES-DOM
goto skipdom1

:sh
:SH
::        St. Helena                               SH SH9-DOM
goto skipdom1

:pm
:PM
::        St. Pierre and Miquelon                  PM PM11-DOM
goto skipdom1

:sd
:SD
::        Sudan                                    SD SD18-DOM
goto skipdom1

:sr
:SR
::        Suriname                                 SR SR-DOM1
goto skipdom1

:sj
:SJ
::        Svalbard and Jan Mayen Isl.              SJ SJ5-DOM
goto skipdom1

:sz
:SZ
::        Swaziland                                SZ SZ-DOM
goto skipdom1

:se
:SE
::        Sweden                                   SE SE-DOM
echo whois -h whois.nic-se.se %na2me%
echo whois -h whois.nic-se.se %na2me%>$%na1me%%f%.txt
whois -h whois.nic-se.se %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic-se.se %na3me%
echo whois -h whois.nic-se.se %na3me%>$%na1me%%f%.txt
whois -h whois.nic-se.se %na3me%>>$%na1me%%f%.txt
:sedrok
:SEdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Network Information Centre Sweden (NIC-SE): http://www.nic-se.se/inenglish.shtml
echo NIC-SE WHOIS Gateway:  http://www.nic-se.se/domregsearch.shtml
echo Network Information Centre Sweden (NIC-SE): http://www.nic-se.se/inenglish.shtml>>%1.txt
echo NIC-SE WHOIS Gateway:  http://www.nic-se.se/domregsearch.shtml>>%1.txt
goto skipdom

:li
:LI
::        Liechtenstein                            LI LI-DOM
:ch
:CH
::        Switzerland                              CH CH-DOM
::        domreg.nic.ch [whois.nic.ch, whois.nic.li]
echo whois -h whois.nic.ch %na2me%
echo whois -h whois.nic.ch %na2me%>$%na1me%%f%.txt
whois -h whois.nic.ch %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.ch %na3me%
echo whois -h whois.nic.ch %na3me%>$%na1me%%f%.txt
whois -h whois.nic.ch %na3me%>>$%na1me%%f%.txt
:chdrok
:lidrok
:CHdrok
:LIdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Switzerland/Liechtenstein Dom-Reg:  http://www.nic.ch
echo CH/LI WHOIS Gateway:  http://www.switch.ch/domain/search_form.html
echo Switzerland/Liechtenstein Dom-Reg:  http://www.nic.ch>>%1.txt
echo CH/LI WHOIS Gateway:  http://www.switch.ch/domain/search_form.html>>%1.txt
goto skipdom

:sy
:SY
::        Syrian Arab Republic                     SY SY2-DOM
goto skipdom1

:tj
:TJ
::        Tajikistan                               TJ TJ19-DOM
echo whois -h whois.nic.tj %na2me%
echo whois -h whois.nic.tj %na2me%>$%na1me%%f%.txt
whois -h whois.nic.tj %na2me%>>$%na1me%%f%.txt
find "o entries found"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.tj %na3me%
echo whois -h whois.nic.tj %na3me%>$%na1me%%f%.txt
whois -h whois.nic.tj %na3me%>>$%na1me%%f%.txt
:tjdrok
:TJdrok
copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
del $%na1me%%f%.txt>nul
echo Tajikistan Network Information Center:  http://www.nic.tj/
echo TJNIC WHOIS Gateway:  http://www.nic.tj/whois.cgi
echo Tajikistan Network Information Center:  http://www.nic.tj/>>%1.txt
echo TJNIC WHOIS Gateway:  http://www.nic.tj/whois.cgi>>%1.txt
goto skipdom

:tz
:TZ
::        Tanzania                                 TZ TZ2-DOM
goto skipdom1

:tg
:TG
::        Togo                                     TG TG5-DOM
goto skipdom1

:tk
:TK
::        Tokelau                                  TK TK11-DOM
goto skipdom1

:to
:TO
::        Tonga                                    TO TO5-DOM
goto skipdom1

:tt
:TT
::        Trinidad and Tobago                      TT TT-DOM
goto skipdom1

:tn
:TN
::        Tunisia                                  TN TN-DOM
goto skipdom1

:tr
:TR
::        Turkey                                   TR TR-DOM
goto skipdom1

:tc
:TC
::        Turks and Ciacos Islands                 TC TC13-DOM
goto skipdom1

:tv
:TV
::        Tuvalu                                   TV TV17-DOM
goto skipdom1

:ug
:UG
::        Uganda                                   UG UG-DOM
goto skipdom1

:ua
:UA
::        Ukraine                                  UA UA1-DOM
goto skipdom1

:ae
:AE
::        United Arab Emirates                     AE AE1-DOM
echo No WHOIS server is available for United Arab Emirates domains.
echo Emirates.net website:  http://www.emirates.net.ae
echo No WHOIS server is available for United Arab Emirates domains.>>%1.txt
echo Emirates.net website:  http://www.emirates.net.ae>>%1.txt
goto skipdom

:gb
:GB
:uk
:UK
::        United Kingdom                           GB UK-DOM
if "%na2me%"=="gov.uk" echo No WHOIS server is available for GOV.UK domains.
if "%na2me%"=="gov.uk" echo No WHOIS server is available for GOV.UK domains.>>%1.txt
if "%na2me%"=="gov.uk" goto ukdrok
if "%na2me%"=="GOV.UK" echo No WHOIS server is available for GOV.UK domains.
if "%na2me%"=="GOV.UK" echo No WHOIS server is available for GOV.UK domains.>>%1.txt
if "%na2me%"=="GOV.UK" goto ukdrok
if "%na2me%"=="AC.UK" goto acukjanet
if "%na2me%"=="ac.uk" goto acukjanet
echo whois -h whois.nic.uk %na3me%
echo whois -h whois.nic.uk %na3me%>$%na1me%%f%.txt
whois -h whois.nic.uk %na3me%>>$%na1me%%f%.txt
find "o match"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.nic.uk %na2me%
echo whois -h whois.nic.uk %na2me%>$%na1me%%f%.txt
whois -h whois.nic.uk %na2me%>>$%na1me%%f%.txt
find "o match"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ja.net %na3me%
:acukjanet
echo whois -h whois.ja.net %na3me%
echo whois -h whois.ja.net %na3me%>$%na1me%%f%.txt
whois -h whois.ja.net %na3me%>>$%na1me%%f%.txt
find "o entries"<$%na1me%%f%.txt>nul
if errorlevel==1 goto %na1me%drok
echo Not found, trying whois -h whois.ja.net %na2me%
echo whois -h whois.ja.net %na2me%>$%na1me%%f%.txt
whois -h whois.ja.net %na2me%>>$%na1me%%f%.txt
:ukdrok
:gbdrok
:UKdrok
:GBdrok
if exist $%na1me%%f%.txt copy /y %1.txt+$%na1me%%f%.txt %1.txt>nul
if exist $%na1me%%f%.txt del $%na1me%%f%.txt>nul
echo UK Network Information Centre:  www.nic.uk/
echo UKNIC WHOIS Gateway:  http://www.nic.uk/whois.html
if not "%na2me%"=="gov.uk" if not "%na2me%"=="ac.uk" echo This domain:  http://www.nic.uk/cgi-bin/whois.pl?query=%na3me%
if "%na2me%"=="gov.uk" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html
if "%na2me%"=="ac.uk" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html
if "%na2me%"=="GOV.UK" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html
if "%na2me%"=="AC.UK" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html
echo UK Network Information Centre:  www.nic.uk/>>%1.txt
echo UKNIC WHOIS Gateway:  http://www.nic.uk/whois.html>>%1.txt
if not "%na2me%"=="gov.uk" if not "%na2me%"=="ac.uk" echo This domain:  http://www.nic.uk/cgi-bin/whois.pl?query=%na3me%>>%1.txt
if "%na2me%"=="gov.uk" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html>>%1.txt
if "%na2me%"=="ac.uk" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html>>%1.txt
if "%na2me%"=="GOV.UK" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html>>%1.txt
if "%na2me%"=="AC.UK" echo GOV.UK and AC.UK domain information:  http://www.ja.net/connect/obtain_dns.html>>%1.txt
goto skipdom

:um
:UM
::        U.S. Minor Outlying Islands              UM UM8-DOM
goto skipdom1

:uy
:UY
::        Uruguay                                  UY UY-DOM
goto skipdom1

:uz
:UZ
::        Uzbekistan                               UZ UZ-DOM
goto skipdom1

:vu
:VU
::        Vanuatu                                  VU VU-DOM
goto skipdom1

:va
:VA
::        Vatican City State (Holy See)            VA VA4-DOM
goto skipdom1

:ve
:VE
::        Venezuela                                VE VE-DOM
goto skipdom1

:vg
:VG
::        Virgin Islands (British)                 VG VG4-DOM
goto skipdom1

:vi
:VI
::        Virgin Islands (U.S.)                    VI VI4-DOM
goto skipdom1

:wf
:WF
::        Wallis and Futuna Islands                WF WF7-DOM
goto skipdom1

:eh
:EH
::        Western Sahara                           EH Not Assigned
goto skipdom1

:ye
:YE
::        Yemen                                    YE YE2-DOM
goto skipdom1

:yu
:YU
::        Yugoslavia                               YU YU2-DOM
goto skipdom1

:zr
:ZR
::        Zaire (See Congo, Dem. Ppl's Republic)   ZR ZR2-DOM
goto skipdom1

:zm
:ZM
::        Zambia                                   ZM ZM-DOM
goto skipdom1

:zw
:ZW
::        Zimbabwe                                 ZW ZW-DOM
echo No WHOIS server is available for Zimbabwe domains.
echo No known NIC website for ZW domains.
echo No WHOIS server is available for Zimbabwe domains.>>%1.txt
echo No known NIC website for ZW domains.>>%1.txt
goto skipdom


:arpa
:ARPA
:0
:reverse
echo The hostname %name% doesn't contain a valid domain name.
goto skipdom

:skipdom1
echo %na1me% domains not yet supported.
echo %na1me% domains not yet supported.>>%1.txt


:skipdom
if exist $d%f%$.txt del $d%f%$.txt>nul
if exist $dr%f%$.bat del $dr%f%$.bat>nul
if "%ip%"=="" goto endtrc


::          Header for the next step.

echo.>>%1.txt
echo -- ARIN WHOIS QUERY RESULTS -- >>%1.txt
echo.>>%1.txt


::          Tell the user what's up.

echo Querying ARIN Database...


::          Do the ARIN query.

whois -h whois.arin.net "+ %1">>%1.txt


::          The ARIN record will usually have characteristic
::          maintainer names for RIPE and APNIC.  So use those
::          to decide whether to extend the lookup to the other
::          databases.


find /c "OrgID:      RIPE" %1.txt>nul
if errorlevel==1 goto noripe
echo -- RIPE WHOIS QUERY RESULTS -- >>%1.txt
echo.>>%1.txt
echo Querying RIPE Database...
whois -h whois.ripe.net %1>>%1.txt

:noripe

find /c "OrgID:      APNIC" %1.txt>nul
if not errorlevel==1 goto apnic
find /c "NetType:    Allocated to APNIC" %1.txt>nul
if not errorlevel==1 goto apnic
goto noapnic
:apnic
echo -- APNIC WHOIS QUERY RESULTS -- >>%1.txt
echo.>>%1.txt
echo Querying APNIC Database...
whois -h whois.apnic.net %1>>%1.txt

:noapnic

find /c "OrgID:      LNIC" %1.txt>nul
if not errorlevel==1 goto lacnic
find /c "NameServer: NS.LACNIC.ORG" %1.txt>nul
if not errorlevel==1 goto lacnic
goto nolacnic
:lacnic
echo -- LACNIC WHOIS QUERY RESULTS -- >>%1.txt
echo.>>%1.txt
echo Querying LACNIC Database...
whois -h whois.lacnic.net %1>>%1.txt

:nolacnic

::goto showcountry
::          Perform an RWHOIS query.
::      UNDER CONSTRUCTION

echo Performing RWHOIS Query...
echo -- RWHOIS QUERY RESULTS -- >>%1.txt
echo.>>%1.txt


::	Set the default server

set rwhost=root.rwhois.net


::	Set the default rwhois port

set rwport=4321


::	Create a file which contains the query string plus LF/CR.
::	This file will later be output by Netcat as the rwhois query.

echo %1>$rw%f%1.txt


::	Clear/create the Rwhois capture file.

rem>$rw%f%2.txt


::	Here begins the main loop.

:rwloop


::	Tell the capture file the substance of the query.

echo Rwhois %rwhost%:%rwport% %1>>$rw%f%2.txt
echo.>>$rw%f%2.txt


::	Do the query, using Netcat.

nc -t -w 30 %rwhost% %rwport%<$rw%f%1.txt>>$rw%f%2.txt


::	The raw data uses the Unix format, namely linefeeds without the
::	carriage returns expected by PCs.  Replace lone LFs with CR/LF.

bfr \0a \0d\0a $rw%f%2.txt -b>nul
bfr \0d\0d\0a \0d\0a $rw%f%2.txt -b>nul


::	Look for the key string that means an rwhois referral has been
::	offered.  If not, proceed to the finish.  If so, the string
::	containing the referral is output to a temp file.

find "%%referral rwhois://"<$rw%f%2.txt>$rw%f%3.txt
if not errorlevel==1 goto rwref
goto norwref

:rwref
::	Use BFR and FIND to handle the strings and rearrange them into a
::	temp batchfile.

bfr rwhois\3a\2f\2f \0d\0a$$$ $rw%f%3.txt -b>nul
bfr \2f \0d\0a $rw%f%3.txt -b>nul
find "$$$"<$rw%f%3.txt>$rw%f%3.bat
bfr \24\24\24 set\20rwhost= $rw%f%3.bat -b>nul
bfr \3a \0d\0aset\20rwport= $rw%f%3.bat -b>nul


::	The temp batchfile will now contain commands to set the %rwhost%
::	and %rwport% variables to the referral destination.  Run the
::	batchfile and delete it.

:runbat
call $rw%f%3.bat
del $rw%f%3.bat>nul


::	Make a minor alteration in the capture file text.  This prevents
::	detecting old referrals as new ones, which would cause an
::	endless loop.

bfr \25referral \25referal $rw%f%2.txt -b>nul


::	Make note of the referral in the capture file.

echo.>>$rw%f%2.txt
echo.>>$rw%f%2.txt
echo Referral to:  %rwhost% port %rwport%>>$rw%f%2.txt


::	Monitor the number of referrals.  If too many, something is
::	wrong.  Bail out of the loop and tell the user.  (This has never
::	happened, but it seems possible if servers should happen to
::	erroneously refer to one another.)

set rwloops=%loops%1
if "%rwloops%"=="11111111" goto toomany


goto rwloop

:toomany
echo More than 7 referrals, it's probably an endless loop.
echo Too many referrals!>>$rw%f%2.txt


:norwref
::	No referrals found.
::	Toss the temp query file

if exist $rw%f%1.txt del $rw%f%1.txt>nul


::	Restore altered strings.

bfr \25referal \25referral $rw%f%2.txt -b>nul


::	Look for the telltale "%" symbol.  If it isn't there, presumably
::	no response was received from any server.  Bail out and tell the
::	user why.


find /i "name"<$rw%f%2.txt>nul
if not errorlevel==1 goto rwout
find /i "contact"<$rw%f%2.txt>nul
if not errorlevel==1 goto rwout
find "%%"<$rw%f%2.txt>nul
if not errorlevel==1 goto rwout
goto nohostend


:rwout
::	All apparently went well.
::	Save the data.

copy %1.txt+$rw%f%2.txt $rw%f%1.txt>nul
move /y $rw%f%1.txt %1.txt>nul
goto rwfini


:nohostend
::	Arriving here means the query just didn't work for some reason.

echo Connection timed out or host was invalid.
echo Connection timed out or host was invalid.>>%1.txt

:rwfini
set rwhost=
set rwport=
set rwloops=
if exist $rw%f%2.txt del $rw%f%2.txt>nul
if exist $rw%f%3.txt del $rw%f%3.txt>nul

::	End of RWHOIS routine


::          Tell the user the country name(s).
:showcountry
find "country:" %1.txt|find "country:"

::	HTTP check (under construction as of 24/12/00)

if "%2"=="-n" goto htdone
if "%3"=="-n" goto htdone
if "%4"=="-n" goto htdone
if "%5"=="-n" goto htdone
echo.>>%1.txt
echo.>>%1.txt
echo -- HTTP SERVER CHECK -->>%1.txt
echo.>>%1.txt
echo Performing HTTP Server Check
echo OPTIONS / HTTP/1.1>$%f%ht$.txt
echo Connection: close>>$%f%ht$.txt
if "%name%"=="" goto httpip
if "%bogus%"=="1" goto httpip
echo Host: %name%>>$%f%ht$.txt
echo.>>$%f%ht$.txt
nc -t -w 20 %name% 80<$%f%ht$.txt>>%1.txt
goto htdone
:httpip
echo Host: %1>>$%f%ht$.txt
echo.>>$%f%ht$.txt
nc -t -w 20 %1 80<$%f%ht$.txt>>%1.txt
:htdone
if exist $%f%ht$.txt del $%f%ht$.txt>nul

::          If the user opted out, no traceroute.

:if_no_trc
if "%2"=="-t" goto endtrc
if "%3"=="-t" goto endtrc
if "%4"=="-t" goto endtrc
if "%5"=="-t" goto endtrc
if "%6"=="-t" goto endtrc

::          Announce traceroute in the capture file.

echo.>>%1.txt
echo -- TRACEROUTE RESULTS -- >>%1.txt
echo.>>%1.txt


::          Tell the user what's next.

echo Performing Traceroute...   (Ctrl-C will abort traceroute)


::          Do the traceroute.

tracert %1>>%1.txt

:endtrc

::          Make a record of start/finish time.

echo.>>%1.txt
echo Trace Started:  %ctime%>>%1.txt
echo Trace Started:  %ctime%

ver|time|find "Current">$t%f%$.bat
echo set ctime=%%3>current.bat
call $t%f%$.bat
del current.bat
del $t%f%$.bat

echo Trace Finished: %ctime%>>%1.txt
echo Trace Finished: %ctime%
echo.>>%1.txt
echo.>>%1.txt
echo.>>%1.txt
echo.>>%1.txt
if "%hip%"=="" set ctime=
if "%hip%"=="" set cdate=


:end
if not exist c:\misc\trace\%1.txt goto stop
if not exist %1.txt goto notepad
if "%2"=="-x" goto ckswitch
if "%3"=="-x" goto ckswitch
if "%4"=="-x" goto ckswitch
if "%5"=="-x" goto ckswitch

::          The capture file has acquired some weird double
::          carriage returns which Notepad can't handle.
::          This seems to be a common result of porting UNIX
::          utilities to MS-DOS.
::          CR-CR-LF should be CR-LF.
::          BFR.EXE is used to clean it up.  The alternative:
::          any effort to edit or save the file using Notepad
::          results in an unreadable collapsed format -- the
::          line breaks disappear entirely!

::          BFR can't deal with long filenames so change
::          the name temporarily.  It's distantly possible
::          another trace is being done and simultaneously
::          using the temp filename.  Impose a brief delay in
::          hopes it will disappear.

if exist $b%f%$.txt del $b%f%$.txt>nul
ren %1.txt $b%f%$.txt
bfr \0d\0d \0d $b%f%$.txt -b>nul
ren $b%f%$.txt %1.txt


::          Report on the location of the capture file


echo set dtmp=%%2>directory.bat
dir|find " Directory of ">$t%f%$.bat
call $t%f%$.bat
del $t%f%$.bat
del directory.bat


::          Give the user 10 seconds to say so if he/she/it
::          doesn't want to see the report.

echo Trace of %1 complete.
echo.
if not "%ip%"=="" goto displayr
find "domain:  "<%1.txt>nul
if not errorlevel==1 goto displayr
find "Last Modified:"<%1.txt>nul
if not errorlevel==1 goto displayr
find "Registrant:"<%1.txt>nul
if not errorlevel==1 goto displayr
find "Contact:"<%1.txt>nul
if not errorlevel==1 goto displayr
find "Whois Server:"<%1.txt>nul
if not errorlevel==1 goto displayr
find "Sponsoring Registrar:"<%1.txt>nul
if not errorlevel==1 goto displayr
find "o match for"<%1.txt>nul
if not errorlevel==1 del %1.txt>nul
if exist %1.txt find "o entries found"<%1.txt>nul
if not errorlevel==1 if exist %1.txt del %1.txt>nul
if not errorlevel==1 goto norfound
if exist %1.txt find "o record found"<%1.txt>nul
if not errorlevel==1 if exist %1.txt del %1.txt>nul
if not errorlevel==1 goto norfound
if exist %1.txt find "Unknown top level domain %1"<%1.txt>nul
if not errorlevel==1 if exist %1.txt del %1.txt>nul
:norfound
echo Trace file %1.txt deleted; no useful data.
if not exist %1.txt goto stop
:displayr
echo This trace has been saved as %dtmp%\%1.txt
set dtmp=
:ckswitch
if "%2"=="-s" goto stop
if "%3"=="-s" goto stop
if "%4"=="-s" goto stop
if "%5"=="-s" goto stop
if "%2"=="-d" goto notepad
if "%3"=="-d" goto notepad
if "%4"=="-d" goto notepad
if "%5"=="-d" goto notepad
echo             Results will display in 10 seconds.  Press N to cancel, Y to view.
choice /n /t:y,10
if errorlevel==2 goto stop


::          Open Notepad (or the default text editor) with the report.
:notepad
if not "%ip%"=="" goto cr_lf_ok
move /y %1.txt $%f%$.txt>nul
bfr \0d\0d\0a \0d\0a $%f%$.txt -b>nul
move /y $%f%$.txt %1.txt>nul
:cr_lf_ok
echo %1|find "www.">nul
if not errorlevel==1 if exist %1.txt notepad %1.txt
echo %1|find "www.">nul
if errorlevel==1 if exist %1.txt start %1.txt
echo %1|find "www.">nul
if not errorlevel==1 if not exist %1.txt if exist c:\misc\trace\%1.txt notepad c:\misc\trace\%1.txt
echo %1|find "www.">nul
if errorlevel==1 if not exist %1.txt if exist c:\misc\trace\%1.txt start c:\misc\trace\%1.txt

goto stop

:help
set shift=
cls
:hlpnocls
echo.
echo TRACE.BAT    --*#  PCHelp's Network Tracer  #*--     1999, 2000
echo.
echo SYNTAX:  TRACE Address [-n] [-t] [-d] [-s] [-x]
echo     OR:  TRACE setnameserver Address
echo.
echo Where      Address = an IP address in any format;
echo                      or, a valid hostname;
echo                      or, an email address;
echo                      or, a URL.
echo Options:
echo            -n = skip NetBIOS queries
echo            -t = skip Traceroute
echo            -d = perform domain record lookup only
echo            -a = skip abuse.net query during domain lookup
echo            -s = suppress capture file display
echo            -x = no trace if previously done
echo setnameserver = reconfigure the NSLOOKUP Name Server to Address
echo       checkns = verify function of current nameserver
echo.
echo Examples (try 'em):  trace 64.87.72.249 -a -n -t
echo                      trace abcnews.go.com
echo                      trace http://www.state.nh.us/nhdoj/ -n -t
echo.
echo Read TRACE.BAT in any text editor for further information.
goto endendend

:stop


::          Clean up variables and temporary files

if exist directory.bat del directory.bat>nul
if exist $t%f%$.bat del $t%f%$.bat>nul
if exist $t%f%$.txt del $t%f%$.txt>nul
if exist $ip2v%f%.bat del $ip2v%f%.bat>nul
if exist $p%f%$.txt del $p%f%$.txt>nul
if exist $a%f%$.txt del $a%f%$.txt>nul
if exist $a%f%2$.txt del $a%f%2$.txt>nul
if exist $png%f%$.txt del $png%f%$.txt>nul
if exist $%f%$.txt del $%f%$.txt>nul
set f=
set ip=
set ip2=
if "%hip%"=="" set name=
set na1me=
set na2me=
set na3me=
if "%1"=="/?" goto endendend
if "%1"=="?" goto endendend
if "%1"=="-?" goto endendend
if "%1"=="help" goto endendend
if "%1"=="" goto endendend
if not "%1"=="" if exist %1.txt cls
:endendend
cd %windir%
